
/****************************************************************************************************//**
 * @file     Z32F0642.h
 *
 * @brief    CMSIS Cortex-M0 Peripheral Access Layer Header File for
 *           Z32F0642 from Zilog, Inc..
 *
 * @version  V1.0.0
 * @date     9. November 2016
 *
 * @note     Generated with SVDConv V2.87e 
 *           from CMSIS SVD File 'Z32F0642.svd' Version 1.0.0,
 *
 * @par      THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 *           OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 *           MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 *           ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 *           CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER. 
 *
 *******************************************************************************************************/



/** @addtogroup Zilog, Inc.
  * @{
  */

/** @addtogroup Z32F0642
  * @{
  */

#ifndef Z32F0642_H
#define Z32F0642_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -------------------  Cortex-M0 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* ---------------------  Z32F0642 Specific Interrupt Numbers  -------------------- */
  LVDDETECT_IRQn                =   0,              /*!<   0  LVDDETECT                                                        */
  SYSCLKFAIL_IRQn               =   1,              /*!<   1  SYSCLKFAIL                                                       */
  MOSCFAIL_IRQn                 =   2,              /*!<   2  MOSCFAIL                                                         */
  SOSCFAIL_IRQn                 =   3,              /*!<   3  SOSCFAIL                                                         */
  WDT_IRQn                      =   4,              /*!<   4  WDT                                                              */
  TIMER0_IRQn                   =   5,              /*!<   5  TIMER0                                                           */
  TIMER1_IRQn                   =   6,              /*!<   6  TIMER1                                                           */
  TIMER2_IRQn                   =   7,              /*!<   7  TIMER2                                                           */
  TIMER3_IRQn                   =   8,              /*!<   8  TIMER3                                                           */
  FRT_IRQn                      =   9,              /*!<   9  FRT                                                              */
  GPIOAE_IRQn                   =  10,              /*!<  10  GPIOAE                                                           */
  GPIOAO_IRQn                   =  11,              /*!<  11  GPIOAO                                                           */
  GPIOBE_IRQn                   =  12,              /*!<  12  GPIOBE                                                           */
  GPIOBO_IRQn                   =  13,              /*!<  13  GPIOBO                                                           */
  GPIOCE_IRQn                   =  14,              /*!<  14  GPIOCE                                                           */
  GPIOCO_IRQn                   =  15,              /*!<  15  GPIOCO                                                           */
  GPIODE_IRQn                   =  16,              /*!<  16  GPIODE                                                           */
  GPIODO_IRQn                   =  17,              /*!<  17  GPIODO                                                           */
  MPWM_IRQn                     =  18,              /*!<  18  MPWM                                                             */
  MPWMPROT_IRQn                 =  19,              /*!<  19  MPWMPROT                                                         */
  MPWMOVV_IRQn                  =  20,              /*!<  20  MPWMOVV                                                          */
  I2C_IRQn                      =  21,              /*!<  21  I2C                                                              */
  SPI_IRQn                      =  22,              /*!<  22  SPI                                                              */
  UART0_IRQn                    =  23,              /*!<  23  UART0                                                            */
  UART1_IRQn                    =  24,              /*!<  24  UART1                                                            */
  ADC_IRQn                      =  25               /*!<  25  ADC                                                              */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M0 Processor and Core Peripherals---------------- */
#define __CM0_REV                 0x0100            /*!< Cortex-M0 Core Revision                                               */
#define __MPU_PRESENT                  0            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               2            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0.h"                               /*!< Cortex-M0 processor and core peripherals                              */
#include "system_Z32F0642.h"                        /*!< Z32F0642 System                                                       */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                       SCU                      ================ */
/* ================================================================================ */


/**
  * @brief SYSTEM CONTROL UNIT (SCU)
  */

typedef struct {                                    /*!< SCU Structure                                                         */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SMR;                               /*!< System Mode Register                                                  */
  __IO uint32_t  SRCR;                              /*!< System Reset Control Register                                         */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  WUER;                              /*!< Wakeup Source Enable Register                                         */
  __I  uint32_t  WUSR;                              /*!< Wakeup Source Status Register                                         */
  __IO uint32_t  RSER;                              /*!< Reset Source Enable Register                                          */
  __IO uint32_t  RSSR;                              /*!< Reset Source Status Register                                          */
  __IO uint32_t  PRER1;                             /*!< Peripheral Reset Enable Register 1                                    */
  __IO uint32_t  PRER2;                             /*!< Peripheral Reset Enable Register 2                                    */
  __IO uint32_t  PER1;                              /*!< Peripheral Enable Register 1                                          */
  __IO uint32_t  PER2;                              /*!< Peripheral Enable Register 2                                          */
  __IO uint32_t  PCER1;                             /*!< Peripheral Clock Enable Register 1                                    */
  __IO uint32_t  PCER2;                             /*!< Peripheral Clock Enable Register 2                                    */
  __I  uint32_t  RESERVED2[2];
  __IO uint32_t  CSCR;                              /*!< Clock Source Control Register                                         */
  __IO uint32_t  SCCR;                              /*!< System Clock Control Register                                         */
  __IO uint32_t  CMR;                               /*!< Clock Monitoring Register                                             */
  __IO uint32_t  NMIR;                              /*!< NMI Control Register                                                  */
  __IO uint32_t  COR;                               /*!< Clock Output Register                                                 */
  __I  uint32_t  RESERVED3[4];
  __IO uint32_t  VDCCON;                            /*!< VDC Control Register                                                  */
  __IO uint32_t  LVDCON;                            /*!< LVD Control Register                                                  */
  __IO uint32_t  HSIOSCTRIM;                        /*!< High Speed Internal OSC Trim Register                                 */
  __IO uint32_t  BISCCON;                           /*!< Build in self calibration control Register                            */
  __I  uint32_t  RESERVED4[3];
  __IO uint32_t  EMOSCR;                            /*!< External Main Oscillator Control Register                             */
  __I  uint32_t  EMODR;                             /*!< External Mode Status Register                                         */
  __I  uint32_t  RESERVED5[2];
  __IO uint32_t  MCCR1;                             /*!< Miscellaneous Clock Control Register 1                                */
  __IO uint32_t  MCCR2;                             /*!< Miscellaneous Clock Control Register 2                                */
  __IO uint32_t  MCCR3;                             /*!< Miscellaneous Clock Control Register 3                                */
  __IO uint32_t  DBCLK1;                            /*!< Debounce Clock Control Register 1                                     */
  __IO uint32_t  DBCLK2;                            /*!< Debounce Clock Control Register 2                                     */
  __I  uint32_t  RESERVED6;
  __IO uint32_t  MCCR4;                             /*!< Miscellaneous Clock Control Register 4                                */
} SCU_Type;


/* ================================================================================ */
/* ================                       PCA                      ================ */
/* ================================================================================ */


/**
  * @brief PORT CONTROL UNIT (PCA)
  */

typedef struct {                                    /*!< PCA Structure                                                         */
  __IO uint32_t  MR;                                /*!< PORT n Pin MUX Register                                               */
  __IO uint32_t  CR;                                /*!< PORT n Pin Control Register                                           */
  __IO uint32_t  PCR;                               /*!< PORT n Pull-up Resistor Control Register                              */
  __IO uint32_t  DER;                               /*!< PORT n Debounce Enable Register                                       */
  __IO uint32_t  IER;                               /*!< PORT n Interrupt Enable Register                                      */
  __IO uint32_t  ISR;                               /*!< PORT n Interrupt Status Register                                      */
  __IO uint32_t  ICR;                               /*!< PORT n Interrupt Control Register                                     */
} PCA_Type;


/* ================================================================================ */
/* ================                     PORTEN                     ================ */
/* ================================================================================ */


/**
  * @brief Port Control Mode Enable Register (PORTEN)
  */

typedef struct {                                    /*!< PORTEN Structure                                                      */
  __IO uint32_t  EN;                                /*!< Port Access Enable 0x15->0x51                                         */
} PORTEN_Type;


/* ================================================================================ */
/* ================                       PA                       ================ */
/* ================================================================================ */


/**
  * @brief GENERAL PURPOSE I/O (PA)
  */

typedef struct {                                    /*!< PA Structure                                                          */
  __IO uint32_t  ODR;                               /*!< PORT n Output Data Register                                           */
  __I  uint32_t  IDR;                               /*!< PORT n Input Data Register                                            */
  __IO uint32_t  BSR;                               /*!< PORT n Bit Set Register                                               */
  __O  uint32_t  BCR;                               /*!< PORT n Bit Clear Register                                             */
} PA_Type;


/* ================================================================================ */
/* ================                       FM                       ================ */
/* ================================================================================ */


/**
  * @brief FLASH MEMORY CONTROLLER (FM)
  */

typedef struct {                                    /*!< FM Structure                                                          */
  __I  uint32_t  RESERVED;
  __IO uint32_t  MR;                                /*!< Flash Memory Mode Register                                            */
  __IO uint32_t  CR;                                /*!< Flash Memory Control Register                                         */
  __IO uint32_t  AR;                                /*!< Flash Memory Address Register                                         */
  __IO uint32_t  DR;                                /*!< Flash Memory Data Register                                            */
  __IO uint32_t  TMR;                               /*!< Flash Memory Timer Register                                           */
  __O  uint32_t  DIRTY;                             /*!< Flash Memory Dirty Register                                           */
  __IO uint32_t  TICK;                              /*!< Flash Memory Tick Timer register                                      */
  __IO uint32_t  CRC;                               /*!< Flash Memory CRC value register                                       */
  __I  uint32_t  RESERVED1[3];
  __IO uint32_t  CFG;                               /*!< Flash Memory CONFIG value register                                    */
  __I  uint32_t  RESERVED2[3];
  __I  uint32_t  HWID;                              /*!< Flash Hardware ID Register                                            */
  __I  uint32_t  RESERVED3[12];
  __IO uint32_t  BOOTCR;                            /*!< Boot ROM Remap Clear Register                                         */
  __IO uint32_t  WPROT;                             /*!< Flash Memory Write Protection Register                                */
  __IO uint32_t  RPROT;                             /*!< Flash Memory Read Protection Register                                 */
} FM_Type;


/* ================================================================================ */
/* ================                       WDT                      ================ */
/* ================================================================================ */


/**
  * @brief WATCH-DOG TIMER (WDT)
  */

typedef struct {                                    /*!< WDT Structure                                                         */
  __IO uint32_t  LR;                                /*!< Watchdog Timer Load Register                                          */
  __IO uint32_t  CNT;                               /*!< Watchdog Timer Current Counter Register                               */
  __IO uint32_t  CON;                               /*!< Watchdog Timer Control Register                                       */
} WDT_Type;


/* ================================================================================ */
/* ================                       T0                       ================ */
/* ================================================================================ */


/**
  * @brief 16-BIT TIMER (T0)
  */

typedef struct {                                    /*!< T0 Structure                                                          */
  __IO uint32_t  CR1;                               /*!< Timer n Control Register 1                                            */
  __IO uint32_t  CR2;                               /*!< Timer n Control Register 2                                            */
  __IO uint32_t  PRS;                               /*!< Timer n Prescaler Register                                            */
  __IO uint32_t  GRA;                               /*!< Timer n General Register A (Duty)                                     */
  __IO uint32_t  GRB;                               /*!< Timer n General Register B (Period)                                   */
  __IO uint32_t  CNT;                               /*!< Timer n Count Register                                                */
  __IO uint32_t  SR;                                /*!< Timer n Status Register                                               */
  __IO uint32_t  IER;                               /*!< Timer n Interrupt Enable Register                                     */
} T0_Type;


/* ================================================================================ */
/* ================                       FRT                      ================ */
/* ================================================================================ */


/**
  * @brief Free-run Timer (FRT)
  */

typedef struct {                                    /*!< FRT Structure                                                         */
  __IO uint32_t  MR;                                /*!< FRT Mode Register                                                     */
  __IO uint32_t  CR;                                /*!< FRT Control Register                                                  */
  __IO uint32_t  PER;                               /*!< Free Run Timer Period Match Register                                  */
  __IO uint32_t  CNT;                               /*!< Free Run Timer Counter Register                                       */
  __IO uint32_t  SR;                                /*!< Free Run Timer Status Register                                        */
} FRT_Type;


/* ================================================================================ */
/* ================                       U0                       ================ */
/* ================================================================================ */


/**
  * @brief UNIVERSAL ASYNCHRONOUS RECEIVER/TRANSMITTER (U0)
  */

typedef struct {                                    /*!< U0 Structure                                                          */
  
  union {
    __O  uint32_t  THR;                             /*!< Transmit Data Hold Register                                           */
    __I  uint32_t  RBR;                             /*!< Receive Buffer Register                                               */
  };
  __IO uint32_t  IER;                               /*!< UART Interrupt Enable Register                                        */
  __IO uint32_t  IIR;                               /*!< UART Interrupt ID Register                                            */
  __IO uint32_t  LCR;                               /*!< UART Line Control Register                                            */
  __IO uint32_t  DCR;                               /*!< UART Data Control Register                                            */
  __IO uint32_t  LSR;                               /*!< UART Line Status Register                                             */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  BDR;                               /*!< Baud rate Divisor Latch Register                                      */
  __IO uint32_t  BFR;                               /*!< Baud rate Fraction Counter Register                                   */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  IDTR;                              /*!< Inter-frame Delay Time Register                                       */
} U0_Type;


/* ================================================================================ */
/* ================                       SP                       ================ */
/* ================================================================================ */


/**
  * @brief SERIAL PERIPHERAL INTERFACE (SP)
  */

typedef struct {                                    /*!< SP Structure                                                          */
  
  union {
    __O  uint32_t  TDR;                             /*!< SPI n Transmit Data Register                                          */
    __I  uint32_t  RDR;                             /*!< SPI n Receive Data Register                                           */
  };
  __IO uint32_t  CR;                                /*!< SPI n Control Register                                                */
  __IO uint32_t  SR;                                /*!< SPI n Status Register                                                 */
  __IO uint32_t  BR;                                /*!< SPI n Baud Rate Register                                              */
  __IO uint32_t  EN;                                /*!< SPI n Enable register                                                 */
  __IO uint32_t  LR;                                /*!< SPI n delay Length Register                                           */
} SP_Type;


/* ================================================================================ */
/* ================                       IC                       ================ */
/* ================================================================================ */


/**
  * @brief I2C Interface (IC)
  */

typedef struct {                                    /*!< IC Structure                                                          */
  __IO uint32_t  DR;                                /*!< I2C Data Register                                                     */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SR;                                /*!< Status register                                                       */
  __IO uint32_t  SAR;                               /*!< I2C Slave Address Register                                            */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< I2C Control Register                                                  */
  __IO uint32_t  SCLL;                              /*!< I2C SCL LOW duration Register                                         */
  __IO uint32_t  SCLH;                              /*!< I2C SCL HIGH duration Register                                        */
  __IO uint32_t  SDH;                               /*!< SDA Hold Register                                                     */
} IC_Type;


/* ================================================================================ */
/* ================                       MP                       ================ */
/* ================================================================================ */


/**
  * @brief MOTOR PULSE-WIDTH-MODULATOR (MP)
  */

typedef struct {                                    /*!< MP Structure                                                          */
  __IO uint32_t  MR;                                /*!< MPWM Mode Register                                                    */
  __IO uint32_t  OLR;                               /*!< MPWM Port Mode Register                                               */
  __IO uint32_t  FOR;                               /*!< MPWM Force Output Register                                            */
  __IO uint32_t  PRD;                               /*!< MPWM Period Register                                                  */
  __IO uint32_t  DUH;                               /*!< MPWM Duty UH Register                                                 */
  __IO uint32_t  DVH;                               /*!< MPWM Duty VH Register                                                 */
  __IO uint32_t  DWH;                               /*!< MPWM Duty WH Register                                                 */
  __IO uint32_t  DUL;                               /*!< MPWM Duty UL Register                                                 */
  __IO uint32_t  DVL;                               /*!< MPWM Duty UL Register                                                 */
  __IO uint32_t  DWL;                               /*!< MPWM Duty WL Register                                                 */
  __IO uint32_t  CR1;                               /*!< MPWM Control Register 1                                               */
  __IO uint32_t  CR2;                               /*!< MPWM Control Register 2                                               */
  __IO uint32_t  SR;                                /*!< MPWM Status Register                                                  */
  __IO uint32_t  IER;                               /*!< MPWM Interrupt Enable Register                                        */
  __IO uint32_t  CNT;                               /*!< MPWM Counter Register                                                 */
  __IO uint32_t  DTR;                               /*!< MPWM Dead Time Register                                               */
  __IO uint32_t  PCR0;                              /*!< MPWM Protection control Register 0                                    */
  __IO uint32_t  PSR0;                              /*!< MPWM Protection Status Register 0                                     */
  __IO uint32_t  PCR1;                              /*!< MPWM Protection control Register 1                                    */
  __IO uint32_t  PSR1;                              /*!< MPWM Protection Status Register 1                                     */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  ATR1;                              /*!< MPWMn ADC Trigger Counter 1 Register                                  */
  __IO uint32_t  ATR2;                              /*!< MPWMn ADC Trigger Counter 2 Register                                  */
  __IO uint32_t  ATR3;                              /*!< MPWMn ADC Trigger Counter 3 Register                                  */
  __IO uint32_t  ATR4;                              /*!< MPWMn ADC Trigger Counter 4 Register                                  */
  __IO uint32_t  ATR5;                              /*!< MPWMn ADC Trigger Counter 5 Register                                  */
  __IO uint32_t  ATR6;                              /*!< MPWMn ADC Trigger Counter 6 Register                                  */
} MP_Type;


/* ================================================================================ */
/* ================                      DIV64                     ================ */
/* ================================================================================ */


/**
  * @brief DIVIDER (DIV64)
  */

typedef struct {                                    /*!< DIV64 Structure                                                       */
  __IO uint32_t  CR;                                /*!< Divider Control Register                                              */
  __IO uint32_t  AREGL;                             /*!< AREGL (Dividend) Low 32bit Register                                   */
  __IO uint32_t  AREGH;                             /*!< AREG (Dividend) High 32bit Register                                   */
  __IO uint32_t  BREG;                              /*!< BREG (Divisor) Register                                               */
  __IO uint32_t  QREGL;                             /*!< QREG (Quotient) Low 32bit Register                                    */
  __IO uint32_t  QREGH;                             /*!< QREG (Quotient) High 32bit Register                                   */
  __IO uint32_t  RREG;                              /*!< RREG (Remainter) Register                                             */
} DIV64_Type;


/* ================================================================================ */
/* ================                       AD                       ================ */
/* ================================================================================ */


/**
  * @brief 12-BIT A/D CONVERTER (AD)
  */

typedef struct {                                    /*!< AD Structure                                                          */
  __IO uint32_t  MR;                                /*!< ADC Mode Register                                                     */
  __IO uint32_t  CSCR;                              /*!< Current Sequence/Channel Register                                     */
  __IO uint32_t  CCR;                               /*!< Clock Control Register                                                */
  __IO uint32_t  TRG;                               /*!< ADC Trigger Selection Register                                        */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  SCSR;                              /*!< ADC Sequence Channel Selection Register                               */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< ADCn Control Register                                                 */
  __IO uint32_t  SR;                                /*!< ADCn Status Register                                                  */
  __IO uint32_t  IER;                               /*!< Interrupt Enable Register                                             */
  __I  uint32_t  RESERVED2;
  __IO uint32_t  DR0;                               /*!< ADC Data Register 0                                                   */
  __IO uint32_t  DR1;                               /*!< ADC Data Register 1                                                   */
  __IO uint32_t  DR2;                               /*!< ADC Data Register 2                                                   */
  __IO uint32_t  DR3;                               /*!< ADC Data Register 3                                                   */
  __IO uint32_t  DR4;                               /*!< ADC Data Register 4                                                   */
  __IO uint32_t  DR5;                               /*!< ADC Data Register 5                                                   */
  __IO uint32_t  DR6;                               /*!< ADC Data Register 6                                                   */
  __IO uint32_t  DR7;                               /*!< ADC Data Register 7                                                   */
} AD_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================          struct 'SCU' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SCU_SMR  ---------------------------------- */
#define SCU_SMR_PREVMODE_Pos                  (4UL)                     /*!< SCU SMR: PREVMODE (Bit 4)                                   */
#define SCU_SMR_PREVMODE_Msk                  (0x30UL)                  /*!< SCU SMR: PREVMODE (Bitfield-Mask: 0x03)                     */
#define SCU_SMR_VDCAON_Pos                    (8UL)                     /*!< SCU SMR: VDCAON (Bit 8)                                     */
#define SCU_SMR_VDCAON_Msk                    (0x100UL)                 /*!< SCU SMR: VDCAON (Bitfield-Mask: 0x01)                       */
#define SCU_SMR_LSIAON_Pos                    (9UL)                     /*!< SCU SMR: LSIAON (Bit 9)                                     */
#define SCU_SMR_LSIAON_Msk                    (0x200UL)                 /*!< SCU SMR: LSIAON (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_SRCR  ---------------------------------- */
#define SCU_SRCR_SWRST_Pos                    (0UL)                     /*!< SCU SRCR: SWRST (Bit 0)                                     */
#define SCU_SRCR_SWRST_Msk                    (0x1UL)                   /*!< SCU SRCR: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_SRCR_STBOP_Pos                    (4UL)                     /*!< SCU SRCR: STBOP (Bit 4)                                     */
#define SCU_SRCR_STBOP_Msk                    (0x10UL)                  /*!< SCU SRCR: STBOP (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_WUER  ---------------------------------- */
#define SCU_WUER_LVDWUE_Pos                   (0UL)                     /*!< SCU WUER: LVDWUE (Bit 0)                                    */
#define SCU_WUER_LVDWUE_Msk                   (0x1UL)                   /*!< SCU WUER: LVDWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_WDTWUE_Pos                   (1UL)                     /*!< SCU WUER: WDTWUE (Bit 1)                                    */
#define SCU_WUER_WDTWUE_Msk                   (0x2UL)                   /*!< SCU WUER: WDTWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_FRTWUE_Pos                   (2UL)                     /*!< SCU WUER: FRTWUE (Bit 2)                                    */
#define SCU_WUER_FRTWUE_Msk                   (0x4UL)                   /*!< SCU WUER: FRTWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_GPIOAWUE_Pos                 (8UL)                     /*!< SCU WUER: GPIOAWUE (Bit 8)                                  */
#define SCU_WUER_GPIOAWUE_Msk                 (0x100UL)                 /*!< SCU WUER: GPIOAWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOBWUE_Pos                 (9UL)                     /*!< SCU WUER: GPIOBWUE (Bit 9)                                  */
#define SCU_WUER_GPIOBWUE_Msk                 (0x200UL)                 /*!< SCU WUER: GPIOBWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOCWUE_Pos                 (10UL)                    /*!< SCU WUER: GPIOCWUE (Bit 10)                                 */
#define SCU_WUER_GPIOCWUE_Msk                 (0x400UL)                 /*!< SCU WUER: GPIOCWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIODWUE_Pos                 (11UL)                    /*!< SCU WUER: GPIODWUE (Bit 11)                                 */
#define SCU_WUER_GPIODWUE_Msk                 (0x800UL)                 /*!< SCU WUER: GPIODWUE (Bitfield-Mask: 0x01)                    */

/* ----------------------------------  SCU_WUSR  ---------------------------------- */
#define SCU_WUSR_LVDWU_Pos                    (0UL)                     /*!< SCU WUSR: LVDWU (Bit 0)                                     */
#define SCU_WUSR_LVDWU_Msk                    (0x1UL)                   /*!< SCU WUSR: LVDWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_WDTWU_Pos                    (1UL)                     /*!< SCU WUSR: WDTWU (Bit 1)                                     */
#define SCU_WUSR_WDTWU_Msk                    (0x2UL)                   /*!< SCU WUSR: WDTWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_FRTWU_Pos                    (2UL)                     /*!< SCU WUSR: FRTWU (Bit 2)                                     */
#define SCU_WUSR_FRTWU_Msk                    (0x4UL)                   /*!< SCU WUSR: FRTWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_GPIOAWU_Pos                  (8UL)                     /*!< SCU WUSR: GPIOAWU (Bit 8)                                   */
#define SCU_WUSR_GPIOAWU_Msk                  (0x100UL)                 /*!< SCU WUSR: GPIOAWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOBWU_Pos                  (9UL)                     /*!< SCU WUSR: GPIOBWU (Bit 9)                                   */
#define SCU_WUSR_GPIOBWU_Msk                  (0x200UL)                 /*!< SCU WUSR: GPIOBWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOCWU_Pos                  (10UL)                    /*!< SCU WUSR: GPIOCWU (Bit 10)                                  */
#define SCU_WUSR_GPIOCWU_Msk                  (0x400UL)                 /*!< SCU WUSR: GPIOCWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIODWU_Pos                  (11UL)                    /*!< SCU WUSR: GPIODWU (Bit 11)                                  */
#define SCU_WUSR_GPIODWU_Msk                  (0x800UL)                 /*!< SCU WUSR: GPIODWU (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_RSER  ---------------------------------- */
#define SCU_RSER_LVDRST_Pos                   (0UL)                     /*!< SCU RSER: LVDRST (Bit 0)                                    */
#define SCU_RSER_LVDRST_Msk                   (0x1UL)                   /*!< SCU RSER: LVDRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_MOFRST_Pos                   (1UL)                     /*!< SCU RSER: MOFRST (Bit 1)                                    */
#define SCU_RSER_MOFRST_Msk                   (0x2UL)                   /*!< SCU RSER: MOFRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_MCKFRST_Pos                  (2UL)                     /*!< SCU RSER: MCKFRST (Bit 2)                                   */
#define SCU_RSER_MCKFRST_Msk                  (0x4UL)                   /*!< SCU RSER: MCKFRST (Bitfield-Mask: 0x01)                     */
#define SCU_RSER_WDTRST_Pos                   (3UL)                     /*!< SCU RSER: WDTRST (Bit 3)                                    */
#define SCU_RSER_WDTRST_Msk                   (0x8UL)                   /*!< SCU RSER: WDTRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_SWRST_Pos                    (4UL)                     /*!< SCU RSER: SWRST (Bit 4)                                     */
#define SCU_RSER_SWRST_Msk                    (0x10UL)                  /*!< SCU RSER: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSER_CPURST_Pos                   (5UL)                     /*!< SCU RSER: CPURST (Bit 5)                                    */
#define SCU_RSER_CPURST_Msk                   (0x20UL)                  /*!< SCU RSER: CPURST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_PINRST_Pos                   (6UL)                     /*!< SCU RSER: PINRST (Bit 6)                                    */
#define SCU_RSER_PINRST_Msk                   (0x40UL)                  /*!< SCU RSER: PINRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_LOCKUPRST_Pos                (7UL)                     /*!< SCU RSER: LOCKUPRST (Bit 7)                                 */
#define SCU_RSER_LOCKUPRST_Msk                (0x80UL)                  /*!< SCU RSER: LOCKUPRST (Bitfield-Mask: 0x01)                   */

/* ----------------------------------  SCU_RSSR  ---------------------------------- */
#define SCU_RSSR_LVDRST_Pos                   (0UL)                     /*!< SCU RSSR: LVDRST (Bit 0)                                    */
#define SCU_RSSR_LVDRST_Msk                   (0x1UL)                   /*!< SCU RSSR: LVDRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_MOFRST_Pos                   (1UL)                     /*!< SCU RSSR: MOFRST (Bit 1)                                    */
#define SCU_RSSR_MOFRST_Msk                   (0x2UL)                   /*!< SCU RSSR: MOFRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_MCKFRST_Pos                  (2UL)                     /*!< SCU RSSR: MCKFRST (Bit 2)                                   */
#define SCU_RSSR_MCKFRST_Msk                  (0x4UL)                   /*!< SCU RSSR: MCKFRST (Bitfield-Mask: 0x01)                     */
#define SCU_RSSR_WDTRST_Pos                   (3UL)                     /*!< SCU RSSR: WDTRST (Bit 3)                                    */
#define SCU_RSSR_WDTRST_Msk                   (0x8UL)                   /*!< SCU RSSR: WDTRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_SWRST_Pos                    (4UL)                     /*!< SCU RSSR: SWRST (Bit 4)                                     */
#define SCU_RSSR_SWRST_Msk                    (0x10UL)                  /*!< SCU RSSR: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSSR_CPURST_Pos                   (5UL)                     /*!< SCU RSSR: CPURST (Bit 5)                                    */
#define SCU_RSSR_CPURST_Msk                   (0x20UL)                  /*!< SCU RSSR: CPURST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_PINRST_Pos                   (6UL)                     /*!< SCU RSSR: PINRST (Bit 6)                                    */
#define SCU_RSSR_PINRST_Msk                   (0x40UL)                  /*!< SCU RSSR: PINRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_PORST_Pos                    (7UL)                     /*!< SCU RSSR: PORST (Bit 7)                                     */
#define SCU_RSSR_PORST_Msk                    (0x80UL)                  /*!< SCU RSSR: PORST (Bitfield-Mask: 0x01)                       */
#define SCU_RSSR_LOCKUPRST_Pos                (8UL)                     /*!< SCU RSSR: LOCKUPRST (Bit 8)                                 */
#define SCU_RSSR_LOCKUPRST_Msk                (0x100UL)                 /*!< SCU RSSR: LOCKUPRST (Bitfield-Mask: 0x01)                   */

/* ----------------------------------  SCU_PRER1  --------------------------------- */
#define SCU_PRER1_SCU_Pos                     (0UL)                     /*!< SCU PRER1: SCU (Bit 0)                                      */
#define SCU_PRER1_SCU_Msk                     (0x1UL)                   /*!< SCU PRER1: SCU (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_FMC_Pos                     (1UL)                     /*!< SCU PRER1: FMC (Bit 1)                                      */
#define SCU_PRER1_FMC_Msk                     (0x2UL)                   /*!< SCU PRER1: FMC (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_WDT_Pos                     (2UL)                     /*!< SCU PRER1: WDT (Bit 2)                                      */
#define SCU_PRER1_WDT_Msk                     (0x4UL)                   /*!< SCU PRER1: WDT (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_PCU_Pos                     (3UL)                     /*!< SCU PRER1: PCU (Bit 3)                                      */
#define SCU_PRER1_PCU_Msk                     (0x8UL)                   /*!< SCU PRER1: PCU (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_DIV64_Pos                   (5UL)                     /*!< SCU PRER1: DIV64 (Bit 5)                                    */
#define SCU_PRER1_DIV64_Msk                   (0x20UL)                  /*!< SCU PRER1: DIV64 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOA_Pos                   (8UL)                     /*!< SCU PRER1: GPIOA (Bit 8)                                    */
#define SCU_PRER1_GPIOA_Msk                   (0x100UL)                 /*!< SCU PRER1: GPIOA (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOB_Pos                   (9UL)                     /*!< SCU PRER1: GPIOB (Bit 9)                                    */
#define SCU_PRER1_GPIOB_Msk                   (0x200UL)                 /*!< SCU PRER1: GPIOB (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOC_Pos                   (10UL)                    /*!< SCU PRER1: GPIOC (Bit 10)                                   */
#define SCU_PRER1_GPIOC_Msk                   (0x400UL)                 /*!< SCU PRER1: GPIOC (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOD_Pos                   (11UL)                    /*!< SCU PRER1: GPIOD (Bit 11)                                   */
#define SCU_PRER1_GPIOD_Msk                   (0x800UL)                 /*!< SCU PRER1: GPIOD (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_TIMER0_Pos                  (16UL)                    /*!< SCU PRER1: TIMER0 (Bit 16)                                  */
#define SCU_PRER1_TIMER0_Msk                  (0x10000UL)               /*!< SCU PRER1: TIMER0 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER1_Pos                  (17UL)                    /*!< SCU PRER1: TIMER1 (Bit 17)                                  */
#define SCU_PRER1_TIMER1_Msk                  (0x20000UL)               /*!< SCU PRER1: TIMER1 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER2_Pos                  (18UL)                    /*!< SCU PRER1: TIMER2 (Bit 18)                                  */
#define SCU_PRER1_TIMER2_Msk                  (0x40000UL)               /*!< SCU PRER1: TIMER2 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER3_Pos                  (19UL)                    /*!< SCU PRER1: TIMER3 (Bit 19)                                  */
#define SCU_PRER1_TIMER3_Msk                  (0x80000UL)               /*!< SCU PRER1: TIMER3 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_FRT_Pos                     (26UL)                    /*!< SCU PRER1: FRT (Bit 26)                                     */
#define SCU_PRER1_FRT_Msk                     (0x4000000UL)             /*!< SCU PRER1: FRT (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_PRER2  --------------------------------- */
#define SCU_PRER2_SPI_Pos                     (0UL)                     /*!< SCU PRER2: SPI (Bit 0)                                      */
#define SCU_PRER2_SPI_Msk                     (0x1UL)                   /*!< SCU PRER2: SPI (Bitfield-Mask: 0x01)                        */
#define SCU_PRER2_I2C_Pos                     (4UL)                     /*!< SCU PRER2: I2C (Bit 4)                                      */
#define SCU_PRER2_I2C_Msk                     (0x10UL)                  /*!< SCU PRER2: I2C (Bitfield-Mask: 0x01)                        */
#define SCU_PRER2_UART0_Pos                   (8UL)                     /*!< SCU PRER2: UART0 (Bit 8)                                    */
#define SCU_PRER2_UART0_Msk                   (0x100UL)                 /*!< SCU PRER2: UART0 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART1_Pos                   (9UL)                     /*!< SCU PRER2: UART1 (Bit 9)                                    */
#define SCU_PRER2_UART1_Msk                   (0x200UL)                 /*!< SCU PRER2: UART1 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_MPWM_Pos                    (16UL)                    /*!< SCU PRER2: MPWM (Bit 16)                                    */
#define SCU_PRER2_MPWM_Msk                    (0x10000UL)               /*!< SCU PRER2: MPWM (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_ADC_Pos                     (20UL)                    /*!< SCU PRER2: ADC (Bit 20)                                     */
#define SCU_PRER2_ADC_Msk                     (0x100000UL)              /*!< SCU PRER2: ADC (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_PER1  ---------------------------------- */
#define SCU_PER1_DIV64_Pos                    (5UL)                     /*!< SCU PER1: DIV64 (Bit 5)                                     */
#define SCU_PER1_DIV64_Msk                    (0x20UL)                  /*!< SCU PER1: DIV64 (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOA_Pos                    (8UL)                     /*!< SCU PER1: GPIOA (Bit 8)                                     */
#define SCU_PER1_GPIOA_Msk                    (0x100UL)                 /*!< SCU PER1: GPIOA (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOB_Pos                    (9UL)                     /*!< SCU PER1: GPIOB (Bit 9)                                     */
#define SCU_PER1_GPIOB_Msk                    (0x200UL)                 /*!< SCU PER1: GPIOB (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOC_Pos                    (10UL)                    /*!< SCU PER1: GPIOC (Bit 10)                                    */
#define SCU_PER1_GPIOC_Msk                    (0x400UL)                 /*!< SCU PER1: GPIOC (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOD_Pos                    (11UL)                    /*!< SCU PER1: GPIOD (Bit 11)                                    */
#define SCU_PER1_GPIOD_Msk                    (0x800UL)                 /*!< SCU PER1: GPIOD (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_TIMER0_Pos                   (16UL)                    /*!< SCU PER1: TIMER0 (Bit 16)                                   */
#define SCU_PER1_TIMER0_Msk                   (0x10000UL)               /*!< SCU PER1: TIMER0 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER1_Pos                   (17UL)                    /*!< SCU PER1: TIMER1 (Bit 17)                                   */
#define SCU_PER1_TIMER1_Msk                   (0x20000UL)               /*!< SCU PER1: TIMER1 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER2_Pos                   (18UL)                    /*!< SCU PER1: TIMER2 (Bit 18)                                   */
#define SCU_PER1_TIMER2_Msk                   (0x40000UL)               /*!< SCU PER1: TIMER2 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER3_Pos                   (19UL)                    /*!< SCU PER1: TIMER3 (Bit 19)                                   */
#define SCU_PER1_TIMER3_Msk                   (0x80000UL)               /*!< SCU PER1: TIMER3 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_FRT_Pos                      (26UL)                    /*!< SCU PER1: FRT (Bit 26)                                      */
#define SCU_PER1_FRT_Msk                      (0x4000000UL)             /*!< SCU PER1: FRT (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  SCU_PER2  ---------------------------------- */
#define SCU_PER2_SPI_Pos                      (0UL)                     /*!< SCU PER2: SPI (Bit 0)                                       */
#define SCU_PER2_SPI_Msk                      (0x1UL)                   /*!< SCU PER2: SPI (Bitfield-Mask: 0x01)                         */
#define SCU_PER2_I2C_Pos                      (4UL)                     /*!< SCU PER2: I2C (Bit 4)                                       */
#define SCU_PER2_I2C_Msk                      (0x10UL)                  /*!< SCU PER2: I2C (Bitfield-Mask: 0x01)                         */
#define SCU_PER2_UART0_Pos                    (8UL)                     /*!< SCU PER2: UART0 (Bit 8)                                     */
#define SCU_PER2_UART0_Msk                    (0x100UL)                 /*!< SCU PER2: UART0 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART1_Pos                    (9UL)                     /*!< SCU PER2: UART1 (Bit 9)                                     */
#define SCU_PER2_UART1_Msk                    (0x200UL)                 /*!< SCU PER2: UART1 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_MPWM_Pos                     (16UL)                    /*!< SCU PER2: MPWM (Bit 16)                                     */
#define SCU_PER2_MPWM_Msk                     (0x10000UL)               /*!< SCU PER2: MPWM (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_ADC_Pos                      (20UL)                    /*!< SCU PER2: ADC (Bit 20)                                      */
#define SCU_PER2_ADC_Msk                      (0x100000UL)              /*!< SCU PER2: ADC (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  SCU_PCER1  --------------------------------- */
#define SCU_PCER1_DIV64_Pos                   (5UL)                     /*!< SCU PCER1: DIV64 (Bit 5)                                    */
#define SCU_PCER1_DIV64_Msk                   (0x20UL)                  /*!< SCU PCER1: DIV64 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOA_Pos                   (8UL)                     /*!< SCU PCER1: GPIOA (Bit 8)                                    */
#define SCU_PCER1_GPIOA_Msk                   (0x100UL)                 /*!< SCU PCER1: GPIOA (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOB_Pos                   (9UL)                     /*!< SCU PCER1: GPIOB (Bit 9)                                    */
#define SCU_PCER1_GPIOB_Msk                   (0x200UL)                 /*!< SCU PCER1: GPIOB (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOC_Pos                   (10UL)                    /*!< SCU PCER1: GPIOC (Bit 10)                                   */
#define SCU_PCER1_GPIOC_Msk                   (0x400UL)                 /*!< SCU PCER1: GPIOC (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOD_Pos                   (11UL)                    /*!< SCU PCER1: GPIOD (Bit 11)                                   */
#define SCU_PCER1_GPIOD_Msk                   (0x800UL)                 /*!< SCU PCER1: GPIOD (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_TIMER0_Pos                  (16UL)                    /*!< SCU PCER1: TIMER0 (Bit 16)                                  */
#define SCU_PCER1_TIMER0_Msk                  (0x10000UL)               /*!< SCU PCER1: TIMER0 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER1_Pos                  (17UL)                    /*!< SCU PCER1: TIMER1 (Bit 17)                                  */
#define SCU_PCER1_TIMER1_Msk                  (0x20000UL)               /*!< SCU PCER1: TIMER1 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER2_Pos                  (18UL)                    /*!< SCU PCER1: TIMER2 (Bit 18)                                  */
#define SCU_PCER1_TIMER2_Msk                  (0x40000UL)               /*!< SCU PCER1: TIMER2 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER3_Pos                  (19UL)                    /*!< SCU PCER1: TIMER3 (Bit 19)                                  */
#define SCU_PCER1_TIMER3_Msk                  (0x80000UL)               /*!< SCU PCER1: TIMER3 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_FRT_Pos                     (26UL)                    /*!< SCU PCER1: FRT (Bit 26)                                     */
#define SCU_PCER1_FRT_Msk                     (0x4000000UL)             /*!< SCU PCER1: FRT (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_PCER2  --------------------------------- */
#define SCU_PCER2_SPI_Pos                     (0UL)                     /*!< SCU PCER2: SPI (Bit 0)                                      */
#define SCU_PCER2_SPI_Msk                     (0x1UL)                   /*!< SCU PCER2: SPI (Bitfield-Mask: 0x01)                        */
#define SCU_PCER2_I2C_Pos                     (4UL)                     /*!< SCU PCER2: I2C (Bit 4)                                      */
#define SCU_PCER2_I2C_Msk                     (0x10UL)                  /*!< SCU PCER2: I2C (Bitfield-Mask: 0x01)                        */
#define SCU_PCER2_UART0_Pos                   (8UL)                     /*!< SCU PCER2: UART0 (Bit 8)                                    */
#define SCU_PCER2_UART0_Msk                   (0x100UL)                 /*!< SCU PCER2: UART0 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART1_Pos                   (9UL)                     /*!< SCU PCER2: UART1 (Bit 9)                                    */
#define SCU_PCER2_UART1_Msk                   (0x200UL)                 /*!< SCU PCER2: UART1 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_MPWM_Pos                    (16UL)                    /*!< SCU PCER2: MPWM (Bit 16)                                    */
#define SCU_PCER2_MPWM_Msk                    (0x10000UL)               /*!< SCU PCER2: MPWM (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_ADC_Pos                     (20UL)                    /*!< SCU PCER2: ADC (Bit 20)                                     */
#define SCU_PCER2_ADC_Msk                     (0x100000UL)              /*!< SCU PCER2: ADC (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_CSCR  ---------------------------------- */
#define SCU_CSCR_MOSCCON_Pos                  (0UL)                     /*!< SCU CSCR: MOSCCON (Bit 0)                                   */
#define SCU_CSCR_MOSCCON_Msk                  (0x3UL)                   /*!< SCU CSCR: MOSCCON (Bitfield-Mask: 0x03)                     */
#define SCU_CSCR_HSICON_Pos                   (2UL)                     /*!< SCU CSCR: HSICON (Bit 2)                                    */
#define SCU_CSCR_HSICON_Msk                   (0xcUL)                   /*!< SCU CSCR: HSICON (Bitfield-Mask: 0x03)                      */
#define SCU_CSCR_LSICON_Pos                   (4UL)                     /*!< SCU CSCR: LSICON (Bit 4)                                    */
#define SCU_CSCR_LSICON_Msk                   (0x30UL)                  /*!< SCU CSCR: LSICON (Bitfield-Mask: 0x03)                      */
#define SCU_CSCR_SOSCCON_Pos                  (6UL)                     /*!< SCU CSCR: SOSCCON (Bit 6)                                   */
#define SCU_CSCR_SOSCCON_Msk                  (0xc0UL)                  /*!< SCU CSCR: SOSCCON (Bitfield-Mask: 0x03)                     */

/* ----------------------------------  SCU_SCCR  ---------------------------------- */
#define SCU_SCCR_MCLKSEL_Pos                  (0UL)                     /*!< SCU SCCR: MCLKSEL (Bit 0)                                   */
#define SCU_SCCR_MCLKSEL_Msk                  (0x7UL)                   /*!< SCU SCCR: MCLKSEL (Bitfield-Mask: 0x07)                     */

/* -----------------------------------  SCU_CMR  ---------------------------------- */
#define SCU_CMR_MOSCSTS_Pos                   (0UL)                     /*!< SCU CMR: MOSCSTS (Bit 0)                                    */
#define SCU_CMR_MOSCSTS_Msk                   (0x1UL)                   /*!< SCU CMR: MOSCSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MOSCFAIL_Pos                  (1UL)                     /*!< SCU CMR: MOSCFAIL (Bit 1)                                   */
#define SCU_CMR_MOSCFAIL_Msk                  (0x2UL)                   /*!< SCU CMR: MOSCFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_MOSCIE_Pos                    (2UL)                     /*!< SCU CMR: MOSCIE (Bit 2)                                     */
#define SCU_CMR_MOSCIE_Msk                    (0x4UL)                   /*!< SCU CMR: MOSCIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_MOSCMNT_Pos                   (3UL)                     /*!< SCU CMR: MOSCMNT (Bit 3)                                    */
#define SCU_CMR_MOSCMNT_Msk                   (0x8UL)                   /*!< SCU CMR: MOSCMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKSTS_Pos                   (4UL)                     /*!< SCU CMR: MCLKSTS (Bit 4)                                    */
#define SCU_CMR_MCLKSTS_Msk                   (0x10UL)                  /*!< SCU CMR: MCLKSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKFAIL_Pos                  (5UL)                     /*!< SCU CMR: MCLKFAIL (Bit 5)                                   */
#define SCU_CMR_MCLKFAIL_Msk                  (0x20UL)                  /*!< SCU CMR: MCLKFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_MCLKIE_Pos                    (6UL)                     /*!< SCU CMR: MCLKIE (Bit 6)                                     */
#define SCU_CMR_MCLKIE_Msk                    (0x40UL)                  /*!< SCU CMR: MCLKIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_MCLKMNT_Pos                   (7UL)                     /*!< SCU CMR: MCLKMNT (Bit 7)                                    */
#define SCU_CMR_MCLKMNT_Msk                   (0x80UL)                  /*!< SCU CMR: MCLKMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_SOSCSTS_Pos                   (8UL)                     /*!< SCU CMR: SOSCSTS (Bit 8)                                    */
#define SCU_CMR_SOSCSTS_Msk                   (0x100UL)                 /*!< SCU CMR: SOSCSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_SOSCFAIL_Pos                  (9UL)                     /*!< SCU CMR: SOSCFAIL (Bit 9)                                   */
#define SCU_CMR_SOSCFAIL_Msk                  (0x200UL)                 /*!< SCU CMR: SOSCFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_SOSCIE_Pos                    (10UL)                    /*!< SCU CMR: SOSCIE (Bit 10)                                    */
#define SCU_CMR_SOSCIE_Msk                    (0x400UL)                 /*!< SCU CMR: SOSCIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_SOSCMNT_Pos                   (11UL)                    /*!< SCU CMR: SOSCMNT (Bit 11)                                   */
#define SCU_CMR_SOSCMNT_Msk                   (0x800UL)                 /*!< SCU CMR: SOSCMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKREC_Pos                   (15UL)                    /*!< SCU CMR: MCLKREC (Bit 15)                                   */
#define SCU_CMR_MCLKREC_Msk                   (0x8000UL)                /*!< SCU CMR: MCLKREC (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_NMIR  ---------------------------------- */
#define SCU_NMIR_LVDEN_Pos                    (0UL)                     /*!< SCU NMIR: LVDEN (Bit 0)                                     */
#define SCU_NMIR_LVDEN_Msk                    (0x1UL)                   /*!< SCU NMIR: LVDEN (Bitfield-Mask: 0x01)                       */
#define SCU_NMIR_MCLKFAILEN_Pos               (1UL)                     /*!< SCU NMIR: MCLKFAILEN (Bit 1)                                */
#define SCU_NMIR_MCLKFAILEN_Msk               (0x2UL)                   /*!< SCU NMIR: MCLKFAILEN (Bitfield-Mask: 0x01)                  */
#define SCU_NMIR_WDTINTEN_Pos                 (2UL)                     /*!< SCU NMIR: WDTINTEN (Bit 2)                                  */
#define SCU_NMIR_WDTINTEN_Msk                 (0x4UL)                   /*!< SCU NMIR: WDTINTEN (Bitfield-Mask: 0x01)                    */
#define SCU_NMIR_OVPEN_Pos                    (3UL)                     /*!< SCU NMIR: OVPEN (Bit 3)                                     */
#define SCU_NMIR_OVPEN_Msk                    (0x8UL)                   /*!< SCU NMIR: OVPEN (Bitfield-Mask: 0x01)                       */
#define SCU_NMIR_PROTEN_Pos                   (4UL)                     /*!< SCU NMIR: PROTEN (Bit 4)                                    */
#define SCU_NMIR_PROTEN_Msk                   (0x10UL)                  /*!< SCU NMIR: PROTEN (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_LVDSTS_Pos                   (8UL)                     /*!< SCU NMIR: LVDSTS (Bit 8)                                    */
#define SCU_NMIR_LVDSTS_Msk                   (0x100UL)                 /*!< SCU NMIR: LVDSTS (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_MCLKFAILSTS_Pos              (9UL)                     /*!< SCU NMIR: MCLKFAILSTS (Bit 9)                               */
#define SCU_NMIR_MCLKFAILSTS_Msk              (0x200UL)                 /*!< SCU NMIR: MCLKFAILSTS (Bitfield-Mask: 0x01)                 */
#define SCU_NMIR_WDTINTSTS_Pos                (10UL)                    /*!< SCU NMIR: WDTINTSTS (Bit 10)                                */
#define SCU_NMIR_WDTINTSTS_Msk                (0x400UL)                 /*!< SCU NMIR: WDTINTSTS (Bitfield-Mask: 0x01)                   */
#define SCU_NMIR_OVPSTS_Pos                   (11UL)                    /*!< SCU NMIR: OVPSTS (Bit 11)                                   */
#define SCU_NMIR_OVPSTS_Msk                   (0x800UL)                 /*!< SCU NMIR: OVPSTS (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_PROTSTS_Pos                  (12UL)                    /*!< SCU NMIR: PROTSTS (Bit 12)                                  */
#define SCU_NMIR_PROTSTS_Msk                  (0x1000UL)                /*!< SCU NMIR: PROTSTS (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_ACODE_Pos                    (16UL)                    /*!< SCU NMIR: ACODE (Bit 16)                                    */
#define SCU_NMIR_ACODE_Msk                    (0xffff0000UL)            /*!< SCU NMIR: ACODE (Bitfield-Mask: 0xffff)                     */

/* -----------------------------------  SCU_COR  ---------------------------------- */
#define SCU_COR_CLKODIV_Pos                   (0UL)                     /*!< SCU COR: CLKODIV (Bit 0)                                    */
#define SCU_COR_CLKODIV_Msk                   (0xfUL)                   /*!< SCU COR: CLKODIV (Bitfield-Mask: 0x0f)                      */
#define SCU_COR_CLKOEN_Pos                    (4UL)                     /*!< SCU COR: CLKOEN (Bit 4)                                     */
#define SCU_COR_CLKOEN_Msk                    (0x10UL)                  /*!< SCU COR: CLKOEN (Bitfield-Mask: 0x01)                       */

/* ---------------------------------  SCU_VDCCON  --------------------------------- */
#define SCU_VDCCON_VDCWDLY_Pos                (0UL)                     /*!< SCU VDCCON: VDCWDLY (Bit 0)                                 */
#define SCU_VDCCON_VDCWDLY_Msk                (0xfUL)                   /*!< SCU VDCCON: VDCWDLY (Bitfield-Mask: 0x0f)                   */
#define SCU_VDCCON_VDCDE_Pos                  (8UL)                     /*!< SCU VDCCON: VDCDE (Bit 8)                                   */
#define SCU_VDCCON_VDCDE_Msk                  (0x100UL)                 /*!< SCU VDCCON: VDCDE (Bitfield-Mask: 0x01)                     */
#define SCU_VDCCON_STOPSEL_Pos                (25UL)                    /*!< SCU VDCCON: STOPSEL (Bit 25)                                */
#define SCU_VDCCON_STOPSEL_Msk                (0x2000000UL)             /*!< SCU VDCCON: STOPSEL (Bitfield-Mask: 0x01)                   */
#define SCU_VDCCON_VDCME_Pos                  (31UL)                    /*!< SCU VDCCON: VDCME (Bit 31)                                  */
#define SCU_VDCCON_VDCME_Msk                  (0x80000000UL)            /*!< SCU VDCCON: VDCME (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  SCU_LVDCON  --------------------------------- */
#define SCU_LVDCON_LVDEN_Pos                  (0UL)                     /*!< SCU LVDCON: LVDEN (Bit 0)                                   */
#define SCU_LVDCON_LVDEN_Msk                  (0x1UL)                   /*!< SCU LVDCON: LVDEN (Bitfield-Mask: 0x01)                     */
#define SCU_LVDCON_LVDLVL_Pos                 (1UL)                     /*!< SCU LVDCON: LVDLVL (Bit 1)                                  */
#define SCU_LVDCON_LVDLVL_Msk                 (0x2UL)                   /*!< SCU LVDCON: LVDLVL (Bitfield-Mask: 0x01)                    */
#define SCU_LVDCON_LVDSEL_Pos                 (8UL)                     /*!< SCU LVDCON: LVDSEL (Bit 8)                                  */
#define SCU_LVDCON_LVDSEL_Msk                 (0x300UL)                 /*!< SCU LVDCON: LVDSEL (Bitfield-Mask: 0x03)                    */
#define SCU_LVDCON_SELEN_Pos                  (15UL)                    /*!< SCU LVDCON: SELEN (Bit 15)                                  */
#define SCU_LVDCON_SELEN_Msk                  (0x8000UL)                /*!< SCU LVDCON: SELEN (Bitfield-Mask: 0x01)                     */

/* -------------------------------  SCU_HSIOSCTRIM  ------------------------------- */
#define SCU_HSIOSCTRIM_REFSEL_Pos             (30UL)                    /*!< SCU HSIOSCTRIM: REFSEL (Bit 30)                             */
#define SCU_HSIOSCTRIM_REFSEL_Msk             (0x40000000UL)            /*!< SCU HSIOSCTRIM: REFSEL (Bitfield-Mask: 0x01)                */
#define SCU_HSIOSCTRIM_BISCON_Pos             (31UL)                    /*!< SCU HSIOSCTRIM: BISCON (Bit 31)                             */
#define SCU_HSIOSCTRIM_BISCON_Msk             (0x80000000UL)            /*!< SCU HSIOSCTRIM: BISCON (Bitfield-Mask: 0x01)                */

/* ---------------------------------  SCU_BISCCON  -------------------------------- */
#define SCU_BISCCON_XTAL_COMP_Pos             (0UL)                     /*!< SCU BISCCON: XTAL_COMP (Bit 0)                              */
#define SCU_BISCCON_XTAL_COMP_Msk             (0xffffUL)                /*!< SCU BISCCON: XTAL_COMP (Bitfield-Mask: 0xffff)              */
#define SCU_BISCCON_INTOSC_COMP_Pos           (16UL)                    /*!< SCU BISCCON: INTOSC_COMP (Bit 16)                           */
#define SCU_BISCCON_INTOSC_COMP_Msk           (0xffff0000UL)            /*!< SCU BISCCON: INTOSC_COMP (Bitfield-Mask: 0xffff)            */

/* ---------------------------------  SCU_EMOSCR  --------------------------------- */
#define SCU_EMOSCR_INVCLKEN_Pos               (0UL)                     /*!< SCU EMOSCR: INVCLKEN (Bit 0)                                */
#define SCU_EMOSCR_INVCLKEN_Msk               (0x1UL)                   /*!< SCU EMOSCR: INVCLKEN (Bitfield-Mask: 0x01)                  */
#define SCU_EMOSCR_INVCLKWEN_Pos              (7UL)                     /*!< SCU EMOSCR: INVCLKWEN (Bit 7)                               */
#define SCU_EMOSCR_INVCLKWEN_Msk              (0x80UL)                  /*!< SCU EMOSCR: INVCLKWEN (Bitfield-Mask: 0x01)                 */
#define SCU_EMOSCR_FILSKIPEN_Pos              (8UL)                     /*!< SCU EMOSCR: FILSKIPEN (Bit 8)                               */
#define SCU_EMOSCR_FILSKIPEN_Msk              (0x100UL)                 /*!< SCU EMOSCR: FILSKIPEN (Bitfield-Mask: 0x01)                 */
#define SCU_EMOSCR_FILSKIPWEN_Pos             (15UL)                    /*!< SCU EMOSCR: FILSKIPWEN (Bit 15)                             */
#define SCU_EMOSCR_FILSKIPWEN_Msk             (0x8000UL)                /*!< SCU EMOSCR: FILSKIPWEN (Bitfield-Mask: 0x01)                */

/* ----------------------------------  SCU_EMODR  --------------------------------- */
#define SCU_EMODR_BOOT_Pos                    (0UL)                     /*!< SCU EMODR: BOOT (Bit 0)                                     */
#define SCU_EMODR_BOOT_Msk                    (0x1UL)                   /*!< SCU EMODR: BOOT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_MCCR1  --------------------------------- */
#define SCU_MCCR1_STCDIV_Pos                  (0UL)                     /*!< SCU MCCR1: STCDIV (Bit 0)                                   */
#define SCU_MCCR1_STCDIV_Msk                  (0xffUL)                  /*!< SCU MCCR1: STCDIV (Bitfield-Mask: 0xff)                     */
#define SCU_MCCR1_STCSEL_Pos                  (8UL)                     /*!< SCU MCCR1: STCSEL (Bit 8)                                   */
#define SCU_MCCR1_STCSEL_Msk                  (0x700UL)                 /*!< SCU MCCR1: STCSEL (Bitfield-Mask: 0x07)                     */

/* ----------------------------------  SCU_MCCR2  --------------------------------- */
#define SCU_MCCR2_PWMDIV_Pos                  (0UL)                     /*!< SCU MCCR2: PWMDIV (Bit 0)                                   */
#define SCU_MCCR2_PWMDIV_Msk                  (0xffUL)                  /*!< SCU MCCR2: PWMDIV (Bitfield-Mask: 0xff)                     */
#define SCU_MCCR2_PWMCSEL_Pos                 (8UL)                     /*!< SCU MCCR2: PWMCSEL (Bit 8)                                  */
#define SCU_MCCR2_PWMCSEL_Msk                 (0x700UL)                 /*!< SCU MCCR2: PWMCSEL (Bitfield-Mask: 0x07)                    */

/* ----------------------------------  SCU_MCCR3  --------------------------------- */
#define SCU_MCCR3_WDTDIV_Pos                  (0UL)                     /*!< SCU MCCR3: WDTDIV (Bit 0)                                   */
#define SCU_MCCR3_WDTDIV_Msk                  (0xffUL)                  /*!< SCU MCCR3: WDTDIV (Bitfield-Mask: 0xff)                     */
#define SCU_MCCR3_WDTCSEL_Pos                 (8UL)                     /*!< SCU MCCR3: WDTCSEL (Bit 8)                                  */
#define SCU_MCCR3_WDTCSEL_Msk                 (0x700UL)                 /*!< SCU MCCR3: WDTCSEL (Bitfield-Mask: 0x07)                    */
#define SCU_MCCR3_TIMERDIV_Pos                (16UL)                    /*!< SCU MCCR3: TIMERDIV (Bit 16)                                */
#define SCU_MCCR3_TIMERDIV_Msk                (0xff0000UL)              /*!< SCU MCCR3: TIMERDIV (Bitfield-Mask: 0xff)                   */
#define SCU_MCCR3_TIMERCSEL_Pos               (24UL)                    /*!< SCU MCCR3: TIMERCSEL (Bit 24)                               */
#define SCU_MCCR3_TIMERCSEL_Msk               (0x7000000UL)             /*!< SCU MCCR3: TIMERCSEL (Bitfield-Mask: 0x07)                  */

/* ---------------------------------  SCU_DBCLK1  --------------------------------- */
#define SCU_DBCLK1_PADDIV_Pos                 (0UL)                     /*!< SCU DBCLK1: PADDIV (Bit 0)                                  */
#define SCU_DBCLK1_PADDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK1: PADDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK1_PADCSEL_Pos                (8UL)                     /*!< SCU DBCLK1: PADCSEL (Bit 8)                                 */
#define SCU_DBCLK1_PADCSEL_Msk                (0x700UL)                 /*!< SCU DBCLK1: PADCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_DBCLK1_PBDDIV_Pos                 (16UL)                    /*!< SCU DBCLK1: PBDDIV (Bit 16)                                 */
#define SCU_DBCLK1_PBDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK1: PBDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK1_PBDCSEL_Pos                (24UL)                    /*!< SCU DBCLK1: PBDCSEL (Bit 24)                                */
#define SCU_DBCLK1_PBDCSEL_Msk                (0x7000000UL)             /*!< SCU DBCLK1: PBDCSEL (Bitfield-Mask: 0x07)                   */

/* ---------------------------------  SCU_DBCLK2  --------------------------------- */
#define SCU_DBCLK2_PCDDIV_Pos                 (0UL)                     /*!< SCU DBCLK2: PCDDIV (Bit 0)                                  */
#define SCU_DBCLK2_PCDDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK2: PCDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK2_PCDCSEL_Pos                (8UL)                     /*!< SCU DBCLK2: PCDCSEL (Bit 8)                                 */
#define SCU_DBCLK2_PCDCSEL_Msk                (0x700UL)                 /*!< SCU DBCLK2: PCDCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_DBCLK2_PDDDIV_Pos                 (16UL)                    /*!< SCU DBCLK2: PDDDIV (Bit 16)                                 */
#define SCU_DBCLK2_PDDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK2: PDDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK2_PDDCSEL_Pos                (24UL)                    /*!< SCU DBCLK2: PDDCSEL (Bit 24)                                */
#define SCU_DBCLK2_PDDCSEL_Msk                (0x7000000UL)             /*!< SCU DBCLK2: PDDCSEL (Bitfield-Mask: 0x07)                   */

/* ----------------------------------  SCU_MCCR4  --------------------------------- */
#define SCU_MCCR4_UARTCDIV_Pos                (0UL)                     /*!< SCU MCCR4: UARTCDIV (Bit 0)                                 */
#define SCU_MCCR4_UARTCDIV_Msk                (0xffUL)                  /*!< SCU MCCR4: UARTCDIV (Bitfield-Mask: 0xff)                   */
#define SCU_MCCR4_UARTCSEL_Pos                (8UL)                     /*!< SCU MCCR4: UARTCSEL (Bit 8)                                 */
#define SCU_MCCR4_UARTCSEL_Msk                (0x700UL)                 /*!< SCU MCCR4: UARTCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_MCCR4_ADCCDIV_Pos                 (16UL)                    /*!< SCU MCCR4: ADCCDIV (Bit 16)                                 */
#define SCU_MCCR4_ADCCDIV_Msk                 (0xff0000UL)              /*!< SCU MCCR4: ADCCDIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR4_ADCCSEL_Pos                 (24UL)                    /*!< SCU MCCR4: ADCCSEL (Bit 24)                                 */
#define SCU_MCCR4_ADCCSEL_Msk                 (0x7000000UL)             /*!< SCU MCCR4: ADCCSEL (Bitfield-Mask: 0x07)                    */


/* ================================================================================ */
/* ================          struct 'PCA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCA_MR  ----------------------------------- */
#define PCA_MR_P0_Pos                         (0UL)                     /*!< PCA MR: P0 (Bit 0)                                          */
#define PCA_MR_P0_Msk                         (0x3UL)                   /*!< PCA MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P1_Pos                         (2UL)                     /*!< PCA MR: P1 (Bit 2)                                          */
#define PCA_MR_P1_Msk                         (0xcUL)                   /*!< PCA MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P2_Pos                         (4UL)                     /*!< PCA MR: P2 (Bit 4)                                          */
#define PCA_MR_P2_Msk                         (0x30UL)                  /*!< PCA MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P3_Pos                         (6UL)                     /*!< PCA MR: P3 (Bit 6)                                          */
#define PCA_MR_P3_Msk                         (0xc0UL)                  /*!< PCA MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P4_Pos                         (8UL)                     /*!< PCA MR: P4 (Bit 8)                                          */
#define PCA_MR_P4_Msk                         (0x300UL)                 /*!< PCA MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P5_Pos                         (10UL)                    /*!< PCA MR: P5 (Bit 10)                                         */
#define PCA_MR_P5_Msk                         (0xc00UL)                 /*!< PCA MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P6_Pos                         (12UL)                    /*!< PCA MR: P6 (Bit 12)                                         */
#define PCA_MR_P6_Msk                         (0x3000UL)                /*!< PCA MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P7_Pos                         (14UL)                    /*!< PCA MR: P7 (Bit 14)                                         */
#define PCA_MR_P7_Msk                         (0xc000UL)                /*!< PCA MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P8_Pos                         (16UL)                    /*!< PCA MR: P8 (Bit 16)                                         */
#define PCA_MR_P8_Msk                         (0x30000UL)               /*!< PCA MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P9_Pos                         (18UL)                    /*!< PCA MR: P9 (Bit 18)                                         */
#define PCA_MR_P9_Msk                         (0xc0000UL)               /*!< PCA MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P10_Pos                        (20UL)                    /*!< PCA MR: P10 (Bit 20)                                        */
#define PCA_MR_P10_Msk                        (0x300000UL)              /*!< PCA MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P11_Pos                        (22UL)                    /*!< PCA MR: P11 (Bit 22)                                        */
#define PCA_MR_P11_Msk                        (0xc00000UL)              /*!< PCA MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P12_Pos                        (24UL)                    /*!< PCA MR: P12 (Bit 24)                                        */
#define PCA_MR_P12_Msk                        (0x3000000UL)             /*!< PCA MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P13_Pos                        (26UL)                    /*!< PCA MR: P13 (Bit 26)                                        */
#define PCA_MR_P13_Msk                        (0xc000000UL)             /*!< PCA MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P14_Pos                        (28UL)                    /*!< PCA MR: P14 (Bit 28)                                        */
#define PCA_MR_P14_Msk                        (0x30000000UL)            /*!< PCA MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P15_Pos                        (30UL)                    /*!< PCA MR: P15 (Bit 30)                                        */
#define PCA_MR_P15_Msk                        (0xc0000000UL)            /*!< PCA MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCA_CR  ----------------------------------- */
#define PCA_CR_P0_Pos                         (0UL)                     /*!< PCA CR: P0 (Bit 0)                                          */
#define PCA_CR_P0_Msk                         (0x3UL)                   /*!< PCA CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P1_Pos                         (2UL)                     /*!< PCA CR: P1 (Bit 2)                                          */
#define PCA_CR_P1_Msk                         (0xcUL)                   /*!< PCA CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P2_Pos                         (4UL)                     /*!< PCA CR: P2 (Bit 4)                                          */
#define PCA_CR_P2_Msk                         (0x30UL)                  /*!< PCA CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P3_Pos                         (6UL)                     /*!< PCA CR: P3 (Bit 6)                                          */
#define PCA_CR_P3_Msk                         (0xc0UL)                  /*!< PCA CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P4_Pos                         (8UL)                     /*!< PCA CR: P4 (Bit 8)                                          */
#define PCA_CR_P4_Msk                         (0x300UL)                 /*!< PCA CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P5_Pos                         (10UL)                    /*!< PCA CR: P5 (Bit 10)                                         */
#define PCA_CR_P5_Msk                         (0xc00UL)                 /*!< PCA CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P6_Pos                         (12UL)                    /*!< PCA CR: P6 (Bit 12)                                         */
#define PCA_CR_P6_Msk                         (0x3000UL)                /*!< PCA CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P7_Pos                         (14UL)                    /*!< PCA CR: P7 (Bit 14)                                         */
#define PCA_CR_P7_Msk                         (0xc000UL)                /*!< PCA CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P8_Pos                         (16UL)                    /*!< PCA CR: P8 (Bit 16)                                         */
#define PCA_CR_P8_Msk                         (0x30000UL)               /*!< PCA CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P9_Pos                         (18UL)                    /*!< PCA CR: P9 (Bit 18)                                         */
#define PCA_CR_P9_Msk                         (0xc0000UL)               /*!< PCA CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P10_Pos                        (20UL)                    /*!< PCA CR: P10 (Bit 20)                                        */
#define PCA_CR_P10_Msk                        (0x300000UL)              /*!< PCA CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P11_Pos                        (22UL)                    /*!< PCA CR: P11 (Bit 22)                                        */
#define PCA_CR_P11_Msk                        (0xc00000UL)              /*!< PCA CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P12_Pos                        (24UL)                    /*!< PCA CR: P12 (Bit 24)                                        */
#define PCA_CR_P12_Msk                        (0x3000000UL)             /*!< PCA CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P13_Pos                        (26UL)                    /*!< PCA CR: P13 (Bit 26)                                        */
#define PCA_CR_P13_Msk                        (0xc000000UL)             /*!< PCA CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P14_Pos                        (28UL)                    /*!< PCA CR: P14 (Bit 28)                                        */
#define PCA_CR_P14_Msk                        (0x30000000UL)            /*!< PCA CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P15_Pos                        (30UL)                    /*!< PCA CR: P15 (Bit 30)                                        */
#define PCA_CR_P15_Msk                        (0xc0000000UL)            /*!< PCA CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCA_PCR  ---------------------------------- */
#define PCA_PCR_P0_Pos                        (0UL)                     /*!< PCA PCR: P0 (Bit 0)                                         */
#define PCA_PCR_P0_Msk                        (0x1UL)                   /*!< PCA PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P1_Pos                        (1UL)                     /*!< PCA PCR: P1 (Bit 1)                                         */
#define PCA_PCR_P1_Msk                        (0x2UL)                   /*!< PCA PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P2_Pos                        (2UL)                     /*!< PCA PCR: P2 (Bit 2)                                         */
#define PCA_PCR_P2_Msk                        (0x4UL)                   /*!< PCA PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P3_Pos                        (3UL)                     /*!< PCA PCR: P3 (Bit 3)                                         */
#define PCA_PCR_P3_Msk                        (0x8UL)                   /*!< PCA PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P4_Pos                        (4UL)                     /*!< PCA PCR: P4 (Bit 4)                                         */
#define PCA_PCR_P4_Msk                        (0x10UL)                  /*!< PCA PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P5_Pos                        (5UL)                     /*!< PCA PCR: P5 (Bit 5)                                         */
#define PCA_PCR_P5_Msk                        (0x20UL)                  /*!< PCA PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P6_Pos                        (6UL)                     /*!< PCA PCR: P6 (Bit 6)                                         */
#define PCA_PCR_P6_Msk                        (0x40UL)                  /*!< PCA PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P7_Pos                        (7UL)                     /*!< PCA PCR: P7 (Bit 7)                                         */
#define PCA_PCR_P7_Msk                        (0x80UL)                  /*!< PCA PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P8_Pos                        (8UL)                     /*!< PCA PCR: P8 (Bit 8)                                         */
#define PCA_PCR_P8_Msk                        (0x100UL)                 /*!< PCA PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P9_Pos                        (9UL)                     /*!< PCA PCR: P9 (Bit 9)                                         */
#define PCA_PCR_P9_Msk                        (0x200UL)                 /*!< PCA PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P10_Pos                       (10UL)                    /*!< PCA PCR: P10 (Bit 10)                                       */
#define PCA_PCR_P10_Msk                       (0x400UL)                 /*!< PCA PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P11_Pos                       (11UL)                    /*!< PCA PCR: P11 (Bit 11)                                       */
#define PCA_PCR_P11_Msk                       (0x800UL)                 /*!< PCA PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P12_Pos                       (12UL)                    /*!< PCA PCR: P12 (Bit 12)                                       */
#define PCA_PCR_P12_Msk                       (0x1000UL)                /*!< PCA PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P13_Pos                       (13UL)                    /*!< PCA PCR: P13 (Bit 13)                                       */
#define PCA_PCR_P13_Msk                       (0x2000UL)                /*!< PCA PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P14_Pos                       (14UL)                    /*!< PCA PCR: P14 (Bit 14)                                       */
#define PCA_PCR_P14_Msk                       (0x4000UL)                /*!< PCA PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P15_Pos                       (15UL)                    /*!< PCA PCR: P15 (Bit 15)                                       */
#define PCA_PCR_P15_Msk                       (0x8000UL)                /*!< PCA PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCA_DER  ---------------------------------- */
#define PCA_DER_P0_Pos                        (0UL)                     /*!< PCA DER: P0 (Bit 0)                                         */
#define PCA_DER_P0_Msk                        (0x1UL)                   /*!< PCA DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P1_Pos                        (1UL)                     /*!< PCA DER: P1 (Bit 1)                                         */
#define PCA_DER_P1_Msk                        (0x2UL)                   /*!< PCA DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P2_Pos                        (2UL)                     /*!< PCA DER: P2 (Bit 2)                                         */
#define PCA_DER_P2_Msk                        (0x4UL)                   /*!< PCA DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P3_Pos                        (3UL)                     /*!< PCA DER: P3 (Bit 3)                                         */
#define PCA_DER_P3_Msk                        (0x8UL)                   /*!< PCA DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P4_Pos                        (4UL)                     /*!< PCA DER: P4 (Bit 4)                                         */
#define PCA_DER_P4_Msk                        (0x10UL)                  /*!< PCA DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P5_Pos                        (5UL)                     /*!< PCA DER: P5 (Bit 5)                                         */
#define PCA_DER_P5_Msk                        (0x20UL)                  /*!< PCA DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P6_Pos                        (6UL)                     /*!< PCA DER: P6 (Bit 6)                                         */
#define PCA_DER_P6_Msk                        (0x40UL)                  /*!< PCA DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P7_Pos                        (7UL)                     /*!< PCA DER: P7 (Bit 7)                                         */
#define PCA_DER_P7_Msk                        (0x80UL)                  /*!< PCA DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P8_Pos                        (8UL)                     /*!< PCA DER: P8 (Bit 8)                                         */
#define PCA_DER_P8_Msk                        (0x100UL)                 /*!< PCA DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P9_Pos                        (9UL)                     /*!< PCA DER: P9 (Bit 9)                                         */
#define PCA_DER_P9_Msk                        (0x200UL)                 /*!< PCA DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P10_Pos                       (10UL)                    /*!< PCA DER: P10 (Bit 10)                                       */
#define PCA_DER_P10_Msk                       (0x400UL)                 /*!< PCA DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P11_Pos                       (11UL)                    /*!< PCA DER: P11 (Bit 11)                                       */
#define PCA_DER_P11_Msk                       (0x800UL)                 /*!< PCA DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P12_Pos                       (12UL)                    /*!< PCA DER: P12 (Bit 12)                                       */
#define PCA_DER_P12_Msk                       (0x1000UL)                /*!< PCA DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P13_Pos                       (13UL)                    /*!< PCA DER: P13 (Bit 13)                                       */
#define PCA_DER_P13_Msk                       (0x2000UL)                /*!< PCA DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P14_Pos                       (14UL)                    /*!< PCA DER: P14 (Bit 14)                                       */
#define PCA_DER_P14_Msk                       (0x4000UL)                /*!< PCA DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P15_Pos                       (15UL)                    /*!< PCA DER: P15 (Bit 15)                                       */
#define PCA_DER_P15_Msk                       (0x8000UL)                /*!< PCA DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCA_IER  ---------------------------------- */
#define PCA_IER_P0_Pos                        (0UL)                     /*!< PCA IER: P0 (Bit 0)                                         */
#define PCA_IER_P0_Msk                        (0x3UL)                   /*!< PCA IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P1_Pos                        (2UL)                     /*!< PCA IER: P1 (Bit 2)                                         */
#define PCA_IER_P1_Msk                        (0xcUL)                   /*!< PCA IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P2_Pos                        (4UL)                     /*!< PCA IER: P2 (Bit 4)                                         */
#define PCA_IER_P2_Msk                        (0x30UL)                  /*!< PCA IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P3_Pos                        (6UL)                     /*!< PCA IER: P3 (Bit 6)                                         */
#define PCA_IER_P3_Msk                        (0xc0UL)                  /*!< PCA IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P4_Pos                        (8UL)                     /*!< PCA IER: P4 (Bit 8)                                         */
#define PCA_IER_P4_Msk                        (0x300UL)                 /*!< PCA IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P5_Pos                        (10UL)                    /*!< PCA IER: P5 (Bit 10)                                        */
#define PCA_IER_P5_Msk                        (0xc00UL)                 /*!< PCA IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P6_Pos                        (12UL)                    /*!< PCA IER: P6 (Bit 12)                                        */
#define PCA_IER_P6_Msk                        (0x3000UL)                /*!< PCA IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P7_Pos                        (14UL)                    /*!< PCA IER: P7 (Bit 14)                                        */
#define PCA_IER_P7_Msk                        (0xc000UL)                /*!< PCA IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P8_Pos                        (16UL)                    /*!< PCA IER: P8 (Bit 16)                                        */
#define PCA_IER_P8_Msk                        (0x30000UL)               /*!< PCA IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P9_Pos                        (18UL)                    /*!< PCA IER: P9 (Bit 18)                                        */
#define PCA_IER_P9_Msk                        (0xc0000UL)               /*!< PCA IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P10_Pos                       (20UL)                    /*!< PCA IER: P10 (Bit 20)                                       */
#define PCA_IER_P10_Msk                       (0x300000UL)              /*!< PCA IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P11_Pos                       (22UL)                    /*!< PCA IER: P11 (Bit 22)                                       */
#define PCA_IER_P11_Msk                       (0xc00000UL)              /*!< PCA IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P12_Pos                       (24UL)                    /*!< PCA IER: P12 (Bit 24)                                       */
#define PCA_IER_P12_Msk                       (0x3000000UL)             /*!< PCA IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P13_Pos                       (26UL)                    /*!< PCA IER: P13 (Bit 26)                                       */
#define PCA_IER_P13_Msk                       (0xc000000UL)             /*!< PCA IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P14_Pos                       (28UL)                    /*!< PCA IER: P14 (Bit 28)                                       */
#define PCA_IER_P14_Msk                       (0x30000000UL)            /*!< PCA IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P15_Pos                       (30UL)                    /*!< PCA IER: P15 (Bit 30)                                       */
#define PCA_IER_P15_Msk                       (0xc0000000UL)            /*!< PCA IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCA_ISR  ---------------------------------- */
#define PCA_ISR_P0_Pos                        (0UL)                     /*!< PCA ISR: P0 (Bit 0)                                         */
#define PCA_ISR_P0_Msk                        (0x3UL)                   /*!< PCA ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P1_Pos                        (2UL)                     /*!< PCA ISR: P1 (Bit 2)                                         */
#define PCA_ISR_P1_Msk                        (0xcUL)                   /*!< PCA ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P2_Pos                        (4UL)                     /*!< PCA ISR: P2 (Bit 4)                                         */
#define PCA_ISR_P2_Msk                        (0x30UL)                  /*!< PCA ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P3_Pos                        (6UL)                     /*!< PCA ISR: P3 (Bit 6)                                         */
#define PCA_ISR_P3_Msk                        (0xc0UL)                  /*!< PCA ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P4_Pos                        (8UL)                     /*!< PCA ISR: P4 (Bit 8)                                         */
#define PCA_ISR_P4_Msk                        (0x300UL)                 /*!< PCA ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P5_Pos                        (10UL)                    /*!< PCA ISR: P5 (Bit 10)                                        */
#define PCA_ISR_P5_Msk                        (0xc00UL)                 /*!< PCA ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P6_Pos                        (12UL)                    /*!< PCA ISR: P6 (Bit 12)                                        */
#define PCA_ISR_P6_Msk                        (0x3000UL)                /*!< PCA ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P7_Pos                        (14UL)                    /*!< PCA ISR: P7 (Bit 14)                                        */
#define PCA_ISR_P7_Msk                        (0xc000UL)                /*!< PCA ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P8_Pos                        (16UL)                    /*!< PCA ISR: P8 (Bit 16)                                        */
#define PCA_ISR_P8_Msk                        (0x30000UL)               /*!< PCA ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P9_Pos                        (18UL)                    /*!< PCA ISR: P9 (Bit 18)                                        */
#define PCA_ISR_P9_Msk                        (0xc0000UL)               /*!< PCA ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P10_Pos                       (20UL)                    /*!< PCA ISR: P10 (Bit 20)                                       */
#define PCA_ISR_P10_Msk                       (0x300000UL)              /*!< PCA ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P11_Pos                       (22UL)                    /*!< PCA ISR: P11 (Bit 22)                                       */
#define PCA_ISR_P11_Msk                       (0xc00000UL)              /*!< PCA ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P12_Pos                       (24UL)                    /*!< PCA ISR: P12 (Bit 24)                                       */
#define PCA_ISR_P12_Msk                       (0x3000000UL)             /*!< PCA ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P13_Pos                       (26UL)                    /*!< PCA ISR: P13 (Bit 26)                                       */
#define PCA_ISR_P13_Msk                       (0xc000000UL)             /*!< PCA ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P14_Pos                       (28UL)                    /*!< PCA ISR: P14 (Bit 28)                                       */
#define PCA_ISR_P14_Msk                       (0x30000000UL)            /*!< PCA ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P15_Pos                       (30UL)                    /*!< PCA ISR: P15 (Bit 30)                                       */
#define PCA_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCA ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCA_ICR  ---------------------------------- */
#define PCA_ICR_P0_Pos                        (0UL)                     /*!< PCA ICR: P0 (Bit 0)                                         */
#define PCA_ICR_P0_Msk                        (0x3UL)                   /*!< PCA ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P1_Pos                        (2UL)                     /*!< PCA ICR: P1 (Bit 2)                                         */
#define PCA_ICR_P1_Msk                        (0xcUL)                   /*!< PCA ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P2_Pos                        (4UL)                     /*!< PCA ICR: P2 (Bit 4)                                         */
#define PCA_ICR_P2_Msk                        (0x30UL)                  /*!< PCA ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P3_Pos                        (6UL)                     /*!< PCA ICR: P3 (Bit 6)                                         */
#define PCA_ICR_P3_Msk                        (0xc0UL)                  /*!< PCA ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P4_Pos                        (8UL)                     /*!< PCA ICR: P4 (Bit 8)                                         */
#define PCA_ICR_P4_Msk                        (0x300UL)                 /*!< PCA ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P5_Pos                        (10UL)                    /*!< PCA ICR: P5 (Bit 10)                                        */
#define PCA_ICR_P5_Msk                        (0xc00UL)                 /*!< PCA ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P6_Pos                        (12UL)                    /*!< PCA ICR: P6 (Bit 12)                                        */
#define PCA_ICR_P6_Msk                        (0x3000UL)                /*!< PCA ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P7_Pos                        (14UL)                    /*!< PCA ICR: P7 (Bit 14)                                        */
#define PCA_ICR_P7_Msk                        (0xc000UL)                /*!< PCA ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P8_Pos                        (16UL)                    /*!< PCA ICR: P8 (Bit 16)                                        */
#define PCA_ICR_P8_Msk                        (0x30000UL)               /*!< PCA ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P9_Pos                        (18UL)                    /*!< PCA ICR: P9 (Bit 18)                                        */
#define PCA_ICR_P9_Msk                        (0xc0000UL)               /*!< PCA ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P10_Pos                       (20UL)                    /*!< PCA ICR: P10 (Bit 20)                                       */
#define PCA_ICR_P10_Msk                       (0x300000UL)              /*!< PCA ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P11_Pos                       (22UL)                    /*!< PCA ICR: P11 (Bit 22)                                       */
#define PCA_ICR_P11_Msk                       (0xc00000UL)              /*!< PCA ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P12_Pos                       (24UL)                    /*!< PCA ICR: P12 (Bit 24)                                       */
#define PCA_ICR_P12_Msk                       (0x3000000UL)             /*!< PCA ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P13_Pos                       (26UL)                    /*!< PCA ICR: P13 (Bit 26)                                       */
#define PCA_ICR_P13_Msk                       (0xc000000UL)             /*!< PCA ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P14_Pos                       (28UL)                    /*!< PCA ICR: P14 (Bit 28)                                       */
#define PCA_ICR_P14_Msk                       (0x30000000UL)            /*!< PCA ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P15_Pos                       (30UL)                    /*!< PCA ICR: P15 (Bit 30)                                       */
#define PCA_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCA ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCB_MR  ----------------------------------- */
#define PCB_MR_P0_Pos                         (0UL)                     /*!< PCB MR: P0 (Bit 0)                                          */
#define PCB_MR_P0_Msk                         (0x3UL)                   /*!< PCB MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P1_Pos                         (2UL)                     /*!< PCB MR: P1 (Bit 2)                                          */
#define PCB_MR_P1_Msk                         (0xcUL)                   /*!< PCB MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P2_Pos                         (4UL)                     /*!< PCB MR: P2 (Bit 4)                                          */
#define PCB_MR_P2_Msk                         (0x30UL)                  /*!< PCB MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P3_Pos                         (6UL)                     /*!< PCB MR: P3 (Bit 6)                                          */
#define PCB_MR_P3_Msk                         (0xc0UL)                  /*!< PCB MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P4_Pos                         (8UL)                     /*!< PCB MR: P4 (Bit 8)                                          */
#define PCB_MR_P4_Msk                         (0x300UL)                 /*!< PCB MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P5_Pos                         (10UL)                    /*!< PCB MR: P5 (Bit 10)                                         */
#define PCB_MR_P5_Msk                         (0xc00UL)                 /*!< PCB MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P6_Pos                         (12UL)                    /*!< PCB MR: P6 (Bit 12)                                         */
#define PCB_MR_P6_Msk                         (0x3000UL)                /*!< PCB MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P7_Pos                         (14UL)                    /*!< PCB MR: P7 (Bit 14)                                         */
#define PCB_MR_P7_Msk                         (0xc000UL)                /*!< PCB MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P8_Pos                         (16UL)                    /*!< PCB MR: P8 (Bit 16)                                         */
#define PCB_MR_P8_Msk                         (0x30000UL)               /*!< PCB MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P9_Pos                         (18UL)                    /*!< PCB MR: P9 (Bit 18)                                         */
#define PCB_MR_P9_Msk                         (0xc0000UL)               /*!< PCB MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P10_Pos                        (20UL)                    /*!< PCB MR: P10 (Bit 20)                                        */
#define PCB_MR_P10_Msk                        (0x300000UL)              /*!< PCB MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P11_Pos                        (22UL)                    /*!< PCB MR: P11 (Bit 22)                                        */
#define PCB_MR_P11_Msk                        (0xc00000UL)              /*!< PCB MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P12_Pos                        (24UL)                    /*!< PCB MR: P12 (Bit 24)                                        */
#define PCB_MR_P12_Msk                        (0x3000000UL)             /*!< PCB MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P13_Pos                        (26UL)                    /*!< PCB MR: P13 (Bit 26)                                        */
#define PCB_MR_P13_Msk                        (0xc000000UL)             /*!< PCB MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P14_Pos                        (28UL)                    /*!< PCB MR: P14 (Bit 28)                                        */
#define PCB_MR_P14_Msk                        (0x30000000UL)            /*!< PCB MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P15_Pos                        (30UL)                    /*!< PCB MR: P15 (Bit 30)                                        */
#define PCB_MR_P15_Msk                        (0xc0000000UL)            /*!< PCB MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCB_CR  ----------------------------------- */
#define PCB_CR_P0_Pos                         (0UL)                     /*!< PCB CR: P0 (Bit 0)                                          */
#define PCB_CR_P0_Msk                         (0x3UL)                   /*!< PCB CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P1_Pos                         (2UL)                     /*!< PCB CR: P1 (Bit 2)                                          */
#define PCB_CR_P1_Msk                         (0xcUL)                   /*!< PCB CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P2_Pos                         (4UL)                     /*!< PCB CR: P2 (Bit 4)                                          */
#define PCB_CR_P2_Msk                         (0x30UL)                  /*!< PCB CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P3_Pos                         (6UL)                     /*!< PCB CR: P3 (Bit 6)                                          */
#define PCB_CR_P3_Msk                         (0xc0UL)                  /*!< PCB CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P4_Pos                         (8UL)                     /*!< PCB CR: P4 (Bit 8)                                          */
#define PCB_CR_P4_Msk                         (0x300UL)                 /*!< PCB CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P5_Pos                         (10UL)                    /*!< PCB CR: P5 (Bit 10)                                         */
#define PCB_CR_P5_Msk                         (0xc00UL)                 /*!< PCB CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P6_Pos                         (12UL)                    /*!< PCB CR: P6 (Bit 12)                                         */
#define PCB_CR_P6_Msk                         (0x3000UL)                /*!< PCB CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P7_Pos                         (14UL)                    /*!< PCB CR: P7 (Bit 14)                                         */
#define PCB_CR_P7_Msk                         (0xc000UL)                /*!< PCB CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P8_Pos                         (16UL)                    /*!< PCB CR: P8 (Bit 16)                                         */
#define PCB_CR_P8_Msk                         (0x30000UL)               /*!< PCB CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P9_Pos                         (18UL)                    /*!< PCB CR: P9 (Bit 18)                                         */
#define PCB_CR_P9_Msk                         (0xc0000UL)               /*!< PCB CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P10_Pos                        (20UL)                    /*!< PCB CR: P10 (Bit 20)                                        */
#define PCB_CR_P10_Msk                        (0x300000UL)              /*!< PCB CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P11_Pos                        (22UL)                    /*!< PCB CR: P11 (Bit 22)                                        */
#define PCB_CR_P11_Msk                        (0xc00000UL)              /*!< PCB CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P12_Pos                        (24UL)                    /*!< PCB CR: P12 (Bit 24)                                        */
#define PCB_CR_P12_Msk                        (0x3000000UL)             /*!< PCB CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P13_Pos                        (26UL)                    /*!< PCB CR: P13 (Bit 26)                                        */
#define PCB_CR_P13_Msk                        (0xc000000UL)             /*!< PCB CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P14_Pos                        (28UL)                    /*!< PCB CR: P14 (Bit 28)                                        */
#define PCB_CR_P14_Msk                        (0x30000000UL)            /*!< PCB CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P15_Pos                        (30UL)                    /*!< PCB CR: P15 (Bit 30)                                        */
#define PCB_CR_P15_Msk                        (0xc0000000UL)            /*!< PCB CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCB_PCR  ---------------------------------- */
#define PCB_PCR_P0_Pos                        (0UL)                     /*!< PCB PCR: P0 (Bit 0)                                         */
#define PCB_PCR_P0_Msk                        (0x1UL)                   /*!< PCB PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P1_Pos                        (1UL)                     /*!< PCB PCR: P1 (Bit 1)                                         */
#define PCB_PCR_P1_Msk                        (0x2UL)                   /*!< PCB PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P2_Pos                        (2UL)                     /*!< PCB PCR: P2 (Bit 2)                                         */
#define PCB_PCR_P2_Msk                        (0x4UL)                   /*!< PCB PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P3_Pos                        (3UL)                     /*!< PCB PCR: P3 (Bit 3)                                         */
#define PCB_PCR_P3_Msk                        (0x8UL)                   /*!< PCB PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P4_Pos                        (4UL)                     /*!< PCB PCR: P4 (Bit 4)                                         */
#define PCB_PCR_P4_Msk                        (0x10UL)                  /*!< PCB PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P5_Pos                        (5UL)                     /*!< PCB PCR: P5 (Bit 5)                                         */
#define PCB_PCR_P5_Msk                        (0x20UL)                  /*!< PCB PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P6_Pos                        (6UL)                     /*!< PCB PCR: P6 (Bit 6)                                         */
#define PCB_PCR_P6_Msk                        (0x40UL)                  /*!< PCB PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P7_Pos                        (7UL)                     /*!< PCB PCR: P7 (Bit 7)                                         */
#define PCB_PCR_P7_Msk                        (0x80UL)                  /*!< PCB PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P8_Pos                        (8UL)                     /*!< PCB PCR: P8 (Bit 8)                                         */
#define PCB_PCR_P8_Msk                        (0x100UL)                 /*!< PCB PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P9_Pos                        (9UL)                     /*!< PCB PCR: P9 (Bit 9)                                         */
#define PCB_PCR_P9_Msk                        (0x200UL)                 /*!< PCB PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P10_Pos                       (10UL)                    /*!< PCB PCR: P10 (Bit 10)                                       */
#define PCB_PCR_P10_Msk                       (0x400UL)                 /*!< PCB PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P11_Pos                       (11UL)                    /*!< PCB PCR: P11 (Bit 11)                                       */
#define PCB_PCR_P11_Msk                       (0x800UL)                 /*!< PCB PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P12_Pos                       (12UL)                    /*!< PCB PCR: P12 (Bit 12)                                       */
#define PCB_PCR_P12_Msk                       (0x1000UL)                /*!< PCB PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P13_Pos                       (13UL)                    /*!< PCB PCR: P13 (Bit 13)                                       */
#define PCB_PCR_P13_Msk                       (0x2000UL)                /*!< PCB PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P14_Pos                       (14UL)                    /*!< PCB PCR: P14 (Bit 14)                                       */
#define PCB_PCR_P14_Msk                       (0x4000UL)                /*!< PCB PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P15_Pos                       (15UL)                    /*!< PCB PCR: P15 (Bit 15)                                       */
#define PCB_PCR_P15_Msk                       (0x8000UL)                /*!< PCB PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCB_DER  ---------------------------------- */
#define PCB_DER_P0_Pos                        (0UL)                     /*!< PCB DER: P0 (Bit 0)                                         */
#define PCB_DER_P0_Msk                        (0x1UL)                   /*!< PCB DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P1_Pos                        (1UL)                     /*!< PCB DER: P1 (Bit 1)                                         */
#define PCB_DER_P1_Msk                        (0x2UL)                   /*!< PCB DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P2_Pos                        (2UL)                     /*!< PCB DER: P2 (Bit 2)                                         */
#define PCB_DER_P2_Msk                        (0x4UL)                   /*!< PCB DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P3_Pos                        (3UL)                     /*!< PCB DER: P3 (Bit 3)                                         */
#define PCB_DER_P3_Msk                        (0x8UL)                   /*!< PCB DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P4_Pos                        (4UL)                     /*!< PCB DER: P4 (Bit 4)                                         */
#define PCB_DER_P4_Msk                        (0x10UL)                  /*!< PCB DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P5_Pos                        (5UL)                     /*!< PCB DER: P5 (Bit 5)                                         */
#define PCB_DER_P5_Msk                        (0x20UL)                  /*!< PCB DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P6_Pos                        (6UL)                     /*!< PCB DER: P6 (Bit 6)                                         */
#define PCB_DER_P6_Msk                        (0x40UL)                  /*!< PCB DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P7_Pos                        (7UL)                     /*!< PCB DER: P7 (Bit 7)                                         */
#define PCB_DER_P7_Msk                        (0x80UL)                  /*!< PCB DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P8_Pos                        (8UL)                     /*!< PCB DER: P8 (Bit 8)                                         */
#define PCB_DER_P8_Msk                        (0x100UL)                 /*!< PCB DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P9_Pos                        (9UL)                     /*!< PCB DER: P9 (Bit 9)                                         */
#define PCB_DER_P9_Msk                        (0x200UL)                 /*!< PCB DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P10_Pos                       (10UL)                    /*!< PCB DER: P10 (Bit 10)                                       */
#define PCB_DER_P10_Msk                       (0x400UL)                 /*!< PCB DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P11_Pos                       (11UL)                    /*!< PCB DER: P11 (Bit 11)                                       */
#define PCB_DER_P11_Msk                       (0x800UL)                 /*!< PCB DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P12_Pos                       (12UL)                    /*!< PCB DER: P12 (Bit 12)                                       */
#define PCB_DER_P12_Msk                       (0x1000UL)                /*!< PCB DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P13_Pos                       (13UL)                    /*!< PCB DER: P13 (Bit 13)                                       */
#define PCB_DER_P13_Msk                       (0x2000UL)                /*!< PCB DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P14_Pos                       (14UL)                    /*!< PCB DER: P14 (Bit 14)                                       */
#define PCB_DER_P14_Msk                       (0x4000UL)                /*!< PCB DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P15_Pos                       (15UL)                    /*!< PCB DER: P15 (Bit 15)                                       */
#define PCB_DER_P15_Msk                       (0x8000UL)                /*!< PCB DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCB_IER  ---------------------------------- */
#define PCB_IER_P0_Pos                        (0UL)                     /*!< PCB IER: P0 (Bit 0)                                         */
#define PCB_IER_P0_Msk                        (0x3UL)                   /*!< PCB IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P1_Pos                        (2UL)                     /*!< PCB IER: P1 (Bit 2)                                         */
#define PCB_IER_P1_Msk                        (0xcUL)                   /*!< PCB IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P2_Pos                        (4UL)                     /*!< PCB IER: P2 (Bit 4)                                         */
#define PCB_IER_P2_Msk                        (0x30UL)                  /*!< PCB IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P3_Pos                        (6UL)                     /*!< PCB IER: P3 (Bit 6)                                         */
#define PCB_IER_P3_Msk                        (0xc0UL)                  /*!< PCB IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P4_Pos                        (8UL)                     /*!< PCB IER: P4 (Bit 8)                                         */
#define PCB_IER_P4_Msk                        (0x300UL)                 /*!< PCB IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P5_Pos                        (10UL)                    /*!< PCB IER: P5 (Bit 10)                                        */
#define PCB_IER_P5_Msk                        (0xc00UL)                 /*!< PCB IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P6_Pos                        (12UL)                    /*!< PCB IER: P6 (Bit 12)                                        */
#define PCB_IER_P6_Msk                        (0x3000UL)                /*!< PCB IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P7_Pos                        (14UL)                    /*!< PCB IER: P7 (Bit 14)                                        */
#define PCB_IER_P7_Msk                        (0xc000UL)                /*!< PCB IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P8_Pos                        (16UL)                    /*!< PCB IER: P8 (Bit 16)                                        */
#define PCB_IER_P8_Msk                        (0x30000UL)               /*!< PCB IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P9_Pos                        (18UL)                    /*!< PCB IER: P9 (Bit 18)                                        */
#define PCB_IER_P9_Msk                        (0xc0000UL)               /*!< PCB IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P10_Pos                       (20UL)                    /*!< PCB IER: P10 (Bit 20)                                       */
#define PCB_IER_P10_Msk                       (0x300000UL)              /*!< PCB IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P11_Pos                       (22UL)                    /*!< PCB IER: P11 (Bit 22)                                       */
#define PCB_IER_P11_Msk                       (0xc00000UL)              /*!< PCB IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P12_Pos                       (24UL)                    /*!< PCB IER: P12 (Bit 24)                                       */
#define PCB_IER_P12_Msk                       (0x3000000UL)             /*!< PCB IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P13_Pos                       (26UL)                    /*!< PCB IER: P13 (Bit 26)                                       */
#define PCB_IER_P13_Msk                       (0xc000000UL)             /*!< PCB IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P14_Pos                       (28UL)                    /*!< PCB IER: P14 (Bit 28)                                       */
#define PCB_IER_P14_Msk                       (0x30000000UL)            /*!< PCB IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P15_Pos                       (30UL)                    /*!< PCB IER: P15 (Bit 30)                                       */
#define PCB_IER_P15_Msk                       (0xc0000000UL)            /*!< PCB IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCB_ISR  ---------------------------------- */
#define PCB_ISR_P0_Pos                        (0UL)                     /*!< PCB ISR: P0 (Bit 0)                                         */
#define PCB_ISR_P0_Msk                        (0x3UL)                   /*!< PCB ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P1_Pos                        (2UL)                     /*!< PCB ISR: P1 (Bit 2)                                         */
#define PCB_ISR_P1_Msk                        (0xcUL)                   /*!< PCB ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P2_Pos                        (4UL)                     /*!< PCB ISR: P2 (Bit 4)                                         */
#define PCB_ISR_P2_Msk                        (0x30UL)                  /*!< PCB ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P3_Pos                        (6UL)                     /*!< PCB ISR: P3 (Bit 6)                                         */
#define PCB_ISR_P3_Msk                        (0xc0UL)                  /*!< PCB ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P4_Pos                        (8UL)                     /*!< PCB ISR: P4 (Bit 8)                                         */
#define PCB_ISR_P4_Msk                        (0x300UL)                 /*!< PCB ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P5_Pos                        (10UL)                    /*!< PCB ISR: P5 (Bit 10)                                        */
#define PCB_ISR_P5_Msk                        (0xc00UL)                 /*!< PCB ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P6_Pos                        (12UL)                    /*!< PCB ISR: P6 (Bit 12)                                        */
#define PCB_ISR_P6_Msk                        (0x3000UL)                /*!< PCB ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P7_Pos                        (14UL)                    /*!< PCB ISR: P7 (Bit 14)                                        */
#define PCB_ISR_P7_Msk                        (0xc000UL)                /*!< PCB ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P8_Pos                        (16UL)                    /*!< PCB ISR: P8 (Bit 16)                                        */
#define PCB_ISR_P8_Msk                        (0x30000UL)               /*!< PCB ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P9_Pos                        (18UL)                    /*!< PCB ISR: P9 (Bit 18)                                        */
#define PCB_ISR_P9_Msk                        (0xc0000UL)               /*!< PCB ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P10_Pos                       (20UL)                    /*!< PCB ISR: P10 (Bit 20)                                       */
#define PCB_ISR_P10_Msk                       (0x300000UL)              /*!< PCB ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P11_Pos                       (22UL)                    /*!< PCB ISR: P11 (Bit 22)                                       */
#define PCB_ISR_P11_Msk                       (0xc00000UL)              /*!< PCB ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P12_Pos                       (24UL)                    /*!< PCB ISR: P12 (Bit 24)                                       */
#define PCB_ISR_P12_Msk                       (0x3000000UL)             /*!< PCB ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P13_Pos                       (26UL)                    /*!< PCB ISR: P13 (Bit 26)                                       */
#define PCB_ISR_P13_Msk                       (0xc000000UL)             /*!< PCB ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P14_Pos                       (28UL)                    /*!< PCB ISR: P14 (Bit 28)                                       */
#define PCB_ISR_P14_Msk                       (0x30000000UL)            /*!< PCB ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P15_Pos                       (30UL)                    /*!< PCB ISR: P15 (Bit 30)                                       */
#define PCB_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCB ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCB_ICR  ---------------------------------- */
#define PCB_ICR_P0_Pos                        (0UL)                     /*!< PCB ICR: P0 (Bit 0)                                         */
#define PCB_ICR_P0_Msk                        (0x3UL)                   /*!< PCB ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P1_Pos                        (2UL)                     /*!< PCB ICR: P1 (Bit 2)                                         */
#define PCB_ICR_P1_Msk                        (0xcUL)                   /*!< PCB ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P2_Pos                        (4UL)                     /*!< PCB ICR: P2 (Bit 4)                                         */
#define PCB_ICR_P2_Msk                        (0x30UL)                  /*!< PCB ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P3_Pos                        (6UL)                     /*!< PCB ICR: P3 (Bit 6)                                         */
#define PCB_ICR_P3_Msk                        (0xc0UL)                  /*!< PCB ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P4_Pos                        (8UL)                     /*!< PCB ICR: P4 (Bit 8)                                         */
#define PCB_ICR_P4_Msk                        (0x300UL)                 /*!< PCB ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P5_Pos                        (10UL)                    /*!< PCB ICR: P5 (Bit 10)                                        */
#define PCB_ICR_P5_Msk                        (0xc00UL)                 /*!< PCB ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P6_Pos                        (12UL)                    /*!< PCB ICR: P6 (Bit 12)                                        */
#define PCB_ICR_P6_Msk                        (0x3000UL)                /*!< PCB ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P7_Pos                        (14UL)                    /*!< PCB ICR: P7 (Bit 14)                                        */
#define PCB_ICR_P7_Msk                        (0xc000UL)                /*!< PCB ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P8_Pos                        (16UL)                    /*!< PCB ICR: P8 (Bit 16)                                        */
#define PCB_ICR_P8_Msk                        (0x30000UL)               /*!< PCB ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P9_Pos                        (18UL)                    /*!< PCB ICR: P9 (Bit 18)                                        */
#define PCB_ICR_P9_Msk                        (0xc0000UL)               /*!< PCB ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P10_Pos                       (20UL)                    /*!< PCB ICR: P10 (Bit 20)                                       */
#define PCB_ICR_P10_Msk                       (0x300000UL)              /*!< PCB ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P11_Pos                       (22UL)                    /*!< PCB ICR: P11 (Bit 22)                                       */
#define PCB_ICR_P11_Msk                       (0xc00000UL)              /*!< PCB ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P12_Pos                       (24UL)                    /*!< PCB ICR: P12 (Bit 24)                                       */
#define PCB_ICR_P12_Msk                       (0x3000000UL)             /*!< PCB ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P13_Pos                       (26UL)                    /*!< PCB ICR: P13 (Bit 26)                                       */
#define PCB_ICR_P13_Msk                       (0xc000000UL)             /*!< PCB ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P14_Pos                       (28UL)                    /*!< PCB ICR: P14 (Bit 28)                                       */
#define PCB_ICR_P14_Msk                       (0x30000000UL)            /*!< PCB ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P15_Pos                       (30UL)                    /*!< PCB ICR: P15 (Bit 30)                                       */
#define PCB_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCB ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCC_MR  ----------------------------------- */
#define PCC_MR_P0_Pos                         (0UL)                     /*!< PCC MR: P0 (Bit 0)                                          */
#define PCC_MR_P0_Msk                         (0x3UL)                   /*!< PCC MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P1_Pos                         (2UL)                     /*!< PCC MR: P1 (Bit 2)                                          */
#define PCC_MR_P1_Msk                         (0xcUL)                   /*!< PCC MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P2_Pos                         (4UL)                     /*!< PCC MR: P2 (Bit 4)                                          */
#define PCC_MR_P2_Msk                         (0x30UL)                  /*!< PCC MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P3_Pos                         (6UL)                     /*!< PCC MR: P3 (Bit 6)                                          */
#define PCC_MR_P3_Msk                         (0xc0UL)                  /*!< PCC MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P4_Pos                         (8UL)                     /*!< PCC MR: P4 (Bit 8)                                          */
#define PCC_MR_P4_Msk                         (0x300UL)                 /*!< PCC MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P5_Pos                         (10UL)                    /*!< PCC MR: P5 (Bit 10)                                         */
#define PCC_MR_P5_Msk                         (0xc00UL)                 /*!< PCC MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P6_Pos                         (12UL)                    /*!< PCC MR: P6 (Bit 12)                                         */
#define PCC_MR_P6_Msk                         (0x3000UL)                /*!< PCC MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P7_Pos                         (14UL)                    /*!< PCC MR: P7 (Bit 14)                                         */
#define PCC_MR_P7_Msk                         (0xc000UL)                /*!< PCC MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P8_Pos                         (16UL)                    /*!< PCC MR: P8 (Bit 16)                                         */
#define PCC_MR_P8_Msk                         (0x30000UL)               /*!< PCC MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P9_Pos                         (18UL)                    /*!< PCC MR: P9 (Bit 18)                                         */
#define PCC_MR_P9_Msk                         (0xc0000UL)               /*!< PCC MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P10_Pos                        (20UL)                    /*!< PCC MR: P10 (Bit 20)                                        */
#define PCC_MR_P10_Msk                        (0x300000UL)              /*!< PCC MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P11_Pos                        (22UL)                    /*!< PCC MR: P11 (Bit 22)                                        */
#define PCC_MR_P11_Msk                        (0xc00000UL)              /*!< PCC MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P12_Pos                        (24UL)                    /*!< PCC MR: P12 (Bit 24)                                        */
#define PCC_MR_P12_Msk                        (0x3000000UL)             /*!< PCC MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P13_Pos                        (26UL)                    /*!< PCC MR: P13 (Bit 26)                                        */
#define PCC_MR_P13_Msk                        (0xc000000UL)             /*!< PCC MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P14_Pos                        (28UL)                    /*!< PCC MR: P14 (Bit 28)                                        */
#define PCC_MR_P14_Msk                        (0x30000000UL)            /*!< PCC MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P15_Pos                        (30UL)                    /*!< PCC MR: P15 (Bit 30)                                        */
#define PCC_MR_P15_Msk                        (0xc0000000UL)            /*!< PCC MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCC_CR  ----------------------------------- */
#define PCC_CR_P0_Pos                         (0UL)                     /*!< PCC CR: P0 (Bit 0)                                          */
#define PCC_CR_P0_Msk                         (0x3UL)                   /*!< PCC CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P1_Pos                         (2UL)                     /*!< PCC CR: P1 (Bit 2)                                          */
#define PCC_CR_P1_Msk                         (0xcUL)                   /*!< PCC CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P2_Pos                         (4UL)                     /*!< PCC CR: P2 (Bit 4)                                          */
#define PCC_CR_P2_Msk                         (0x30UL)                  /*!< PCC CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P3_Pos                         (6UL)                     /*!< PCC CR: P3 (Bit 6)                                          */
#define PCC_CR_P3_Msk                         (0xc0UL)                  /*!< PCC CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P4_Pos                         (8UL)                     /*!< PCC CR: P4 (Bit 8)                                          */
#define PCC_CR_P4_Msk                         (0x300UL)                 /*!< PCC CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P5_Pos                         (10UL)                    /*!< PCC CR: P5 (Bit 10)                                         */
#define PCC_CR_P5_Msk                         (0xc00UL)                 /*!< PCC CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P6_Pos                         (12UL)                    /*!< PCC CR: P6 (Bit 12)                                         */
#define PCC_CR_P6_Msk                         (0x3000UL)                /*!< PCC CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P7_Pos                         (14UL)                    /*!< PCC CR: P7 (Bit 14)                                         */
#define PCC_CR_P7_Msk                         (0xc000UL)                /*!< PCC CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P8_Pos                         (16UL)                    /*!< PCC CR: P8 (Bit 16)                                         */
#define PCC_CR_P8_Msk                         (0x30000UL)               /*!< PCC CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P9_Pos                         (18UL)                    /*!< PCC CR: P9 (Bit 18)                                         */
#define PCC_CR_P9_Msk                         (0xc0000UL)               /*!< PCC CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P10_Pos                        (20UL)                    /*!< PCC CR: P10 (Bit 20)                                        */
#define PCC_CR_P10_Msk                        (0x300000UL)              /*!< PCC CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P11_Pos                        (22UL)                    /*!< PCC CR: P11 (Bit 22)                                        */
#define PCC_CR_P11_Msk                        (0xc00000UL)              /*!< PCC CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P12_Pos                        (24UL)                    /*!< PCC CR: P12 (Bit 24)                                        */
#define PCC_CR_P12_Msk                        (0x3000000UL)             /*!< PCC CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P13_Pos                        (26UL)                    /*!< PCC CR: P13 (Bit 26)                                        */
#define PCC_CR_P13_Msk                        (0xc000000UL)             /*!< PCC CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P14_Pos                        (28UL)                    /*!< PCC CR: P14 (Bit 28)                                        */
#define PCC_CR_P14_Msk                        (0x30000000UL)            /*!< PCC CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P15_Pos                        (30UL)                    /*!< PCC CR: P15 (Bit 30)                                        */
#define PCC_CR_P15_Msk                        (0xc0000000UL)            /*!< PCC CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCC_PCR  ---------------------------------- */
#define PCC_PCR_P0_Pos                        (0UL)                     /*!< PCC PCR: P0 (Bit 0)                                         */
#define PCC_PCR_P0_Msk                        (0x1UL)                   /*!< PCC PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P1_Pos                        (1UL)                     /*!< PCC PCR: P1 (Bit 1)                                         */
#define PCC_PCR_P1_Msk                        (0x2UL)                   /*!< PCC PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P2_Pos                        (2UL)                     /*!< PCC PCR: P2 (Bit 2)                                         */
#define PCC_PCR_P2_Msk                        (0x4UL)                   /*!< PCC PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P3_Pos                        (3UL)                     /*!< PCC PCR: P3 (Bit 3)                                         */
#define PCC_PCR_P3_Msk                        (0x8UL)                   /*!< PCC PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P4_Pos                        (4UL)                     /*!< PCC PCR: P4 (Bit 4)                                         */
#define PCC_PCR_P4_Msk                        (0x10UL)                  /*!< PCC PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P5_Pos                        (5UL)                     /*!< PCC PCR: P5 (Bit 5)                                         */
#define PCC_PCR_P5_Msk                        (0x20UL)                  /*!< PCC PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P6_Pos                        (6UL)                     /*!< PCC PCR: P6 (Bit 6)                                         */
#define PCC_PCR_P6_Msk                        (0x40UL)                  /*!< PCC PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P7_Pos                        (7UL)                     /*!< PCC PCR: P7 (Bit 7)                                         */
#define PCC_PCR_P7_Msk                        (0x80UL)                  /*!< PCC PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P8_Pos                        (8UL)                     /*!< PCC PCR: P8 (Bit 8)                                         */
#define PCC_PCR_P8_Msk                        (0x100UL)                 /*!< PCC PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P9_Pos                        (9UL)                     /*!< PCC PCR: P9 (Bit 9)                                         */
#define PCC_PCR_P9_Msk                        (0x200UL)                 /*!< PCC PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P10_Pos                       (10UL)                    /*!< PCC PCR: P10 (Bit 10)                                       */
#define PCC_PCR_P10_Msk                       (0x400UL)                 /*!< PCC PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P11_Pos                       (11UL)                    /*!< PCC PCR: P11 (Bit 11)                                       */
#define PCC_PCR_P11_Msk                       (0x800UL)                 /*!< PCC PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P12_Pos                       (12UL)                    /*!< PCC PCR: P12 (Bit 12)                                       */
#define PCC_PCR_P12_Msk                       (0x1000UL)                /*!< PCC PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P13_Pos                       (13UL)                    /*!< PCC PCR: P13 (Bit 13)                                       */
#define PCC_PCR_P13_Msk                       (0x2000UL)                /*!< PCC PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P14_Pos                       (14UL)                    /*!< PCC PCR: P14 (Bit 14)                                       */
#define PCC_PCR_P14_Msk                       (0x4000UL)                /*!< PCC PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P15_Pos                       (15UL)                    /*!< PCC PCR: P15 (Bit 15)                                       */
#define PCC_PCR_P15_Msk                       (0x8000UL)                /*!< PCC PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCC_DER  ---------------------------------- */
#define PCC_DER_P0_Pos                        (0UL)                     /*!< PCC DER: P0 (Bit 0)                                         */
#define PCC_DER_P0_Msk                        (0x1UL)                   /*!< PCC DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P1_Pos                        (1UL)                     /*!< PCC DER: P1 (Bit 1)                                         */
#define PCC_DER_P1_Msk                        (0x2UL)                   /*!< PCC DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P2_Pos                        (2UL)                     /*!< PCC DER: P2 (Bit 2)                                         */
#define PCC_DER_P2_Msk                        (0x4UL)                   /*!< PCC DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P3_Pos                        (3UL)                     /*!< PCC DER: P3 (Bit 3)                                         */
#define PCC_DER_P3_Msk                        (0x8UL)                   /*!< PCC DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P4_Pos                        (4UL)                     /*!< PCC DER: P4 (Bit 4)                                         */
#define PCC_DER_P4_Msk                        (0x10UL)                  /*!< PCC DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P5_Pos                        (5UL)                     /*!< PCC DER: P5 (Bit 5)                                         */
#define PCC_DER_P5_Msk                        (0x20UL)                  /*!< PCC DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P6_Pos                        (6UL)                     /*!< PCC DER: P6 (Bit 6)                                         */
#define PCC_DER_P6_Msk                        (0x40UL)                  /*!< PCC DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P7_Pos                        (7UL)                     /*!< PCC DER: P7 (Bit 7)                                         */
#define PCC_DER_P7_Msk                        (0x80UL)                  /*!< PCC DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P8_Pos                        (8UL)                     /*!< PCC DER: P8 (Bit 8)                                         */
#define PCC_DER_P8_Msk                        (0x100UL)                 /*!< PCC DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P9_Pos                        (9UL)                     /*!< PCC DER: P9 (Bit 9)                                         */
#define PCC_DER_P9_Msk                        (0x200UL)                 /*!< PCC DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P10_Pos                       (10UL)                    /*!< PCC DER: P10 (Bit 10)                                       */
#define PCC_DER_P10_Msk                       (0x400UL)                 /*!< PCC DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P11_Pos                       (11UL)                    /*!< PCC DER: P11 (Bit 11)                                       */
#define PCC_DER_P11_Msk                       (0x800UL)                 /*!< PCC DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P12_Pos                       (12UL)                    /*!< PCC DER: P12 (Bit 12)                                       */
#define PCC_DER_P12_Msk                       (0x1000UL)                /*!< PCC DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P13_Pos                       (13UL)                    /*!< PCC DER: P13 (Bit 13)                                       */
#define PCC_DER_P13_Msk                       (0x2000UL)                /*!< PCC DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P14_Pos                       (14UL)                    /*!< PCC DER: P14 (Bit 14)                                       */
#define PCC_DER_P14_Msk                       (0x4000UL)                /*!< PCC DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P15_Pos                       (15UL)                    /*!< PCC DER: P15 (Bit 15)                                       */
#define PCC_DER_P15_Msk                       (0x8000UL)                /*!< PCC DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCC_IER  ---------------------------------- */
#define PCC_IER_P0_Pos                        (0UL)                     /*!< PCC IER: P0 (Bit 0)                                         */
#define PCC_IER_P0_Msk                        (0x3UL)                   /*!< PCC IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P1_Pos                        (2UL)                     /*!< PCC IER: P1 (Bit 2)                                         */
#define PCC_IER_P1_Msk                        (0xcUL)                   /*!< PCC IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P2_Pos                        (4UL)                     /*!< PCC IER: P2 (Bit 4)                                         */
#define PCC_IER_P2_Msk                        (0x30UL)                  /*!< PCC IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P3_Pos                        (6UL)                     /*!< PCC IER: P3 (Bit 6)                                         */
#define PCC_IER_P3_Msk                        (0xc0UL)                  /*!< PCC IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P4_Pos                        (8UL)                     /*!< PCC IER: P4 (Bit 8)                                         */
#define PCC_IER_P4_Msk                        (0x300UL)                 /*!< PCC IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P5_Pos                        (10UL)                    /*!< PCC IER: P5 (Bit 10)                                        */
#define PCC_IER_P5_Msk                        (0xc00UL)                 /*!< PCC IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P6_Pos                        (12UL)                    /*!< PCC IER: P6 (Bit 12)                                        */
#define PCC_IER_P6_Msk                        (0x3000UL)                /*!< PCC IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P7_Pos                        (14UL)                    /*!< PCC IER: P7 (Bit 14)                                        */
#define PCC_IER_P7_Msk                        (0xc000UL)                /*!< PCC IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P8_Pos                        (16UL)                    /*!< PCC IER: P8 (Bit 16)                                        */
#define PCC_IER_P8_Msk                        (0x30000UL)               /*!< PCC IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P9_Pos                        (18UL)                    /*!< PCC IER: P9 (Bit 18)                                        */
#define PCC_IER_P9_Msk                        (0xc0000UL)               /*!< PCC IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P10_Pos                       (20UL)                    /*!< PCC IER: P10 (Bit 20)                                       */
#define PCC_IER_P10_Msk                       (0x300000UL)              /*!< PCC IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P11_Pos                       (22UL)                    /*!< PCC IER: P11 (Bit 22)                                       */
#define PCC_IER_P11_Msk                       (0xc00000UL)              /*!< PCC IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P12_Pos                       (24UL)                    /*!< PCC IER: P12 (Bit 24)                                       */
#define PCC_IER_P12_Msk                       (0x3000000UL)             /*!< PCC IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P13_Pos                       (26UL)                    /*!< PCC IER: P13 (Bit 26)                                       */
#define PCC_IER_P13_Msk                       (0xc000000UL)             /*!< PCC IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P14_Pos                       (28UL)                    /*!< PCC IER: P14 (Bit 28)                                       */
#define PCC_IER_P14_Msk                       (0x30000000UL)            /*!< PCC IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P15_Pos                       (30UL)                    /*!< PCC IER: P15 (Bit 30)                                       */
#define PCC_IER_P15_Msk                       (0xc0000000UL)            /*!< PCC IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCC_ISR  ---------------------------------- */
#define PCC_ISR_P0_Pos                        (0UL)                     /*!< PCC ISR: P0 (Bit 0)                                         */
#define PCC_ISR_P0_Msk                        (0x3UL)                   /*!< PCC ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P1_Pos                        (2UL)                     /*!< PCC ISR: P1 (Bit 2)                                         */
#define PCC_ISR_P1_Msk                        (0xcUL)                   /*!< PCC ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P2_Pos                        (4UL)                     /*!< PCC ISR: P2 (Bit 4)                                         */
#define PCC_ISR_P2_Msk                        (0x30UL)                  /*!< PCC ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P3_Pos                        (6UL)                     /*!< PCC ISR: P3 (Bit 6)                                         */
#define PCC_ISR_P3_Msk                        (0xc0UL)                  /*!< PCC ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P4_Pos                        (8UL)                     /*!< PCC ISR: P4 (Bit 8)                                         */
#define PCC_ISR_P4_Msk                        (0x300UL)                 /*!< PCC ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P5_Pos                        (10UL)                    /*!< PCC ISR: P5 (Bit 10)                                        */
#define PCC_ISR_P5_Msk                        (0xc00UL)                 /*!< PCC ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P6_Pos                        (12UL)                    /*!< PCC ISR: P6 (Bit 12)                                        */
#define PCC_ISR_P6_Msk                        (0x3000UL)                /*!< PCC ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P7_Pos                        (14UL)                    /*!< PCC ISR: P7 (Bit 14)                                        */
#define PCC_ISR_P7_Msk                        (0xc000UL)                /*!< PCC ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P8_Pos                        (16UL)                    /*!< PCC ISR: P8 (Bit 16)                                        */
#define PCC_ISR_P8_Msk                        (0x30000UL)               /*!< PCC ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P9_Pos                        (18UL)                    /*!< PCC ISR: P9 (Bit 18)                                        */
#define PCC_ISR_P9_Msk                        (0xc0000UL)               /*!< PCC ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P10_Pos                       (20UL)                    /*!< PCC ISR: P10 (Bit 20)                                       */
#define PCC_ISR_P10_Msk                       (0x300000UL)              /*!< PCC ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P11_Pos                       (22UL)                    /*!< PCC ISR: P11 (Bit 22)                                       */
#define PCC_ISR_P11_Msk                       (0xc00000UL)              /*!< PCC ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P12_Pos                       (24UL)                    /*!< PCC ISR: P12 (Bit 24)                                       */
#define PCC_ISR_P12_Msk                       (0x3000000UL)             /*!< PCC ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P13_Pos                       (26UL)                    /*!< PCC ISR: P13 (Bit 26)                                       */
#define PCC_ISR_P13_Msk                       (0xc000000UL)             /*!< PCC ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P14_Pos                       (28UL)                    /*!< PCC ISR: P14 (Bit 28)                                       */
#define PCC_ISR_P14_Msk                       (0x30000000UL)            /*!< PCC ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P15_Pos                       (30UL)                    /*!< PCC ISR: P15 (Bit 30)                                       */
#define PCC_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCC ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCC_ICR  ---------------------------------- */
#define PCC_ICR_P0_Pos                        (0UL)                     /*!< PCC ICR: P0 (Bit 0)                                         */
#define PCC_ICR_P0_Msk                        (0x3UL)                   /*!< PCC ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P1_Pos                        (2UL)                     /*!< PCC ICR: P1 (Bit 2)                                         */
#define PCC_ICR_P1_Msk                        (0xcUL)                   /*!< PCC ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P2_Pos                        (4UL)                     /*!< PCC ICR: P2 (Bit 4)                                         */
#define PCC_ICR_P2_Msk                        (0x30UL)                  /*!< PCC ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P3_Pos                        (6UL)                     /*!< PCC ICR: P3 (Bit 6)                                         */
#define PCC_ICR_P3_Msk                        (0xc0UL)                  /*!< PCC ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P4_Pos                        (8UL)                     /*!< PCC ICR: P4 (Bit 8)                                         */
#define PCC_ICR_P4_Msk                        (0x300UL)                 /*!< PCC ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P5_Pos                        (10UL)                    /*!< PCC ICR: P5 (Bit 10)                                        */
#define PCC_ICR_P5_Msk                        (0xc00UL)                 /*!< PCC ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P6_Pos                        (12UL)                    /*!< PCC ICR: P6 (Bit 12)                                        */
#define PCC_ICR_P6_Msk                        (0x3000UL)                /*!< PCC ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P7_Pos                        (14UL)                    /*!< PCC ICR: P7 (Bit 14)                                        */
#define PCC_ICR_P7_Msk                        (0xc000UL)                /*!< PCC ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P8_Pos                        (16UL)                    /*!< PCC ICR: P8 (Bit 16)                                        */
#define PCC_ICR_P8_Msk                        (0x30000UL)               /*!< PCC ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P9_Pos                        (18UL)                    /*!< PCC ICR: P9 (Bit 18)                                        */
#define PCC_ICR_P9_Msk                        (0xc0000UL)               /*!< PCC ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P10_Pos                       (20UL)                    /*!< PCC ICR: P10 (Bit 20)                                       */
#define PCC_ICR_P10_Msk                       (0x300000UL)              /*!< PCC ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P11_Pos                       (22UL)                    /*!< PCC ICR: P11 (Bit 22)                                       */
#define PCC_ICR_P11_Msk                       (0xc00000UL)              /*!< PCC ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P12_Pos                       (24UL)                    /*!< PCC ICR: P12 (Bit 24)                                       */
#define PCC_ICR_P12_Msk                       (0x3000000UL)             /*!< PCC ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P13_Pos                       (26UL)                    /*!< PCC ICR: P13 (Bit 26)                                       */
#define PCC_ICR_P13_Msk                       (0xc000000UL)             /*!< PCC ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P14_Pos                       (28UL)                    /*!< PCC ICR: P14 (Bit 28)                                       */
#define PCC_ICR_P14_Msk                       (0x30000000UL)            /*!< PCC ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P15_Pos                       (30UL)                    /*!< PCC ICR: P15 (Bit 30)                                       */
#define PCC_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCC ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCD_MR  ----------------------------------- */
#define PCD_MR_P0_Pos                         (0UL)                     /*!< PCD MR: P0 (Bit 0)                                          */
#define PCD_MR_P0_Msk                         (0x3UL)                   /*!< PCD MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P1_Pos                         (2UL)                     /*!< PCD MR: P1 (Bit 2)                                          */
#define PCD_MR_P1_Msk                         (0xcUL)                   /*!< PCD MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P2_Pos                         (4UL)                     /*!< PCD MR: P2 (Bit 4)                                          */
#define PCD_MR_P2_Msk                         (0x30UL)                  /*!< PCD MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P3_Pos                         (6UL)                     /*!< PCD MR: P3 (Bit 6)                                          */
#define PCD_MR_P3_Msk                         (0xc0UL)                  /*!< PCD MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P4_Pos                         (8UL)                     /*!< PCD MR: P4 (Bit 8)                                          */
#define PCD_MR_P4_Msk                         (0x300UL)                 /*!< PCD MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P5_Pos                         (10UL)                    /*!< PCD MR: P5 (Bit 10)                                         */
#define PCD_MR_P5_Msk                         (0xc00UL)                 /*!< PCD MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P6_Pos                         (12UL)                    /*!< PCD MR: P6 (Bit 12)                                         */
#define PCD_MR_P6_Msk                         (0x3000UL)                /*!< PCD MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P7_Pos                         (14UL)                    /*!< PCD MR: P7 (Bit 14)                                         */
#define PCD_MR_P7_Msk                         (0xc000UL)                /*!< PCD MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P8_Pos                         (16UL)                    /*!< PCD MR: P8 (Bit 16)                                         */
#define PCD_MR_P8_Msk                         (0x30000UL)               /*!< PCD MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P9_Pos                         (18UL)                    /*!< PCD MR: P9 (Bit 18)                                         */
#define PCD_MR_P9_Msk                         (0xc0000UL)               /*!< PCD MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P10_Pos                        (20UL)                    /*!< PCD MR: P10 (Bit 20)                                        */
#define PCD_MR_P10_Msk                        (0x300000UL)              /*!< PCD MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P11_Pos                        (22UL)                    /*!< PCD MR: P11 (Bit 22)                                        */
#define PCD_MR_P11_Msk                        (0xc00000UL)              /*!< PCD MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P12_Pos                        (24UL)                    /*!< PCD MR: P12 (Bit 24)                                        */
#define PCD_MR_P12_Msk                        (0x3000000UL)             /*!< PCD MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P13_Pos                        (26UL)                    /*!< PCD MR: P13 (Bit 26)                                        */
#define PCD_MR_P13_Msk                        (0xc000000UL)             /*!< PCD MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P14_Pos                        (28UL)                    /*!< PCD MR: P14 (Bit 28)                                        */
#define PCD_MR_P14_Msk                        (0x30000000UL)            /*!< PCD MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P15_Pos                        (30UL)                    /*!< PCD MR: P15 (Bit 30)                                        */
#define PCD_MR_P15_Msk                        (0xc0000000UL)            /*!< PCD MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCD_CR  ----------------------------------- */
#define PCD_CR_P0_Pos                         (0UL)                     /*!< PCD CR: P0 (Bit 0)                                          */
#define PCD_CR_P0_Msk                         (0x3UL)                   /*!< PCD CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P1_Pos                         (2UL)                     /*!< PCD CR: P1 (Bit 2)                                          */
#define PCD_CR_P1_Msk                         (0xcUL)                   /*!< PCD CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P2_Pos                         (4UL)                     /*!< PCD CR: P2 (Bit 4)                                          */
#define PCD_CR_P2_Msk                         (0x30UL)                  /*!< PCD CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P3_Pos                         (6UL)                     /*!< PCD CR: P3 (Bit 6)                                          */
#define PCD_CR_P3_Msk                         (0xc0UL)                  /*!< PCD CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P4_Pos                         (8UL)                     /*!< PCD CR: P4 (Bit 8)                                          */
#define PCD_CR_P4_Msk                         (0x300UL)                 /*!< PCD CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P5_Pos                         (10UL)                    /*!< PCD CR: P5 (Bit 10)                                         */
#define PCD_CR_P5_Msk                         (0xc00UL)                 /*!< PCD CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P6_Pos                         (12UL)                    /*!< PCD CR: P6 (Bit 12)                                         */
#define PCD_CR_P6_Msk                         (0x3000UL)                /*!< PCD CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P7_Pos                         (14UL)                    /*!< PCD CR: P7 (Bit 14)                                         */
#define PCD_CR_P7_Msk                         (0xc000UL)                /*!< PCD CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P8_Pos                         (16UL)                    /*!< PCD CR: P8 (Bit 16)                                         */
#define PCD_CR_P8_Msk                         (0x30000UL)               /*!< PCD CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P9_Pos                         (18UL)                    /*!< PCD CR: P9 (Bit 18)                                         */
#define PCD_CR_P9_Msk                         (0xc0000UL)               /*!< PCD CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P10_Pos                        (20UL)                    /*!< PCD CR: P10 (Bit 20)                                        */
#define PCD_CR_P10_Msk                        (0x300000UL)              /*!< PCD CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P11_Pos                        (22UL)                    /*!< PCD CR: P11 (Bit 22)                                        */
#define PCD_CR_P11_Msk                        (0xc00000UL)              /*!< PCD CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P12_Pos                        (24UL)                    /*!< PCD CR: P12 (Bit 24)                                        */
#define PCD_CR_P12_Msk                        (0x3000000UL)             /*!< PCD CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P13_Pos                        (26UL)                    /*!< PCD CR: P13 (Bit 26)                                        */
#define PCD_CR_P13_Msk                        (0xc000000UL)             /*!< PCD CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P14_Pos                        (28UL)                    /*!< PCD CR: P14 (Bit 28)                                        */
#define PCD_CR_P14_Msk                        (0x30000000UL)            /*!< PCD CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P15_Pos                        (30UL)                    /*!< PCD CR: P15 (Bit 30)                                        */
#define PCD_CR_P15_Msk                        (0xc0000000UL)            /*!< PCD CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCD_PCR  ---------------------------------- */
#define PCD_PCR_P0_Pos                        (0UL)                     /*!< PCD PCR: P0 (Bit 0)                                         */
#define PCD_PCR_P0_Msk                        (0x1UL)                   /*!< PCD PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P1_Pos                        (1UL)                     /*!< PCD PCR: P1 (Bit 1)                                         */
#define PCD_PCR_P1_Msk                        (0x2UL)                   /*!< PCD PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P2_Pos                        (2UL)                     /*!< PCD PCR: P2 (Bit 2)                                         */
#define PCD_PCR_P2_Msk                        (0x4UL)                   /*!< PCD PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P3_Pos                        (3UL)                     /*!< PCD PCR: P3 (Bit 3)                                         */
#define PCD_PCR_P3_Msk                        (0x8UL)                   /*!< PCD PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P4_Pos                        (4UL)                     /*!< PCD PCR: P4 (Bit 4)                                         */
#define PCD_PCR_P4_Msk                        (0x10UL)                  /*!< PCD PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P5_Pos                        (5UL)                     /*!< PCD PCR: P5 (Bit 5)                                         */
#define PCD_PCR_P5_Msk                        (0x20UL)                  /*!< PCD PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P6_Pos                        (6UL)                     /*!< PCD PCR: P6 (Bit 6)                                         */
#define PCD_PCR_P6_Msk                        (0x40UL)                  /*!< PCD PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P7_Pos                        (7UL)                     /*!< PCD PCR: P7 (Bit 7)                                         */
#define PCD_PCR_P7_Msk                        (0x80UL)                  /*!< PCD PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P8_Pos                        (8UL)                     /*!< PCD PCR: P8 (Bit 8)                                         */
#define PCD_PCR_P8_Msk                        (0x100UL)                 /*!< PCD PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P9_Pos                        (9UL)                     /*!< PCD PCR: P9 (Bit 9)                                         */
#define PCD_PCR_P9_Msk                        (0x200UL)                 /*!< PCD PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P10_Pos                       (10UL)                    /*!< PCD PCR: P10 (Bit 10)                                       */
#define PCD_PCR_P10_Msk                       (0x400UL)                 /*!< PCD PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P11_Pos                       (11UL)                    /*!< PCD PCR: P11 (Bit 11)                                       */
#define PCD_PCR_P11_Msk                       (0x800UL)                 /*!< PCD PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P12_Pos                       (12UL)                    /*!< PCD PCR: P12 (Bit 12)                                       */
#define PCD_PCR_P12_Msk                       (0x1000UL)                /*!< PCD PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P13_Pos                       (13UL)                    /*!< PCD PCR: P13 (Bit 13)                                       */
#define PCD_PCR_P13_Msk                       (0x2000UL)                /*!< PCD PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P14_Pos                       (14UL)                    /*!< PCD PCR: P14 (Bit 14)                                       */
#define PCD_PCR_P14_Msk                       (0x4000UL)                /*!< PCD PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P15_Pos                       (15UL)                    /*!< PCD PCR: P15 (Bit 15)                                       */
#define PCD_PCR_P15_Msk                       (0x8000UL)                /*!< PCD PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCD_DER  ---------------------------------- */
#define PCD_DER_P0_Pos                        (0UL)                     /*!< PCD DER: P0 (Bit 0)                                         */
#define PCD_DER_P0_Msk                        (0x1UL)                   /*!< PCD DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P1_Pos                        (1UL)                     /*!< PCD DER: P1 (Bit 1)                                         */
#define PCD_DER_P1_Msk                        (0x2UL)                   /*!< PCD DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P2_Pos                        (2UL)                     /*!< PCD DER: P2 (Bit 2)                                         */
#define PCD_DER_P2_Msk                        (0x4UL)                   /*!< PCD DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P3_Pos                        (3UL)                     /*!< PCD DER: P3 (Bit 3)                                         */
#define PCD_DER_P3_Msk                        (0x8UL)                   /*!< PCD DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P4_Pos                        (4UL)                     /*!< PCD DER: P4 (Bit 4)                                         */
#define PCD_DER_P4_Msk                        (0x10UL)                  /*!< PCD DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P5_Pos                        (5UL)                     /*!< PCD DER: P5 (Bit 5)                                         */
#define PCD_DER_P5_Msk                        (0x20UL)                  /*!< PCD DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P6_Pos                        (6UL)                     /*!< PCD DER: P6 (Bit 6)                                         */
#define PCD_DER_P6_Msk                        (0x40UL)                  /*!< PCD DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P7_Pos                        (7UL)                     /*!< PCD DER: P7 (Bit 7)                                         */
#define PCD_DER_P7_Msk                        (0x80UL)                  /*!< PCD DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P8_Pos                        (8UL)                     /*!< PCD DER: P8 (Bit 8)                                         */
#define PCD_DER_P8_Msk                        (0x100UL)                 /*!< PCD DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P9_Pos                        (9UL)                     /*!< PCD DER: P9 (Bit 9)                                         */
#define PCD_DER_P9_Msk                        (0x200UL)                 /*!< PCD DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P10_Pos                       (10UL)                    /*!< PCD DER: P10 (Bit 10)                                       */
#define PCD_DER_P10_Msk                       (0x400UL)                 /*!< PCD DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P11_Pos                       (11UL)                    /*!< PCD DER: P11 (Bit 11)                                       */
#define PCD_DER_P11_Msk                       (0x800UL)                 /*!< PCD DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P12_Pos                       (12UL)                    /*!< PCD DER: P12 (Bit 12)                                       */
#define PCD_DER_P12_Msk                       (0x1000UL)                /*!< PCD DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P13_Pos                       (13UL)                    /*!< PCD DER: P13 (Bit 13)                                       */
#define PCD_DER_P13_Msk                       (0x2000UL)                /*!< PCD DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P14_Pos                       (14UL)                    /*!< PCD DER: P14 (Bit 14)                                       */
#define PCD_DER_P14_Msk                       (0x4000UL)                /*!< PCD DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P15_Pos                       (15UL)                    /*!< PCD DER: P15 (Bit 15)                                       */
#define PCD_DER_P15_Msk                       (0x8000UL)                /*!< PCD DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCD_IER  ---------------------------------- */
#define PCD_IER_P0_Pos                        (0UL)                     /*!< PCD IER: P0 (Bit 0)                                         */
#define PCD_IER_P0_Msk                        (0x3UL)                   /*!< PCD IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P1_Pos                        (2UL)                     /*!< PCD IER: P1 (Bit 2)                                         */
#define PCD_IER_P1_Msk                        (0xcUL)                   /*!< PCD IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P2_Pos                        (4UL)                     /*!< PCD IER: P2 (Bit 4)                                         */
#define PCD_IER_P2_Msk                        (0x30UL)                  /*!< PCD IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P3_Pos                        (6UL)                     /*!< PCD IER: P3 (Bit 6)                                         */
#define PCD_IER_P3_Msk                        (0xc0UL)                  /*!< PCD IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P4_Pos                        (8UL)                     /*!< PCD IER: P4 (Bit 8)                                         */
#define PCD_IER_P4_Msk                        (0x300UL)                 /*!< PCD IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P5_Pos                        (10UL)                    /*!< PCD IER: P5 (Bit 10)                                        */
#define PCD_IER_P5_Msk                        (0xc00UL)                 /*!< PCD IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P6_Pos                        (12UL)                    /*!< PCD IER: P6 (Bit 12)                                        */
#define PCD_IER_P6_Msk                        (0x3000UL)                /*!< PCD IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P7_Pos                        (14UL)                    /*!< PCD IER: P7 (Bit 14)                                        */
#define PCD_IER_P7_Msk                        (0xc000UL)                /*!< PCD IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P8_Pos                        (16UL)                    /*!< PCD IER: P8 (Bit 16)                                        */
#define PCD_IER_P8_Msk                        (0x30000UL)               /*!< PCD IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P9_Pos                        (18UL)                    /*!< PCD IER: P9 (Bit 18)                                        */
#define PCD_IER_P9_Msk                        (0xc0000UL)               /*!< PCD IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P10_Pos                       (20UL)                    /*!< PCD IER: P10 (Bit 20)                                       */
#define PCD_IER_P10_Msk                       (0x300000UL)              /*!< PCD IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P11_Pos                       (22UL)                    /*!< PCD IER: P11 (Bit 22)                                       */
#define PCD_IER_P11_Msk                       (0xc00000UL)              /*!< PCD IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P12_Pos                       (24UL)                    /*!< PCD IER: P12 (Bit 24)                                       */
#define PCD_IER_P12_Msk                       (0x3000000UL)             /*!< PCD IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P13_Pos                       (26UL)                    /*!< PCD IER: P13 (Bit 26)                                       */
#define PCD_IER_P13_Msk                       (0xc000000UL)             /*!< PCD IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P14_Pos                       (28UL)                    /*!< PCD IER: P14 (Bit 28)                                       */
#define PCD_IER_P14_Msk                       (0x30000000UL)            /*!< PCD IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P15_Pos                       (30UL)                    /*!< PCD IER: P15 (Bit 30)                                       */
#define PCD_IER_P15_Msk                       (0xc0000000UL)            /*!< PCD IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCD_ISR  ---------------------------------- */
#define PCD_ISR_P0_Pos                        (0UL)                     /*!< PCD ISR: P0 (Bit 0)                                         */
#define PCD_ISR_P0_Msk                        (0x3UL)                   /*!< PCD ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P1_Pos                        (2UL)                     /*!< PCD ISR: P1 (Bit 2)                                         */
#define PCD_ISR_P1_Msk                        (0xcUL)                   /*!< PCD ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P2_Pos                        (4UL)                     /*!< PCD ISR: P2 (Bit 4)                                         */
#define PCD_ISR_P2_Msk                        (0x30UL)                  /*!< PCD ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P3_Pos                        (6UL)                     /*!< PCD ISR: P3 (Bit 6)                                         */
#define PCD_ISR_P3_Msk                        (0xc0UL)                  /*!< PCD ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P4_Pos                        (8UL)                     /*!< PCD ISR: P4 (Bit 8)                                         */
#define PCD_ISR_P4_Msk                        (0x300UL)                 /*!< PCD ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P5_Pos                        (10UL)                    /*!< PCD ISR: P5 (Bit 10)                                        */
#define PCD_ISR_P5_Msk                        (0xc00UL)                 /*!< PCD ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P6_Pos                        (12UL)                    /*!< PCD ISR: P6 (Bit 12)                                        */
#define PCD_ISR_P6_Msk                        (0x3000UL)                /*!< PCD ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P7_Pos                        (14UL)                    /*!< PCD ISR: P7 (Bit 14)                                        */
#define PCD_ISR_P7_Msk                        (0xc000UL)                /*!< PCD ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P8_Pos                        (16UL)                    /*!< PCD ISR: P8 (Bit 16)                                        */
#define PCD_ISR_P8_Msk                        (0x30000UL)               /*!< PCD ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P9_Pos                        (18UL)                    /*!< PCD ISR: P9 (Bit 18)                                        */
#define PCD_ISR_P9_Msk                        (0xc0000UL)               /*!< PCD ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P10_Pos                       (20UL)                    /*!< PCD ISR: P10 (Bit 20)                                       */
#define PCD_ISR_P10_Msk                       (0x300000UL)              /*!< PCD ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P11_Pos                       (22UL)                    /*!< PCD ISR: P11 (Bit 22)                                       */
#define PCD_ISR_P11_Msk                       (0xc00000UL)              /*!< PCD ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P12_Pos                       (24UL)                    /*!< PCD ISR: P12 (Bit 24)                                       */
#define PCD_ISR_P12_Msk                       (0x3000000UL)             /*!< PCD ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P13_Pos                       (26UL)                    /*!< PCD ISR: P13 (Bit 26)                                       */
#define PCD_ISR_P13_Msk                       (0xc000000UL)             /*!< PCD ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P14_Pos                       (28UL)                    /*!< PCD ISR: P14 (Bit 28)                                       */
#define PCD_ISR_P14_Msk                       (0x30000000UL)            /*!< PCD ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P15_Pos                       (30UL)                    /*!< PCD ISR: P15 (Bit 30)                                       */
#define PCD_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCD ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCD_ICR  ---------------------------------- */
#define PCD_ICR_P0_Pos                        (0UL)                     /*!< PCD ICR: P0 (Bit 0)                                         */
#define PCD_ICR_P0_Msk                        (0x3UL)                   /*!< PCD ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P1_Pos                        (2UL)                     /*!< PCD ICR: P1 (Bit 2)                                         */
#define PCD_ICR_P1_Msk                        (0xcUL)                   /*!< PCD ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P2_Pos                        (4UL)                     /*!< PCD ICR: P2 (Bit 4)                                         */
#define PCD_ICR_P2_Msk                        (0x30UL)                  /*!< PCD ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P3_Pos                        (6UL)                     /*!< PCD ICR: P3 (Bit 6)                                         */
#define PCD_ICR_P3_Msk                        (0xc0UL)                  /*!< PCD ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P4_Pos                        (8UL)                     /*!< PCD ICR: P4 (Bit 8)                                         */
#define PCD_ICR_P4_Msk                        (0x300UL)                 /*!< PCD ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P5_Pos                        (10UL)                    /*!< PCD ICR: P5 (Bit 10)                                        */
#define PCD_ICR_P5_Msk                        (0xc00UL)                 /*!< PCD ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P6_Pos                        (12UL)                    /*!< PCD ICR: P6 (Bit 12)                                        */
#define PCD_ICR_P6_Msk                        (0x3000UL)                /*!< PCD ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P7_Pos                        (14UL)                    /*!< PCD ICR: P7 (Bit 14)                                        */
#define PCD_ICR_P7_Msk                        (0xc000UL)                /*!< PCD ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P8_Pos                        (16UL)                    /*!< PCD ICR: P8 (Bit 16)                                        */
#define PCD_ICR_P8_Msk                        (0x30000UL)               /*!< PCD ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P9_Pos                        (18UL)                    /*!< PCD ICR: P9 (Bit 18)                                        */
#define PCD_ICR_P9_Msk                        (0xc0000UL)               /*!< PCD ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P10_Pos                       (20UL)                    /*!< PCD ICR: P10 (Bit 20)                                       */
#define PCD_ICR_P10_Msk                       (0x300000UL)              /*!< PCD ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P11_Pos                       (22UL)                    /*!< PCD ICR: P11 (Bit 22)                                       */
#define PCD_ICR_P11_Msk                       (0xc00000UL)              /*!< PCD ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P12_Pos                       (24UL)                    /*!< PCD ICR: P12 (Bit 24)                                       */
#define PCD_ICR_P12_Msk                       (0x3000000UL)             /*!< PCD ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P13_Pos                       (26UL)                    /*!< PCD ICR: P13 (Bit 26)                                       */
#define PCD_ICR_P13_Msk                       (0xc000000UL)             /*!< PCD ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P14_Pos                       (28UL)                    /*!< PCD ICR: P14 (Bit 28)                                       */
#define PCD_ICR_P14_Msk                       (0x30000000UL)            /*!< PCD ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P15_Pos                       (30UL)                    /*!< PCD ICR: P15 (Bit 30)                                       */
#define PCD_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCD ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================           struct 'PA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PA_ODR  ----------------------------------- */
#define PA_ODR_P0_Pos                         (0UL)                     /*!< PA ODR: P0 (Bit 0)                                          */
#define PA_ODR_P0_Msk                         (0x1UL)                   /*!< PA ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P1_Pos                         (1UL)                     /*!< PA ODR: P1 (Bit 1)                                          */
#define PA_ODR_P1_Msk                         (0x2UL)                   /*!< PA ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P2_Pos                         (2UL)                     /*!< PA ODR: P2 (Bit 2)                                          */
#define PA_ODR_P2_Msk                         (0x4UL)                   /*!< PA ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P3_Pos                         (3UL)                     /*!< PA ODR: P3 (Bit 3)                                          */
#define PA_ODR_P3_Msk                         (0x8UL)                   /*!< PA ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P4_Pos                         (4UL)                     /*!< PA ODR: P4 (Bit 4)                                          */
#define PA_ODR_P4_Msk                         (0x10UL)                  /*!< PA ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P5_Pos                         (5UL)                     /*!< PA ODR: P5 (Bit 5)                                          */
#define PA_ODR_P5_Msk                         (0x20UL)                  /*!< PA ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P6_Pos                         (6UL)                     /*!< PA ODR: P6 (Bit 6)                                          */
#define PA_ODR_P6_Msk                         (0x40UL)                  /*!< PA ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P7_Pos                         (7UL)                     /*!< PA ODR: P7 (Bit 7)                                          */
#define PA_ODR_P7_Msk                         (0x80UL)                  /*!< PA ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P8_Pos                         (8UL)                     /*!< PA ODR: P8 (Bit 8)                                          */
#define PA_ODR_P8_Msk                         (0x100UL)                 /*!< PA ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P9_Pos                         (9UL)                     /*!< PA ODR: P9 (Bit 9)                                          */
#define PA_ODR_P9_Msk                         (0x200UL)                 /*!< PA ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P10_Pos                        (10UL)                    /*!< PA ODR: P10 (Bit 10)                                        */
#define PA_ODR_P10_Msk                        (0x400UL)                 /*!< PA ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P11_Pos                        (11UL)                    /*!< PA ODR: P11 (Bit 11)                                        */
#define PA_ODR_P11_Msk                        (0x800UL)                 /*!< PA ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P12_Pos                        (12UL)                    /*!< PA ODR: P12 (Bit 12)                                        */
#define PA_ODR_P12_Msk                        (0x1000UL)                /*!< PA ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P13_Pos                        (13UL)                    /*!< PA ODR: P13 (Bit 13)                                        */
#define PA_ODR_P13_Msk                        (0x2000UL)                /*!< PA ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P14_Pos                        (14UL)                    /*!< PA ODR: P14 (Bit 14)                                        */
#define PA_ODR_P14_Msk                        (0x4000UL)                /*!< PA ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P15_Pos                        (15UL)                    /*!< PA ODR: P15 (Bit 15)                                        */
#define PA_ODR_P15_Msk                        (0x8000UL)                /*!< PA ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_IDR  ----------------------------------- */
#define PA_IDR_P0_Pos                         (0UL)                     /*!< PA IDR: P0 (Bit 0)                                          */
#define PA_IDR_P0_Msk                         (0x1UL)                   /*!< PA IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P1_Pos                         (1UL)                     /*!< PA IDR: P1 (Bit 1)                                          */
#define PA_IDR_P1_Msk                         (0x2UL)                   /*!< PA IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P2_Pos                         (2UL)                     /*!< PA IDR: P2 (Bit 2)                                          */
#define PA_IDR_P2_Msk                         (0x4UL)                   /*!< PA IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P3_Pos                         (3UL)                     /*!< PA IDR: P3 (Bit 3)                                          */
#define PA_IDR_P3_Msk                         (0x8UL)                   /*!< PA IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P4_Pos                         (4UL)                     /*!< PA IDR: P4 (Bit 4)                                          */
#define PA_IDR_P4_Msk                         (0x10UL)                  /*!< PA IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P5_Pos                         (5UL)                     /*!< PA IDR: P5 (Bit 5)                                          */
#define PA_IDR_P5_Msk                         (0x20UL)                  /*!< PA IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P6_Pos                         (6UL)                     /*!< PA IDR: P6 (Bit 6)                                          */
#define PA_IDR_P6_Msk                         (0x40UL)                  /*!< PA IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P7_Pos                         (7UL)                     /*!< PA IDR: P7 (Bit 7)                                          */
#define PA_IDR_P7_Msk                         (0x80UL)                  /*!< PA IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P8_Pos                         (8UL)                     /*!< PA IDR: P8 (Bit 8)                                          */
#define PA_IDR_P8_Msk                         (0x100UL)                 /*!< PA IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P9_Pos                         (9UL)                     /*!< PA IDR: P9 (Bit 9)                                          */
#define PA_IDR_P9_Msk                         (0x200UL)                 /*!< PA IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P10_Pos                        (10UL)                    /*!< PA IDR: P10 (Bit 10)                                        */
#define PA_IDR_P10_Msk                        (0x400UL)                 /*!< PA IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P11_Pos                        (11UL)                    /*!< PA IDR: P11 (Bit 11)                                        */
#define PA_IDR_P11_Msk                        (0x800UL)                 /*!< PA IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P12_Pos                        (12UL)                    /*!< PA IDR: P12 (Bit 12)                                        */
#define PA_IDR_P12_Msk                        (0x1000UL)                /*!< PA IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P13_Pos                        (13UL)                    /*!< PA IDR: P13 (Bit 13)                                        */
#define PA_IDR_P13_Msk                        (0x2000UL)                /*!< PA IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P14_Pos                        (14UL)                    /*!< PA IDR: P14 (Bit 14)                                        */
#define PA_IDR_P14_Msk                        (0x4000UL)                /*!< PA IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P15_Pos                        (15UL)                    /*!< PA IDR: P15 (Bit 15)                                        */
#define PA_IDR_P15_Msk                        (0x8000UL)                /*!< PA IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_BSR  ----------------------------------- */
#define PA_BSR_P0_Pos                         (0UL)                     /*!< PA BSR: P0 (Bit 0)                                          */
#define PA_BSR_P0_Msk                         (0x1UL)                   /*!< PA BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P1_Pos                         (1UL)                     /*!< PA BSR: P1 (Bit 1)                                          */
#define PA_BSR_P1_Msk                         (0x2UL)                   /*!< PA BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P2_Pos                         (2UL)                     /*!< PA BSR: P2 (Bit 2)                                          */
#define PA_BSR_P2_Msk                         (0x4UL)                   /*!< PA BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P3_Pos                         (3UL)                     /*!< PA BSR: P3 (Bit 3)                                          */
#define PA_BSR_P3_Msk                         (0x8UL)                   /*!< PA BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P4_Pos                         (4UL)                     /*!< PA BSR: P4 (Bit 4)                                          */
#define PA_BSR_P4_Msk                         (0x10UL)                  /*!< PA BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P5_Pos                         (5UL)                     /*!< PA BSR: P5 (Bit 5)                                          */
#define PA_BSR_P5_Msk                         (0x20UL)                  /*!< PA BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P6_Pos                         (6UL)                     /*!< PA BSR: P6 (Bit 6)                                          */
#define PA_BSR_P6_Msk                         (0x40UL)                  /*!< PA BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P7_Pos                         (7UL)                     /*!< PA BSR: P7 (Bit 7)                                          */
#define PA_BSR_P7_Msk                         (0x80UL)                  /*!< PA BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P8_Pos                         (8UL)                     /*!< PA BSR: P8 (Bit 8)                                          */
#define PA_BSR_P8_Msk                         (0x100UL)                 /*!< PA BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P9_Pos                         (9UL)                     /*!< PA BSR: P9 (Bit 9)                                          */
#define PA_BSR_P9_Msk                         (0x200UL)                 /*!< PA BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P10_Pos                        (10UL)                    /*!< PA BSR: P10 (Bit 10)                                        */
#define PA_BSR_P10_Msk                        (0x400UL)                 /*!< PA BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P11_Pos                        (11UL)                    /*!< PA BSR: P11 (Bit 11)                                        */
#define PA_BSR_P11_Msk                        (0x800UL)                 /*!< PA BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P12_Pos                        (12UL)                    /*!< PA BSR: P12 (Bit 12)                                        */
#define PA_BSR_P12_Msk                        (0x1000UL)                /*!< PA BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P13_Pos                        (13UL)                    /*!< PA BSR: P13 (Bit 13)                                        */
#define PA_BSR_P13_Msk                        (0x2000UL)                /*!< PA BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P14_Pos                        (14UL)                    /*!< PA BSR: P14 (Bit 14)                                        */
#define PA_BSR_P14_Msk                        (0x4000UL)                /*!< PA BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P15_Pos                        (15UL)                    /*!< PA BSR: P15 (Bit 15)                                        */
#define PA_BSR_P15_Msk                        (0x8000UL)                /*!< PA BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_BCR  ----------------------------------- */
#define PA_BCR_P0_Pos                         (0UL)                     /*!< PA BCR: P0 (Bit 0)                                          */
#define PA_BCR_P0_Msk                         (0x1UL)                   /*!< PA BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P1_Pos                         (1UL)                     /*!< PA BCR: P1 (Bit 1)                                          */
#define PA_BCR_P1_Msk                         (0x2UL)                   /*!< PA BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P2_Pos                         (2UL)                     /*!< PA BCR: P2 (Bit 2)                                          */
#define PA_BCR_P2_Msk                         (0x4UL)                   /*!< PA BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P3_Pos                         (3UL)                     /*!< PA BCR: P3 (Bit 3)                                          */
#define PA_BCR_P3_Msk                         (0x8UL)                   /*!< PA BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P4_Pos                         (4UL)                     /*!< PA BCR: P4 (Bit 4)                                          */
#define PA_BCR_P4_Msk                         (0x10UL)                  /*!< PA BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P5_Pos                         (5UL)                     /*!< PA BCR: P5 (Bit 5)                                          */
#define PA_BCR_P5_Msk                         (0x20UL)                  /*!< PA BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P6_Pos                         (6UL)                     /*!< PA BCR: P6 (Bit 6)                                          */
#define PA_BCR_P6_Msk                         (0x40UL)                  /*!< PA BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P7_Pos                         (7UL)                     /*!< PA BCR: P7 (Bit 7)                                          */
#define PA_BCR_P7_Msk                         (0x80UL)                  /*!< PA BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P8_Pos                         (8UL)                     /*!< PA BCR: P8 (Bit 8)                                          */
#define PA_BCR_P8_Msk                         (0x100UL)                 /*!< PA BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P9_Pos                         (9UL)                     /*!< PA BCR: P9 (Bit 9)                                          */
#define PA_BCR_P9_Msk                         (0x200UL)                 /*!< PA BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P10_Pos                        (10UL)                    /*!< PA BCR: P10 (Bit 10)                                        */
#define PA_BCR_P10_Msk                        (0x400UL)                 /*!< PA BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P11_Pos                        (11UL)                    /*!< PA BCR: P11 (Bit 11)                                        */
#define PA_BCR_P11_Msk                        (0x800UL)                 /*!< PA BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P12_Pos                        (12UL)                    /*!< PA BCR: P12 (Bit 12)                                        */
#define PA_BCR_P12_Msk                        (0x1000UL)                /*!< PA BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P13_Pos                        (13UL)                    /*!< PA BCR: P13 (Bit 13)                                        */
#define PA_BCR_P13_Msk                        (0x2000UL)                /*!< PA BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P14_Pos                        (14UL)                    /*!< PA BCR: P14 (Bit 14)                                        */
#define PA_BCR_P14_Msk                        (0x4000UL)                /*!< PA BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P15_Pos                        (15UL)                    /*!< PA BCR: P15 (Bit 15)                                        */
#define PA_BCR_P15_Msk                        (0x8000UL)                /*!< PA BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PB_ODR  ----------------------------------- */
#define PB_ODR_P0_Pos                         (0UL)                     /*!< PB ODR: P0 (Bit 0)                                          */
#define PB_ODR_P0_Msk                         (0x1UL)                   /*!< PB ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P1_Pos                         (1UL)                     /*!< PB ODR: P1 (Bit 1)                                          */
#define PB_ODR_P1_Msk                         (0x2UL)                   /*!< PB ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P2_Pos                         (2UL)                     /*!< PB ODR: P2 (Bit 2)                                          */
#define PB_ODR_P2_Msk                         (0x4UL)                   /*!< PB ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P3_Pos                         (3UL)                     /*!< PB ODR: P3 (Bit 3)                                          */
#define PB_ODR_P3_Msk                         (0x8UL)                   /*!< PB ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P4_Pos                         (4UL)                     /*!< PB ODR: P4 (Bit 4)                                          */
#define PB_ODR_P4_Msk                         (0x10UL)                  /*!< PB ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P5_Pos                         (5UL)                     /*!< PB ODR: P5 (Bit 5)                                          */
#define PB_ODR_P5_Msk                         (0x20UL)                  /*!< PB ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P6_Pos                         (6UL)                     /*!< PB ODR: P6 (Bit 6)                                          */
#define PB_ODR_P6_Msk                         (0x40UL)                  /*!< PB ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P7_Pos                         (7UL)                     /*!< PB ODR: P7 (Bit 7)                                          */
#define PB_ODR_P7_Msk                         (0x80UL)                  /*!< PB ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P8_Pos                         (8UL)                     /*!< PB ODR: P8 (Bit 8)                                          */
#define PB_ODR_P8_Msk                         (0x100UL)                 /*!< PB ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P9_Pos                         (9UL)                     /*!< PB ODR: P9 (Bit 9)                                          */
#define PB_ODR_P9_Msk                         (0x200UL)                 /*!< PB ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P10_Pos                        (10UL)                    /*!< PB ODR: P10 (Bit 10)                                        */
#define PB_ODR_P10_Msk                        (0x400UL)                 /*!< PB ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P11_Pos                        (11UL)                    /*!< PB ODR: P11 (Bit 11)                                        */
#define PB_ODR_P11_Msk                        (0x800UL)                 /*!< PB ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P12_Pos                        (12UL)                    /*!< PB ODR: P12 (Bit 12)                                        */
#define PB_ODR_P12_Msk                        (0x1000UL)                /*!< PB ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P13_Pos                        (13UL)                    /*!< PB ODR: P13 (Bit 13)                                        */
#define PB_ODR_P13_Msk                        (0x2000UL)                /*!< PB ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P14_Pos                        (14UL)                    /*!< PB ODR: P14 (Bit 14)                                        */
#define PB_ODR_P14_Msk                        (0x4000UL)                /*!< PB ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P15_Pos                        (15UL)                    /*!< PB ODR: P15 (Bit 15)                                        */
#define PB_ODR_P15_Msk                        (0x8000UL)                /*!< PB ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_IDR  ----------------------------------- */
#define PB_IDR_P0_Pos                         (0UL)                     /*!< PB IDR: P0 (Bit 0)                                          */
#define PB_IDR_P0_Msk                         (0x1UL)                   /*!< PB IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P1_Pos                         (1UL)                     /*!< PB IDR: P1 (Bit 1)                                          */
#define PB_IDR_P1_Msk                         (0x2UL)                   /*!< PB IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P2_Pos                         (2UL)                     /*!< PB IDR: P2 (Bit 2)                                          */
#define PB_IDR_P2_Msk                         (0x4UL)                   /*!< PB IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P3_Pos                         (3UL)                     /*!< PB IDR: P3 (Bit 3)                                          */
#define PB_IDR_P3_Msk                         (0x8UL)                   /*!< PB IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P4_Pos                         (4UL)                     /*!< PB IDR: P4 (Bit 4)                                          */
#define PB_IDR_P4_Msk                         (0x10UL)                  /*!< PB IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P5_Pos                         (5UL)                     /*!< PB IDR: P5 (Bit 5)                                          */
#define PB_IDR_P5_Msk                         (0x20UL)                  /*!< PB IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P6_Pos                         (6UL)                     /*!< PB IDR: P6 (Bit 6)                                          */
#define PB_IDR_P6_Msk                         (0x40UL)                  /*!< PB IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P7_Pos                         (7UL)                     /*!< PB IDR: P7 (Bit 7)                                          */
#define PB_IDR_P7_Msk                         (0x80UL)                  /*!< PB IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P8_Pos                         (8UL)                     /*!< PB IDR: P8 (Bit 8)                                          */
#define PB_IDR_P8_Msk                         (0x100UL)                 /*!< PB IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P9_Pos                         (9UL)                     /*!< PB IDR: P9 (Bit 9)                                          */
#define PB_IDR_P9_Msk                         (0x200UL)                 /*!< PB IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P10_Pos                        (10UL)                    /*!< PB IDR: P10 (Bit 10)                                        */
#define PB_IDR_P10_Msk                        (0x400UL)                 /*!< PB IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P11_Pos                        (11UL)                    /*!< PB IDR: P11 (Bit 11)                                        */
#define PB_IDR_P11_Msk                        (0x800UL)                 /*!< PB IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P12_Pos                        (12UL)                    /*!< PB IDR: P12 (Bit 12)                                        */
#define PB_IDR_P12_Msk                        (0x1000UL)                /*!< PB IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P13_Pos                        (13UL)                    /*!< PB IDR: P13 (Bit 13)                                        */
#define PB_IDR_P13_Msk                        (0x2000UL)                /*!< PB IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P14_Pos                        (14UL)                    /*!< PB IDR: P14 (Bit 14)                                        */
#define PB_IDR_P14_Msk                        (0x4000UL)                /*!< PB IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P15_Pos                        (15UL)                    /*!< PB IDR: P15 (Bit 15)                                        */
#define PB_IDR_P15_Msk                        (0x8000UL)                /*!< PB IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_BSR  ----------------------------------- */
#define PB_BSR_P0_Pos                         (0UL)                     /*!< PB BSR: P0 (Bit 0)                                          */
#define PB_BSR_P0_Msk                         (0x1UL)                   /*!< PB BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P1_Pos                         (1UL)                     /*!< PB BSR: P1 (Bit 1)                                          */
#define PB_BSR_P1_Msk                         (0x2UL)                   /*!< PB BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P2_Pos                         (2UL)                     /*!< PB BSR: P2 (Bit 2)                                          */
#define PB_BSR_P2_Msk                         (0x4UL)                   /*!< PB BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P3_Pos                         (3UL)                     /*!< PB BSR: P3 (Bit 3)                                          */
#define PB_BSR_P3_Msk                         (0x8UL)                   /*!< PB BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P4_Pos                         (4UL)                     /*!< PB BSR: P4 (Bit 4)                                          */
#define PB_BSR_P4_Msk                         (0x10UL)                  /*!< PB BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P5_Pos                         (5UL)                     /*!< PB BSR: P5 (Bit 5)                                          */
#define PB_BSR_P5_Msk                         (0x20UL)                  /*!< PB BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P6_Pos                         (6UL)                     /*!< PB BSR: P6 (Bit 6)                                          */
#define PB_BSR_P6_Msk                         (0x40UL)                  /*!< PB BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P7_Pos                         (7UL)                     /*!< PB BSR: P7 (Bit 7)                                          */
#define PB_BSR_P7_Msk                         (0x80UL)                  /*!< PB BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P8_Pos                         (8UL)                     /*!< PB BSR: P8 (Bit 8)                                          */
#define PB_BSR_P8_Msk                         (0x100UL)                 /*!< PB BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P9_Pos                         (9UL)                     /*!< PB BSR: P9 (Bit 9)                                          */
#define PB_BSR_P9_Msk                         (0x200UL)                 /*!< PB BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P10_Pos                        (10UL)                    /*!< PB BSR: P10 (Bit 10)                                        */
#define PB_BSR_P10_Msk                        (0x400UL)                 /*!< PB BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P11_Pos                        (11UL)                    /*!< PB BSR: P11 (Bit 11)                                        */
#define PB_BSR_P11_Msk                        (0x800UL)                 /*!< PB BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P12_Pos                        (12UL)                    /*!< PB BSR: P12 (Bit 12)                                        */
#define PB_BSR_P12_Msk                        (0x1000UL)                /*!< PB BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P13_Pos                        (13UL)                    /*!< PB BSR: P13 (Bit 13)                                        */
#define PB_BSR_P13_Msk                        (0x2000UL)                /*!< PB BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P14_Pos                        (14UL)                    /*!< PB BSR: P14 (Bit 14)                                        */
#define PB_BSR_P14_Msk                        (0x4000UL)                /*!< PB BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P15_Pos                        (15UL)                    /*!< PB BSR: P15 (Bit 15)                                        */
#define PB_BSR_P15_Msk                        (0x8000UL)                /*!< PB BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_BCR  ----------------------------------- */
#define PB_BCR_P0_Pos                         (0UL)                     /*!< PB BCR: P0 (Bit 0)                                          */
#define PB_BCR_P0_Msk                         (0x1UL)                   /*!< PB BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P1_Pos                         (1UL)                     /*!< PB BCR: P1 (Bit 1)                                          */
#define PB_BCR_P1_Msk                         (0x2UL)                   /*!< PB BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P2_Pos                         (2UL)                     /*!< PB BCR: P2 (Bit 2)                                          */
#define PB_BCR_P2_Msk                         (0x4UL)                   /*!< PB BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P3_Pos                         (3UL)                     /*!< PB BCR: P3 (Bit 3)                                          */
#define PB_BCR_P3_Msk                         (0x8UL)                   /*!< PB BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P4_Pos                         (4UL)                     /*!< PB BCR: P4 (Bit 4)                                          */
#define PB_BCR_P4_Msk                         (0x10UL)                  /*!< PB BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P5_Pos                         (5UL)                     /*!< PB BCR: P5 (Bit 5)                                          */
#define PB_BCR_P5_Msk                         (0x20UL)                  /*!< PB BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P6_Pos                         (6UL)                     /*!< PB BCR: P6 (Bit 6)                                          */
#define PB_BCR_P6_Msk                         (0x40UL)                  /*!< PB BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P7_Pos                         (7UL)                     /*!< PB BCR: P7 (Bit 7)                                          */
#define PB_BCR_P7_Msk                         (0x80UL)                  /*!< PB BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P8_Pos                         (8UL)                     /*!< PB BCR: P8 (Bit 8)                                          */
#define PB_BCR_P8_Msk                         (0x100UL)                 /*!< PB BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P9_Pos                         (9UL)                     /*!< PB BCR: P9 (Bit 9)                                          */
#define PB_BCR_P9_Msk                         (0x200UL)                 /*!< PB BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P10_Pos                        (10UL)                    /*!< PB BCR: P10 (Bit 10)                                        */
#define PB_BCR_P10_Msk                        (0x400UL)                 /*!< PB BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P11_Pos                        (11UL)                    /*!< PB BCR: P11 (Bit 11)                                        */
#define PB_BCR_P11_Msk                        (0x800UL)                 /*!< PB BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P12_Pos                        (12UL)                    /*!< PB BCR: P12 (Bit 12)                                        */
#define PB_BCR_P12_Msk                        (0x1000UL)                /*!< PB BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P13_Pos                        (13UL)                    /*!< PB BCR: P13 (Bit 13)                                        */
#define PB_BCR_P13_Msk                        (0x2000UL)                /*!< PB BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P14_Pos                        (14UL)                    /*!< PB BCR: P14 (Bit 14)                                        */
#define PB_BCR_P14_Msk                        (0x4000UL)                /*!< PB BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P15_Pos                        (15UL)                    /*!< PB BCR: P15 (Bit 15)                                        */
#define PB_BCR_P15_Msk                        (0x8000UL)                /*!< PB BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PC_ODR  ----------------------------------- */
#define PC_ODR_P0_Pos                         (0UL)                     /*!< PC ODR: P0 (Bit 0)                                          */
#define PC_ODR_P0_Msk                         (0x1UL)                   /*!< PC ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P1_Pos                         (1UL)                     /*!< PC ODR: P1 (Bit 1)                                          */
#define PC_ODR_P1_Msk                         (0x2UL)                   /*!< PC ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P2_Pos                         (2UL)                     /*!< PC ODR: P2 (Bit 2)                                          */
#define PC_ODR_P2_Msk                         (0x4UL)                   /*!< PC ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P3_Pos                         (3UL)                     /*!< PC ODR: P3 (Bit 3)                                          */
#define PC_ODR_P3_Msk                         (0x8UL)                   /*!< PC ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P4_Pos                         (4UL)                     /*!< PC ODR: P4 (Bit 4)                                          */
#define PC_ODR_P4_Msk                         (0x10UL)                  /*!< PC ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P5_Pos                         (5UL)                     /*!< PC ODR: P5 (Bit 5)                                          */
#define PC_ODR_P5_Msk                         (0x20UL)                  /*!< PC ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P6_Pos                         (6UL)                     /*!< PC ODR: P6 (Bit 6)                                          */
#define PC_ODR_P6_Msk                         (0x40UL)                  /*!< PC ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P7_Pos                         (7UL)                     /*!< PC ODR: P7 (Bit 7)                                          */
#define PC_ODR_P7_Msk                         (0x80UL)                  /*!< PC ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P8_Pos                         (8UL)                     /*!< PC ODR: P8 (Bit 8)                                          */
#define PC_ODR_P8_Msk                         (0x100UL)                 /*!< PC ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P9_Pos                         (9UL)                     /*!< PC ODR: P9 (Bit 9)                                          */
#define PC_ODR_P9_Msk                         (0x200UL)                 /*!< PC ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P10_Pos                        (10UL)                    /*!< PC ODR: P10 (Bit 10)                                        */
#define PC_ODR_P10_Msk                        (0x400UL)                 /*!< PC ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P11_Pos                        (11UL)                    /*!< PC ODR: P11 (Bit 11)                                        */
#define PC_ODR_P11_Msk                        (0x800UL)                 /*!< PC ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P12_Pos                        (12UL)                    /*!< PC ODR: P12 (Bit 12)                                        */
#define PC_ODR_P12_Msk                        (0x1000UL)                /*!< PC ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P13_Pos                        (13UL)                    /*!< PC ODR: P13 (Bit 13)                                        */
#define PC_ODR_P13_Msk                        (0x2000UL)                /*!< PC ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P14_Pos                        (14UL)                    /*!< PC ODR: P14 (Bit 14)                                        */
#define PC_ODR_P14_Msk                        (0x4000UL)                /*!< PC ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P15_Pos                        (15UL)                    /*!< PC ODR: P15 (Bit 15)                                        */
#define PC_ODR_P15_Msk                        (0x8000UL)                /*!< PC ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_IDR  ----------------------------------- */
#define PC_IDR_P0_Pos                         (0UL)                     /*!< PC IDR: P0 (Bit 0)                                          */
#define PC_IDR_P0_Msk                         (0x1UL)                   /*!< PC IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P1_Pos                         (1UL)                     /*!< PC IDR: P1 (Bit 1)                                          */
#define PC_IDR_P1_Msk                         (0x2UL)                   /*!< PC IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P2_Pos                         (2UL)                     /*!< PC IDR: P2 (Bit 2)                                          */
#define PC_IDR_P2_Msk                         (0x4UL)                   /*!< PC IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P3_Pos                         (3UL)                     /*!< PC IDR: P3 (Bit 3)                                          */
#define PC_IDR_P3_Msk                         (0x8UL)                   /*!< PC IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P4_Pos                         (4UL)                     /*!< PC IDR: P4 (Bit 4)                                          */
#define PC_IDR_P4_Msk                         (0x10UL)                  /*!< PC IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P5_Pos                         (5UL)                     /*!< PC IDR: P5 (Bit 5)                                          */
#define PC_IDR_P5_Msk                         (0x20UL)                  /*!< PC IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P6_Pos                         (6UL)                     /*!< PC IDR: P6 (Bit 6)                                          */
#define PC_IDR_P6_Msk                         (0x40UL)                  /*!< PC IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P7_Pos                         (7UL)                     /*!< PC IDR: P7 (Bit 7)                                          */
#define PC_IDR_P7_Msk                         (0x80UL)                  /*!< PC IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P8_Pos                         (8UL)                     /*!< PC IDR: P8 (Bit 8)                                          */
#define PC_IDR_P8_Msk                         (0x100UL)                 /*!< PC IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P9_Pos                         (9UL)                     /*!< PC IDR: P9 (Bit 9)                                          */
#define PC_IDR_P9_Msk                         (0x200UL)                 /*!< PC IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P10_Pos                        (10UL)                    /*!< PC IDR: P10 (Bit 10)                                        */
#define PC_IDR_P10_Msk                        (0x400UL)                 /*!< PC IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P11_Pos                        (11UL)                    /*!< PC IDR: P11 (Bit 11)                                        */
#define PC_IDR_P11_Msk                        (0x800UL)                 /*!< PC IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P12_Pos                        (12UL)                    /*!< PC IDR: P12 (Bit 12)                                        */
#define PC_IDR_P12_Msk                        (0x1000UL)                /*!< PC IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P13_Pos                        (13UL)                    /*!< PC IDR: P13 (Bit 13)                                        */
#define PC_IDR_P13_Msk                        (0x2000UL)                /*!< PC IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P14_Pos                        (14UL)                    /*!< PC IDR: P14 (Bit 14)                                        */
#define PC_IDR_P14_Msk                        (0x4000UL)                /*!< PC IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P15_Pos                        (15UL)                    /*!< PC IDR: P15 (Bit 15)                                        */
#define PC_IDR_P15_Msk                        (0x8000UL)                /*!< PC IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_BSR  ----------------------------------- */
#define PC_BSR_P0_Pos                         (0UL)                     /*!< PC BSR: P0 (Bit 0)                                          */
#define PC_BSR_P0_Msk                         (0x1UL)                   /*!< PC BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P1_Pos                         (1UL)                     /*!< PC BSR: P1 (Bit 1)                                          */
#define PC_BSR_P1_Msk                         (0x2UL)                   /*!< PC BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P2_Pos                         (2UL)                     /*!< PC BSR: P2 (Bit 2)                                          */
#define PC_BSR_P2_Msk                         (0x4UL)                   /*!< PC BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P3_Pos                         (3UL)                     /*!< PC BSR: P3 (Bit 3)                                          */
#define PC_BSR_P3_Msk                         (0x8UL)                   /*!< PC BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P4_Pos                         (4UL)                     /*!< PC BSR: P4 (Bit 4)                                          */
#define PC_BSR_P4_Msk                         (0x10UL)                  /*!< PC BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P5_Pos                         (5UL)                     /*!< PC BSR: P5 (Bit 5)                                          */
#define PC_BSR_P5_Msk                         (0x20UL)                  /*!< PC BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P6_Pos                         (6UL)                     /*!< PC BSR: P6 (Bit 6)                                          */
#define PC_BSR_P6_Msk                         (0x40UL)                  /*!< PC BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P7_Pos                         (7UL)                     /*!< PC BSR: P7 (Bit 7)                                          */
#define PC_BSR_P7_Msk                         (0x80UL)                  /*!< PC BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P8_Pos                         (8UL)                     /*!< PC BSR: P8 (Bit 8)                                          */
#define PC_BSR_P8_Msk                         (0x100UL)                 /*!< PC BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P9_Pos                         (9UL)                     /*!< PC BSR: P9 (Bit 9)                                          */
#define PC_BSR_P9_Msk                         (0x200UL)                 /*!< PC BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P10_Pos                        (10UL)                    /*!< PC BSR: P10 (Bit 10)                                        */
#define PC_BSR_P10_Msk                        (0x400UL)                 /*!< PC BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P11_Pos                        (11UL)                    /*!< PC BSR: P11 (Bit 11)                                        */
#define PC_BSR_P11_Msk                        (0x800UL)                 /*!< PC BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P12_Pos                        (12UL)                    /*!< PC BSR: P12 (Bit 12)                                        */
#define PC_BSR_P12_Msk                        (0x1000UL)                /*!< PC BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P13_Pos                        (13UL)                    /*!< PC BSR: P13 (Bit 13)                                        */
#define PC_BSR_P13_Msk                        (0x2000UL)                /*!< PC BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P14_Pos                        (14UL)                    /*!< PC BSR: P14 (Bit 14)                                        */
#define PC_BSR_P14_Msk                        (0x4000UL)                /*!< PC BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P15_Pos                        (15UL)                    /*!< PC BSR: P15 (Bit 15)                                        */
#define PC_BSR_P15_Msk                        (0x8000UL)                /*!< PC BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_BCR  ----------------------------------- */
#define PC_BCR_P0_Pos                         (0UL)                     /*!< PC BCR: P0 (Bit 0)                                          */
#define PC_BCR_P0_Msk                         (0x1UL)                   /*!< PC BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P1_Pos                         (1UL)                     /*!< PC BCR: P1 (Bit 1)                                          */
#define PC_BCR_P1_Msk                         (0x2UL)                   /*!< PC BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P2_Pos                         (2UL)                     /*!< PC BCR: P2 (Bit 2)                                          */
#define PC_BCR_P2_Msk                         (0x4UL)                   /*!< PC BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P3_Pos                         (3UL)                     /*!< PC BCR: P3 (Bit 3)                                          */
#define PC_BCR_P3_Msk                         (0x8UL)                   /*!< PC BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P4_Pos                         (4UL)                     /*!< PC BCR: P4 (Bit 4)                                          */
#define PC_BCR_P4_Msk                         (0x10UL)                  /*!< PC BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P5_Pos                         (5UL)                     /*!< PC BCR: P5 (Bit 5)                                          */
#define PC_BCR_P5_Msk                         (0x20UL)                  /*!< PC BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P6_Pos                         (6UL)                     /*!< PC BCR: P6 (Bit 6)                                          */
#define PC_BCR_P6_Msk                         (0x40UL)                  /*!< PC BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P7_Pos                         (7UL)                     /*!< PC BCR: P7 (Bit 7)                                          */
#define PC_BCR_P7_Msk                         (0x80UL)                  /*!< PC BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P8_Pos                         (8UL)                     /*!< PC BCR: P8 (Bit 8)                                          */
#define PC_BCR_P8_Msk                         (0x100UL)                 /*!< PC BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P9_Pos                         (9UL)                     /*!< PC BCR: P9 (Bit 9)                                          */
#define PC_BCR_P9_Msk                         (0x200UL)                 /*!< PC BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P10_Pos                        (10UL)                    /*!< PC BCR: P10 (Bit 10)                                        */
#define PC_BCR_P10_Msk                        (0x400UL)                 /*!< PC BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P11_Pos                        (11UL)                    /*!< PC BCR: P11 (Bit 11)                                        */
#define PC_BCR_P11_Msk                        (0x800UL)                 /*!< PC BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P12_Pos                        (12UL)                    /*!< PC BCR: P12 (Bit 12)                                        */
#define PC_BCR_P12_Msk                        (0x1000UL)                /*!< PC BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P13_Pos                        (13UL)                    /*!< PC BCR: P13 (Bit 13)                                        */
#define PC_BCR_P13_Msk                        (0x2000UL)                /*!< PC BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P14_Pos                        (14UL)                    /*!< PC BCR: P14 (Bit 14)                                        */
#define PC_BCR_P14_Msk                        (0x4000UL)                /*!< PC BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P15_Pos                        (15UL)                    /*!< PC BCR: P15 (Bit 15)                                        */
#define PC_BCR_P15_Msk                        (0x8000UL)                /*!< PC BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PD_ODR  ----------------------------------- */
#define PD_ODR_P0_Pos                         (0UL)                     /*!< PD ODR: P0 (Bit 0)                                          */
#define PD_ODR_P0_Msk                         (0x1UL)                   /*!< PD ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P1_Pos                         (1UL)                     /*!< PD ODR: P1 (Bit 1)                                          */
#define PD_ODR_P1_Msk                         (0x2UL)                   /*!< PD ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P2_Pos                         (2UL)                     /*!< PD ODR: P2 (Bit 2)                                          */
#define PD_ODR_P2_Msk                         (0x4UL)                   /*!< PD ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P3_Pos                         (3UL)                     /*!< PD ODR: P3 (Bit 3)                                          */
#define PD_ODR_P3_Msk                         (0x8UL)                   /*!< PD ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P4_Pos                         (4UL)                     /*!< PD ODR: P4 (Bit 4)                                          */
#define PD_ODR_P4_Msk                         (0x10UL)                  /*!< PD ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P5_Pos                         (5UL)                     /*!< PD ODR: P5 (Bit 5)                                          */
#define PD_ODR_P5_Msk                         (0x20UL)                  /*!< PD ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P6_Pos                         (6UL)                     /*!< PD ODR: P6 (Bit 6)                                          */
#define PD_ODR_P6_Msk                         (0x40UL)                  /*!< PD ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P7_Pos                         (7UL)                     /*!< PD ODR: P7 (Bit 7)                                          */
#define PD_ODR_P7_Msk                         (0x80UL)                  /*!< PD ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P8_Pos                         (8UL)                     /*!< PD ODR: P8 (Bit 8)                                          */
#define PD_ODR_P8_Msk                         (0x100UL)                 /*!< PD ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P9_Pos                         (9UL)                     /*!< PD ODR: P9 (Bit 9)                                          */
#define PD_ODR_P9_Msk                         (0x200UL)                 /*!< PD ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P10_Pos                        (10UL)                    /*!< PD ODR: P10 (Bit 10)                                        */
#define PD_ODR_P10_Msk                        (0x400UL)                 /*!< PD ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P11_Pos                        (11UL)                    /*!< PD ODR: P11 (Bit 11)                                        */
#define PD_ODR_P11_Msk                        (0x800UL)                 /*!< PD ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P12_Pos                        (12UL)                    /*!< PD ODR: P12 (Bit 12)                                        */
#define PD_ODR_P12_Msk                        (0x1000UL)                /*!< PD ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P13_Pos                        (13UL)                    /*!< PD ODR: P13 (Bit 13)                                        */
#define PD_ODR_P13_Msk                        (0x2000UL)                /*!< PD ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P14_Pos                        (14UL)                    /*!< PD ODR: P14 (Bit 14)                                        */
#define PD_ODR_P14_Msk                        (0x4000UL)                /*!< PD ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P15_Pos                        (15UL)                    /*!< PD ODR: P15 (Bit 15)                                        */
#define PD_ODR_P15_Msk                        (0x8000UL)                /*!< PD ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_IDR  ----------------------------------- */
#define PD_IDR_P0_Pos                         (0UL)                     /*!< PD IDR: P0 (Bit 0)                                          */
#define PD_IDR_P0_Msk                         (0x1UL)                   /*!< PD IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P1_Pos                         (1UL)                     /*!< PD IDR: P1 (Bit 1)                                          */
#define PD_IDR_P1_Msk                         (0x2UL)                   /*!< PD IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P2_Pos                         (2UL)                     /*!< PD IDR: P2 (Bit 2)                                          */
#define PD_IDR_P2_Msk                         (0x4UL)                   /*!< PD IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P3_Pos                         (3UL)                     /*!< PD IDR: P3 (Bit 3)                                          */
#define PD_IDR_P3_Msk                         (0x8UL)                   /*!< PD IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P4_Pos                         (4UL)                     /*!< PD IDR: P4 (Bit 4)                                          */
#define PD_IDR_P4_Msk                         (0x10UL)                  /*!< PD IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P5_Pos                         (5UL)                     /*!< PD IDR: P5 (Bit 5)                                          */
#define PD_IDR_P5_Msk                         (0x20UL)                  /*!< PD IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P6_Pos                         (6UL)                     /*!< PD IDR: P6 (Bit 6)                                          */
#define PD_IDR_P6_Msk                         (0x40UL)                  /*!< PD IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P7_Pos                         (7UL)                     /*!< PD IDR: P7 (Bit 7)                                          */
#define PD_IDR_P7_Msk                         (0x80UL)                  /*!< PD IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P8_Pos                         (8UL)                     /*!< PD IDR: P8 (Bit 8)                                          */
#define PD_IDR_P8_Msk                         (0x100UL)                 /*!< PD IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P9_Pos                         (9UL)                     /*!< PD IDR: P9 (Bit 9)                                          */
#define PD_IDR_P9_Msk                         (0x200UL)                 /*!< PD IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P10_Pos                        (10UL)                    /*!< PD IDR: P10 (Bit 10)                                        */
#define PD_IDR_P10_Msk                        (0x400UL)                 /*!< PD IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P11_Pos                        (11UL)                    /*!< PD IDR: P11 (Bit 11)                                        */
#define PD_IDR_P11_Msk                        (0x800UL)                 /*!< PD IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P12_Pos                        (12UL)                    /*!< PD IDR: P12 (Bit 12)                                        */
#define PD_IDR_P12_Msk                        (0x1000UL)                /*!< PD IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P13_Pos                        (13UL)                    /*!< PD IDR: P13 (Bit 13)                                        */
#define PD_IDR_P13_Msk                        (0x2000UL)                /*!< PD IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P14_Pos                        (14UL)                    /*!< PD IDR: P14 (Bit 14)                                        */
#define PD_IDR_P14_Msk                        (0x4000UL)                /*!< PD IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P15_Pos                        (15UL)                    /*!< PD IDR: P15 (Bit 15)                                        */
#define PD_IDR_P15_Msk                        (0x8000UL)                /*!< PD IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_BSR  ----------------------------------- */
#define PD_BSR_P0_Pos                         (0UL)                     /*!< PD BSR: P0 (Bit 0)                                          */
#define PD_BSR_P0_Msk                         (0x1UL)                   /*!< PD BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P1_Pos                         (1UL)                     /*!< PD BSR: P1 (Bit 1)                                          */
#define PD_BSR_P1_Msk                         (0x2UL)                   /*!< PD BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P2_Pos                         (2UL)                     /*!< PD BSR: P2 (Bit 2)                                          */
#define PD_BSR_P2_Msk                         (0x4UL)                   /*!< PD BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P3_Pos                         (3UL)                     /*!< PD BSR: P3 (Bit 3)                                          */
#define PD_BSR_P3_Msk                         (0x8UL)                   /*!< PD BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P4_Pos                         (4UL)                     /*!< PD BSR: P4 (Bit 4)                                          */
#define PD_BSR_P4_Msk                         (0x10UL)                  /*!< PD BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P5_Pos                         (5UL)                     /*!< PD BSR: P5 (Bit 5)                                          */
#define PD_BSR_P5_Msk                         (0x20UL)                  /*!< PD BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P6_Pos                         (6UL)                     /*!< PD BSR: P6 (Bit 6)                                          */
#define PD_BSR_P6_Msk                         (0x40UL)                  /*!< PD BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P7_Pos                         (7UL)                     /*!< PD BSR: P7 (Bit 7)                                          */
#define PD_BSR_P7_Msk                         (0x80UL)                  /*!< PD BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P8_Pos                         (8UL)                     /*!< PD BSR: P8 (Bit 8)                                          */
#define PD_BSR_P8_Msk                         (0x100UL)                 /*!< PD BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P9_Pos                         (9UL)                     /*!< PD BSR: P9 (Bit 9)                                          */
#define PD_BSR_P9_Msk                         (0x200UL)                 /*!< PD BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P10_Pos                        (10UL)                    /*!< PD BSR: P10 (Bit 10)                                        */
#define PD_BSR_P10_Msk                        (0x400UL)                 /*!< PD BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P11_Pos                        (11UL)                    /*!< PD BSR: P11 (Bit 11)                                        */
#define PD_BSR_P11_Msk                        (0x800UL)                 /*!< PD BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P12_Pos                        (12UL)                    /*!< PD BSR: P12 (Bit 12)                                        */
#define PD_BSR_P12_Msk                        (0x1000UL)                /*!< PD BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P13_Pos                        (13UL)                    /*!< PD BSR: P13 (Bit 13)                                        */
#define PD_BSR_P13_Msk                        (0x2000UL)                /*!< PD BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P14_Pos                        (14UL)                    /*!< PD BSR: P14 (Bit 14)                                        */
#define PD_BSR_P14_Msk                        (0x4000UL)                /*!< PD BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P15_Pos                        (15UL)                    /*!< PD BSR: P15 (Bit 15)                                        */
#define PD_BSR_P15_Msk                        (0x8000UL)                /*!< PD BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_BCR  ----------------------------------- */
#define PD_BCR_P0_Pos                         (0UL)                     /*!< PD BCR: P0 (Bit 0)                                          */
#define PD_BCR_P0_Msk                         (0x1UL)                   /*!< PD BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P1_Pos                         (1UL)                     /*!< PD BCR: P1 (Bit 1)                                          */
#define PD_BCR_P1_Msk                         (0x2UL)                   /*!< PD BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P2_Pos                         (2UL)                     /*!< PD BCR: P2 (Bit 2)                                          */
#define PD_BCR_P2_Msk                         (0x4UL)                   /*!< PD BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P3_Pos                         (3UL)                     /*!< PD BCR: P3 (Bit 3)                                          */
#define PD_BCR_P3_Msk                         (0x8UL)                   /*!< PD BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P4_Pos                         (4UL)                     /*!< PD BCR: P4 (Bit 4)                                          */
#define PD_BCR_P4_Msk                         (0x10UL)                  /*!< PD BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P5_Pos                         (5UL)                     /*!< PD BCR: P5 (Bit 5)                                          */
#define PD_BCR_P5_Msk                         (0x20UL)                  /*!< PD BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P6_Pos                         (6UL)                     /*!< PD BCR: P6 (Bit 6)                                          */
#define PD_BCR_P6_Msk                         (0x40UL)                  /*!< PD BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P7_Pos                         (7UL)                     /*!< PD BCR: P7 (Bit 7)                                          */
#define PD_BCR_P7_Msk                         (0x80UL)                  /*!< PD BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P8_Pos                         (8UL)                     /*!< PD BCR: P8 (Bit 8)                                          */
#define PD_BCR_P8_Msk                         (0x100UL)                 /*!< PD BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P9_Pos                         (9UL)                     /*!< PD BCR: P9 (Bit 9)                                          */
#define PD_BCR_P9_Msk                         (0x200UL)                 /*!< PD BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P10_Pos                        (10UL)                    /*!< PD BCR: P10 (Bit 10)                                        */
#define PD_BCR_P10_Msk                        (0x400UL)                 /*!< PD BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P11_Pos                        (11UL)                    /*!< PD BCR: P11 (Bit 11)                                        */
#define PD_BCR_P11_Msk                        (0x800UL)                 /*!< PD BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P12_Pos                        (12UL)                    /*!< PD BCR: P12 (Bit 12)                                        */
#define PD_BCR_P12_Msk                        (0x1000UL)                /*!< PD BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P13_Pos                        (13UL)                    /*!< PD BCR: P13 (Bit 13)                                        */
#define PD_BCR_P13_Msk                        (0x2000UL)                /*!< PD BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P14_Pos                        (14UL)                    /*!< PD BCR: P14 (Bit 14)                                        */
#define PD_BCR_P14_Msk                        (0x4000UL)                /*!< PD BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P15_Pos                        (15UL)                    /*!< PD BCR: P15 (Bit 15)                                        */
#define PD_BCR_P15_Msk                        (0x8000UL)                /*!< PD BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'FM' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  FM_MR  ----------------------------------- */
#define FM_MR_ACODE_Pos                       (0UL)                     /*!< FM MR: ACODE (Bit 0)                                        */
#define FM_MR_ACODE_Msk                       (0xffUL)                  /*!< FM MR: ACODE (Bitfield-Mask: 0xff)                          */
#define FM_MR_FMOD_Pos                        (8UL)                     /*!< FM MR: FMOD (Bit 8)                                         */
#define FM_MR_FMOD_Msk                        (0x100UL)                 /*!< FM MR: FMOD (Bitfield-Mask: 0x01)                           */
#define FM_MR_FEMOD_Pos                       (9UL)                     /*!< FM MR: FEMOD (Bit 9)                                        */
#define FM_MR_FEMOD_Msk                       (0x200UL)                 /*!< FM MR: FEMOD (Bitfield-Mask: 0x01)                          */
#define FM_MR_TRM_Pos                         (16UL)                    /*!< FM MR: TRM (Bit 16)                                         */
#define FM_MR_TRM_Msk                         (0x10000UL)               /*!< FM MR: TRM (Bitfield-Mask: 0x01)                            */
#define FM_MR_TRMEN_Pos                       (17UL)                    /*!< FM MR: TRMEN (Bit 17)                                       */
#define FM_MR_TRMEN_Msk                       (0x20000UL)               /*!< FM MR: TRMEN (Bitfield-Mask: 0x01)                          */
#define FM_MR_PROTEN_Pos                      (21UL)                    /*!< FM MR: PROTEN (Bit 21)                                      */
#define FM_MR_PROTEN_Msk                      (0x200000UL)              /*!< FM MR: PROTEN (Bitfield-Mask: 0x01)                         */
#define FM_MR_AMBAEN_Pos                      (22UL)                    /*!< FM MR: AMBAEN (Bit 22)                                      */
#define FM_MR_AMBAEN_Msk                      (0x400000UL)              /*!< FM MR: AMBAEN (Bitfield-Mask: 0x01)                         */
#define FM_MR_TESTEN_Pos                      (23UL)                    /*!< FM MR: TESTEN (Bit 23)                                      */
#define FM_MR_TESTEN_Msk                      (0x800000UL)              /*!< FM MR: TESTEN (Bitfield-Mask: 0x01)                         */
#define FM_MR_IDLE_Pos                        (24UL)                    /*!< FM MR: IDLE (Bit 24)                                        */
#define FM_MR_IDLE_Msk                        (0x1000000UL)             /*!< FM MR: IDLE (Bitfield-Mask: 0x01)                           */

/* ------------------------------------  FM_CR  ----------------------------------- */
#define FM_CR_PBR_Pos                         (0UL)                     /*!< FM CR: PBR (Bit 0)                                          */
#define FM_CR_PBR_Msk                         (0x1UL)                   /*!< FM CR: PBR (Bitfield-Mask: 0x01)                            */
#define FM_CR_ERS_Pos                         (1UL)                     /*!< FM CR: ERS (Bit 1)                                          */
#define FM_CR_ERS_Msk                         (0x2UL)                   /*!< FM CR: ERS (Bitfield-Mask: 0x01)                            */
#define FM_CR_PGM_Pos                         (2UL)                     /*!< FM CR: PGM (Bit 2)                                          */
#define FM_CR_PGM_Msk                         (0x4UL)                   /*!< FM CR: PGM (Bitfield-Mask: 0x01)                            */
#define FM_CR_PBLD_Pos                        (3UL)                     /*!< FM CR: PBLD (Bit 3)                                         */
#define FM_CR_PBLD_Msk                        (0x8UL)                   /*!< FM CR: PBLD (Bitfield-Mask: 0x01)                           */
#define FM_CR_WE_Pos                          (4UL)                     /*!< FM CR: WE (Bit 4)                                           */
#define FM_CR_WE_Msk                          (0x10UL)                  /*!< FM CR: WE (Bitfield-Mask: 0x01)                             */
#define FM_CR_PMODE_Pos                       (5UL)                     /*!< FM CR: PMODE (Bit 5)                                        */
#define FM_CR_PMODE_Msk                       (0x20UL)                  /*!< FM CR: PMODE (Bitfield-Mask: 0x01)                          */
#define FM_CR_PPGM_Pos                        (6UL)                     /*!< FM CR: PPGM (Bit 6)                                         */
#define FM_CR_PPGM_Msk                        (0x40UL)                  /*!< FM CR: PPGM (Bitfield-Mask: 0x01)                           */
#define FM_CR_SUBACT_Pos                      (7UL)                     /*!< FM CR: SUBACT (Bit 7)                                       */
#define FM_CR_SUBACT_Msk                      (0x80UL)                  /*!< FM CR: SUBACT (Bitfield-Mask: 0x01)                         */
#define FM_CR_AEF_Pos                         (8UL)                     /*!< FM CR: AEF (Bit 8)                                          */
#define FM_CR_AEF_Msk                         (0x100UL)                 /*!< FM CR: AEF (Bitfield-Mask: 0x01)                            */
#define FM_CR_AEE_Pos                         (9UL)                     /*!< FM CR: AEE (Bit 9)                                          */
#define FM_CR_AEE_Msk                         (0x200UL)                 /*!< FM CR: AEE (Bitfield-Mask: 0x01)                            */
#define FM_CR_OTPE_Pos                        (10UL)                    /*!< FM CR: OTPE (Bit 10)                                        */
#define FM_CR_OTPE_Msk                        (0x400UL)                 /*!< FM CR: OTPE (Bitfield-Mask: 0x01)                           */
#define FM_CR_DMYE_Pos                        (11UL)                    /*!< FM CR: DMYE (Bit 11)                                        */
#define FM_CR_DMYE_Msk                        (0x800UL)                 /*!< FM CR: DMYE (Bitfield-Mask: 0x01)                           */
#define FM_CR_BLKE_Pos                        (12UL)                    /*!< FM CR: BLKE (Bit 12)                                        */
#define FM_CR_BLKE_Msk                        (0x1000UL)                /*!< FM CR: BLKE (Bitfield-Mask: 0x01)                           */
#define FM_CR_PVER_Pos                        (13UL)                    /*!< FM CR: PVER (Bit 13)                                        */
#define FM_CR_PVER_Msk                        (0x2000UL)                /*!< FM CR: PVER (Bitfield-Mask: 0x01)                           */
#define FM_CR_EVER_Pos                        (14UL)                    /*!< FM CR: EVER (Bit 14)                                        */
#define FM_CR_EVER_Msk                        (0x4000UL)                /*!< FM CR: EVER (Bitfield-Mask: 0x01)                           */
#define FM_CR_VPPOUT_Pos                      (15UL)                    /*!< FM CR: VPPOUT (Bit 15)                                      */
#define FM_CR_VPPOUT_Msk                      (0x8000UL)                /*!< FM CR: VPPOUT (Bitfield-Mask: 0x01)                         */
#define FM_CR_TEST_Pos                        (16UL)                    /*!< FM CR: TEST (Bit 16)                                        */
#define FM_CR_TEST_Msk                        (0x30000UL)               /*!< FM CR: TEST (Bitfield-Mask: 0x03)                           */
#define FM_CR_TMREN_Pos                       (20UL)                    /*!< FM CR: TMREN (Bit 20)                                       */
#define FM_CR_TMREN_Msk                       (0x100000UL)              /*!< FM CR: TMREN (Bitfield-Mask: 0x01)                          */
#define FM_CR_OTP0_Pos                        (28UL)                    /*!< FM CR: OTP0 (Bit 28)                                        */
#define FM_CR_OTP0_Msk                        (0x10000000UL)            /*!< FM CR: OTP0 (Bitfield-Mask: 0x01)                           */
#define FM_CR_OTP1_Pos                        (29UL)                    /*!< FM CR: OTP1 (Bit 29)                                        */
#define FM_CR_OTP1_Msk                        (0x20000000UL)            /*!< FM CR: OTP1 (Bitfield-Mask: 0x01)                           */
#define FM_CR_OTP2_Pos                        (30UL)                    /*!< FM CR: OTP2 (Bit 30)                                        */
#define FM_CR_OTP2_Msk                        (0x40000000UL)            /*!< FM CR: OTP2 (Bitfield-Mask: 0x01)                           */
#define FM_CR_OTP3_Pos                        (31UL)                    /*!< FM CR: OTP3 (Bit 31)                                        */
#define FM_CR_OTP3_Msk                        (0x80000000UL)            /*!< FM CR: OTP3 (Bitfield-Mask: 0x01)                           */

/* ------------------------------------  FM_AR  ----------------------------------- */
#define FM_AR_FADDR_Pos                       (0UL)                     /*!< FM AR: FADDR (Bit 0)                                        */
#define FM_AR_FADDR_Msk                       (0x7fffUL)                /*!< FM AR: FADDR (Bitfield-Mask: 0x7fff)                        */

/* ------------------------------------  FM_DR  ----------------------------------- */
#define FM_DR_FDATA_Pos                       (0UL)                     /*!< FM DR: FDATA (Bit 0)                                        */
#define FM_DR_FDATA_Msk                       (0xffffffffUL)            /*!< FM DR: FDATA (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  FM_TMR  ----------------------------------- */
#define FM_TMR_TMR_Pos                        (0UL)                     /*!< FM TMR: TMR (Bit 0)                                         */
#define FM_TMR_TMR_Msk                        (0x3ffffUL)               /*!< FM TMR: TMR (Bitfield-Mask: 0x3ffff)                        */

/* ----------------------------------  FM_DIRTY  ---------------------------------- */
#define FM_DIRTY_FDIRTY_Pos                   (0UL)                     /*!< FM DIRTY: FDIRTY (Bit 0)                                    */
#define FM_DIRTY_FDIRTY_Msk                   (0xffffffffUL)            /*!< FM DIRTY: FDIRTY (Bitfield-Mask: 0xffffffff)                */

/* -----------------------------------  FM_TICK  ---------------------------------- */
#define FM_TICK_FTICK_Pos                     (0UL)                     /*!< FM TICK: FTICK (Bit 0)                                      */
#define FM_TICK_FTICK_Msk                     (0xffffffffUL)            /*!< FM TICK: FTICK (Bitfield-Mask: 0xffffffff)                  */

/* -----------------------------------  FM_CRC  ----------------------------------- */
#define FM_CRC_CRC_Pos                        (0UL)                     /*!< FM CRC: CRC (Bit 0)                                         */
#define FM_CRC_CRC_Msk                        (0xffffUL)                /*!< FM CRC: CRC (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  FM_CFG  ----------------------------------- */
#define FM_CFG_CRCEN_Pos                      (6UL)                     /*!< FM CFG: CRCEN (Bit 6)                                       */
#define FM_CFG_CRCEN_Msk                      (0x40UL)                  /*!< FM CFG: CRCEN (Bitfield-Mask: 0x01)                         */
#define FM_CFG_CRCINIT_Pos                    (7UL)                     /*!< FM CFG: CRCINIT (Bit 7)                                     */
#define FM_CFG_CRCINIT_Msk                    (0x80UL)                  /*!< FM CFG: CRCINIT (Bitfield-Mask: 0x01)                       */
#define FM_CFG_WAIT_Pos                       (8UL)                     /*!< FM CFG: WAIT (Bit 8)                                        */
#define FM_CFG_WAIT_Msk                       (0x300UL)                 /*!< FM CFG: WAIT (Bitfield-Mask: 0x03)                          */
#define FM_CFG_TESTCLK_Pos                    (12UL)                    /*!< FM CFG: TESTCLK (Bit 12)                                    */
#define FM_CFG_TESTCLK_Msk                    (0x1000UL)                /*!< FM CFG: TESTCLK (Bitfield-Mask: 0x01)                       */
#define FM_CFG_HRESPD_Pos                     (15UL)                    /*!< FM CFG: HRESPD (Bit 15)                                     */
#define FM_CFG_HRESPD_Msk                     (0x8000UL)                /*!< FM CFG: HRESPD (Bitfield-Mask: 0x01)                        */
#define FM_CFG_WRITEKEY_Pos                   (16UL)                    /*!< FM CFG: WRITEKEY (Bit 16)                                   */
#define FM_CFG_WRITEKEY_Msk                   (0xffff0000UL)            /*!< FM CFG: WRITEKEY (Bitfield-Mask: 0xffff)                    */

/* -----------------------------------  FM_HWID  ---------------------------------- */
#define FM_HWID_FHWID_Pos                     (0UL)                     /*!< FM HWID: FHWID (Bit 0)                                      */
#define FM_HWID_FHWID_Msk                     (0xffffffffUL)            /*!< FM HWID: FHWID (Bitfield-Mask: 0xffffffff)                  */

/* ----------------------------------  FM_BOOTCR  --------------------------------- */
#define FM_BOOTCR_BOOTROM_Pos                 (0UL)                     /*!< FM BOOTCR: BOOTROM (Bit 0)                                  */
#define FM_BOOTCR_BOOTROM_Msk                 (0x1UL)                   /*!< FM BOOTCR: BOOTROM (Bitfield-Mask: 0x01)                    */
#define FM_BOOTCR_SREMAP_Pos                  (4UL)                     /*!< FM BOOTCR: SREMAP (Bit 4)                                   */
#define FM_BOOTCR_SREMAP_Msk                  (0x10UL)                  /*!< FM BOOTCR: SREMAP (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  FM_WPROT  ---------------------------------- */
#define FM_WPROT_WP_Pos                       (0UL)                     /*!< FM WPROT: WP (Bit 0)                                        */
#define FM_WPROT_WP_Msk                       (0xffffUL)                /*!< FM WPROT: WP (Bitfield-Mask: 0xffff)                        */
#define FM_WPROT_WPEN_Pos                     (24UL)                    /*!< FM WPROT: WPEN (Bit 24)                                     */
#define FM_WPROT_WPEN_Msk                     (0xff000000UL)            /*!< FM WPROT: WPEN (Bitfield-Mask: 0xff)                        */

/* ----------------------------------  FM_RPROT  ---------------------------------- */
#define FM_RPROT_RPEN_Pos                     (0UL)                     /*!< FM RPROT: RPEN (Bit 0)                                      */
#define FM_RPROT_RPEN_Msk                     (0xffUL)                  /*!< FM RPROT: RPEN (Bitfield-Mask: 0xff)                        */
#define FM_RPROT_JTAGDIS_Pos                  (29UL)                    /*!< FM RPROT: JTAGDIS (Bit 29)                                  */
#define FM_RPROT_JTAGDIS_Msk                  (0x20000000UL)            /*!< FM RPROT: JTAGDIS (Bitfield-Mask: 0x01)                     */
#define FM_RPROT_LOCK1_Pos                    (30UL)                    /*!< FM RPROT: LOCK1 (Bit 30)                                    */
#define FM_RPROT_LOCK1_Msk                    (0x40000000UL)            /*!< FM RPROT: LOCK1 (Bitfield-Mask: 0x01)                       */
#define FM_RPROT_LOCK2_Pos                    (31UL)                    /*!< FM RPROT: LOCK2 (Bit 31)                                    */
#define FM_RPROT_LOCK2_Msk                    (0x80000000UL)            /*!< FM RPROT: LOCK2 (Bitfield-Mask: 0x01)                       */


/* ================================================================================ */
/* ================          struct 'WDT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  WDT_CON  ---------------------------------- */
#define WDT_CON_WPRS_Pos                      (0UL)                     /*!< WDT CON: WPRS (Bit 0)                                       */
#define WDT_CON_WPRS_Msk                      (0x7UL)                   /*!< WDT CON: WPRS (Bitfield-Mask: 0x07)                         */
#define WDT_CON_CKSEL_Pos                     (3UL)                     /*!< WDT CON: CKSEL (Bit 3)                                      */
#define WDT_CON_CKSEL_Msk                     (0x8UL)                   /*!< WDT CON: CKSEL (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTEN_Pos                     (4UL)                     /*!< WDT CON: WDTEN (Bit 4)                                      */
#define WDT_CON_WDTEN_Msk                     (0x10UL)                  /*!< WDT CON: WDTEN (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTRE_Pos                     (6UL)                     /*!< WDT CON: WDTRE (Bit 6)                                      */
#define WDT_CON_WDTRE_Msk                     (0x40UL)                  /*!< WDT CON: WDTRE (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTIE_Pos                     (7UL)                     /*!< WDT CON: WDTIE (Bit 7)                                      */
#define WDT_CON_WDTIE_Msk                     (0x80UL)                  /*!< WDT CON: WDTIE (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WUF_Pos                       (8UL)                     /*!< WDT CON: WUF (Bit 8)                                        */
#define WDT_CON_WUF_Msk                       (0x100UL)                 /*!< WDT CON: WUF (Bitfield-Mask: 0x01)                          */
#define WDT_CON_WDBG_Pos                      (15UL)                    /*!< WDT CON: WDBG (Bit 15)                                      */
#define WDT_CON_WDBG_Msk                      (0x8000UL)                /*!< WDT CON: WDBG (Bitfield-Mask: 0x01)                         */


/* ================================================================================ */
/* ================           struct 'T0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T0_CR1  ----------------------------------- */
#define T0_CR1_MODE_Pos                       (0UL)                     /*!< T0 CR1: MODE (Bit 0)                                        */
#define T0_CR1_MODE_Msk                       (0x3UL)                   /*!< T0 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T0_CR1_CLRMD_Pos                      (2UL)                     /*!< T0 CR1: CLRMD (Bit 2)                                       */
#define T0_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T0 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T0_CR1_CKSEL_Pos                      (4UL)                     /*!< T0 CR1: CKSEL (Bit 4)                                       */
#define T0_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T0 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T0_CR1_STARTLVL_Pos                   (7UL)                     /*!< T0 CR1: STARTLVL (Bit 7)                                    */
#define T0_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T0 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T0_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T0 CR1: ADCTRGEN (Bit 8)                                    */
#define T0_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T0 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T0_CR1_OUTPOL_Pos                     (12UL)                    /*!< T0 CR1: OUTPOL (Bit 12)                                     */
#define T0_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T0 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T0_CR1_UAO_Pos                        (13UL)                    /*!< T0 CR1: UAO (Bit 13)                                        */
#define T0_CR1_UAO_Msk                        (0x2000UL)                /*!< T0 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T0_CR1_CSYNC_Pos                      (14UL)                    /*!< T0 CR1: CSYNC (Bit 14)                                      */
#define T0_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T0 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T0_CR1_SSYNC_Pos                      (15UL)                    /*!< T0 CR1: SSYNC (Bit 15)                                      */
#define T0_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T0 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T0_CR2  ----------------------------------- */
#define T0_CR2_TEN_Pos                        (0UL)                     /*!< T0 CR2: TEN (Bit 0)                                         */
#define T0_CR2_TEN_Msk                        (0x1UL)                   /*!< T0 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T0_CR2_TCLR_Pos                       (1UL)                     /*!< T0 CR2: TCLR (Bit 1)                                        */
#define T0_CR2_TCLR_Msk                       (0x2UL)                   /*!< T0 CR2: TCLR (Bitfield-Mask: 0x01)                          */
#define T0_CR2_PWMO_Pos                       (7UL)                     /*!< T0 CR2: PWMO (Bit 7)                                        */
#define T0_CR2_PWMO_Msk                       (0x80UL)                  /*!< T0 CR2: PWMO (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T0_PRS  ----------------------------------- */
#define T0_PRS_PRS_Pos                        (0UL)                     /*!< T0 PRS: PRS (Bit 0)                                         */
#define T0_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T0 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T0_GRA  ----------------------------------- */
#define T0_GRA_GRA_Pos                        (0UL)                     /*!< T0 GRA: GRA (Bit 0)                                         */
#define T0_GRA_GRA_Msk                        (0xffffUL)                /*!< T0 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T0_GRB  ----------------------------------- */
#define T0_GRB_GRB_Pos                        (0UL)                     /*!< T0 GRB: GRB (Bit 0)                                         */
#define T0_GRB_GRB_Msk                        (0xffffUL)                /*!< T0 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T0_CNT  ----------------------------------- */
#define T0_CNT_CNT_Pos                        (0UL)                     /*!< T0 CNT: CNT (Bit 0)                                         */
#define T0_CNT_CNT_Msk                        (0xffffUL)                /*!< T0 CNT: CNT (Bitfield-Mask: 0xffff)                         */
#define T0_CNT_PRECLR_Pos                     (16UL)                    /*!< T0 CNT: PRECLR (Bit 16)                                     */
#define T0_CNT_PRECLR_Msk                     (0xffff0000UL)            /*!< T0 CNT: PRECLR (Bitfield-Mask: 0xffff)                      */

/* ------------------------------------  T0_SR  ----------------------------------- */
#define T0_SR_OVF_Pos                         (0UL)                     /*!< T0 SR: OVF (Bit 0)                                          */
#define T0_SR_OVF_Msk                         (0x1UL)                   /*!< T0 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T0_SR_MFB_Pos                         (1UL)                     /*!< T0 SR: MFB (Bit 1)                                          */
#define T0_SR_MFB_Msk                         (0x2UL)                   /*!< T0 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T0_SR_MFA_Pos                         (2UL)                     /*!< T0 SR: MFA (Bit 2)                                          */
#define T0_SR_MFA_Msk                         (0x4UL)                   /*!< T0 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T0_IER  ----------------------------------- */
#define T0_IER_OVIE_Pos                       (0UL)                     /*!< T0 IER: OVIE (Bit 0)                                        */
#define T0_IER_OVIE_Msk                       (0x1UL)                   /*!< T0 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_MBIE_Pos                       (1UL)                     /*!< T0 IER: MBIE (Bit 1)                                        */
#define T0_IER_MBIE_Msk                       (0x2UL)                   /*!< T0 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_MAIE_Pos                       (2UL)                     /*!< T0 IER: MAIE (Bit 2)                                        */
#define T0_IER_MAIE_Msk                       (0x4UL)                   /*!< T0 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T1_CR1  ----------------------------------- */
#define T1_CR1_MODE_Pos                       (0UL)                     /*!< T1 CR1: MODE (Bit 0)                                        */
#define T1_CR1_MODE_Msk                       (0x3UL)                   /*!< T1 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T1_CR1_CLRMD_Pos                      (2UL)                     /*!< T1 CR1: CLRMD (Bit 2)                                       */
#define T1_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T1 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T1_CR1_CKSEL_Pos                      (4UL)                     /*!< T1 CR1: CKSEL (Bit 4)                                       */
#define T1_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T1 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T1_CR1_STARTLVL_Pos                   (7UL)                     /*!< T1 CR1: STARTLVL (Bit 7)                                    */
#define T1_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T1 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T1_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T1 CR1: ADCTRGEN (Bit 8)                                    */
#define T1_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T1 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T1_CR1_OUTPOL_Pos                     (12UL)                    /*!< T1 CR1: OUTPOL (Bit 12)                                     */
#define T1_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T1 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T1_CR1_UAO_Pos                        (13UL)                    /*!< T1 CR1: UAO (Bit 13)                                        */
#define T1_CR1_UAO_Msk                        (0x2000UL)                /*!< T1 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T1_CR1_CSYNC_Pos                      (14UL)                    /*!< T1 CR1: CSYNC (Bit 14)                                      */
#define T1_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T1 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T1_CR1_SSYNC_Pos                      (15UL)                    /*!< T1 CR1: SSYNC (Bit 15)                                      */
#define T1_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T1 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T1_CR2  ----------------------------------- */
#define T1_CR2_TEN_Pos                        (0UL)                     /*!< T1 CR2: TEN (Bit 0)                                         */
#define T1_CR2_TEN_Msk                        (0x1UL)                   /*!< T1 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T1_CR2_TCLR_Pos                       (1UL)                     /*!< T1 CR2: TCLR (Bit 1)                                        */
#define T1_CR2_TCLR_Msk                       (0x2UL)                   /*!< T1 CR2: TCLR (Bitfield-Mask: 0x01)                          */
#define T1_CR2_PWMO_Pos                       (7UL)                     /*!< T1 CR2: PWMO (Bit 7)                                        */
#define T1_CR2_PWMO_Msk                       (0x80UL)                  /*!< T1 CR2: PWMO (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T1_PRS  ----------------------------------- */
#define T1_PRS_PRS_Pos                        (0UL)                     /*!< T1 PRS: PRS (Bit 0)                                         */
#define T1_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T1 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T1_GRA  ----------------------------------- */
#define T1_GRA_GRA_Pos                        (0UL)                     /*!< T1 GRA: GRA (Bit 0)                                         */
#define T1_GRA_GRA_Msk                        (0xffffUL)                /*!< T1 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T1_GRB  ----------------------------------- */
#define T1_GRB_GRB_Pos                        (0UL)                     /*!< T1 GRB: GRB (Bit 0)                                         */
#define T1_GRB_GRB_Msk                        (0xffffUL)                /*!< T1 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T1_CNT  ----------------------------------- */
#define T1_CNT_CNT_Pos                        (0UL)                     /*!< T1 CNT: CNT (Bit 0)                                         */
#define T1_CNT_CNT_Msk                        (0xffffUL)                /*!< T1 CNT: CNT (Bitfield-Mask: 0xffff)                         */
#define T1_CNT_PRECLR_Pos                     (16UL)                    /*!< T1 CNT: PRECLR (Bit 16)                                     */
#define T1_CNT_PRECLR_Msk                     (0xffff0000UL)            /*!< T1 CNT: PRECLR (Bitfield-Mask: 0xffff)                      */

/* ------------------------------------  T1_SR  ----------------------------------- */
#define T1_SR_OVF_Pos                         (0UL)                     /*!< T1 SR: OVF (Bit 0)                                          */
#define T1_SR_OVF_Msk                         (0x1UL)                   /*!< T1 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T1_SR_MFB_Pos                         (1UL)                     /*!< T1 SR: MFB (Bit 1)                                          */
#define T1_SR_MFB_Msk                         (0x2UL)                   /*!< T1 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T1_SR_MFA_Pos                         (2UL)                     /*!< T1 SR: MFA (Bit 2)                                          */
#define T1_SR_MFA_Msk                         (0x4UL)                   /*!< T1 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T1_IER  ----------------------------------- */
#define T1_IER_OVIE_Pos                       (0UL)                     /*!< T1 IER: OVIE (Bit 0)                                        */
#define T1_IER_OVIE_Msk                       (0x1UL)                   /*!< T1 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_MBIE_Pos                       (1UL)                     /*!< T1 IER: MBIE (Bit 1)                                        */
#define T1_IER_MBIE_Msk                       (0x2UL)                   /*!< T1 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_MAIE_Pos                       (2UL)                     /*!< T1 IER: MAIE (Bit 2)                                        */
#define T1_IER_MAIE_Msk                       (0x4UL)                   /*!< T1 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T2_CR1  ----------------------------------- */
#define T2_CR1_MODE_Pos                       (0UL)                     /*!< T2 CR1: MODE (Bit 0)                                        */
#define T2_CR1_MODE_Msk                       (0x3UL)                   /*!< T2 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T2_CR1_CLRMD_Pos                      (2UL)                     /*!< T2 CR1: CLRMD (Bit 2)                                       */
#define T2_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T2 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T2_CR1_CKSEL_Pos                      (4UL)                     /*!< T2 CR1: CKSEL (Bit 4)                                       */
#define T2_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T2 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T2_CR1_STARTLVL_Pos                   (7UL)                     /*!< T2 CR1: STARTLVL (Bit 7)                                    */
#define T2_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T2 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T2_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T2 CR1: ADCTRGEN (Bit 8)                                    */
#define T2_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T2 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T2_CR1_OUTPOL_Pos                     (12UL)                    /*!< T2 CR1: OUTPOL (Bit 12)                                     */
#define T2_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T2 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T2_CR1_UAO_Pos                        (13UL)                    /*!< T2 CR1: UAO (Bit 13)                                        */
#define T2_CR1_UAO_Msk                        (0x2000UL)                /*!< T2 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T2_CR1_CSYNC_Pos                      (14UL)                    /*!< T2 CR1: CSYNC (Bit 14)                                      */
#define T2_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T2 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T2_CR1_SSYNC_Pos                      (15UL)                    /*!< T2 CR1: SSYNC (Bit 15)                                      */
#define T2_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T2 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T2_CR2  ----------------------------------- */
#define T2_CR2_TEN_Pos                        (0UL)                     /*!< T2 CR2: TEN (Bit 0)                                         */
#define T2_CR2_TEN_Msk                        (0x1UL)                   /*!< T2 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T2_CR2_TCLR_Pos                       (1UL)                     /*!< T2 CR2: TCLR (Bit 1)                                        */
#define T2_CR2_TCLR_Msk                       (0x2UL)                   /*!< T2 CR2: TCLR (Bitfield-Mask: 0x01)                          */
#define T2_CR2_PWMO_Pos                       (7UL)                     /*!< T2 CR2: PWMO (Bit 7)                                        */
#define T2_CR2_PWMO_Msk                       (0x80UL)                  /*!< T2 CR2: PWMO (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T2_PRS  ----------------------------------- */
#define T2_PRS_PRS_Pos                        (0UL)                     /*!< T2 PRS: PRS (Bit 0)                                         */
#define T2_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T2 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T2_GRA  ----------------------------------- */
#define T2_GRA_GRA_Pos                        (0UL)                     /*!< T2 GRA: GRA (Bit 0)                                         */
#define T2_GRA_GRA_Msk                        (0xffffUL)                /*!< T2 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T2_GRB  ----------------------------------- */
#define T2_GRB_GRB_Pos                        (0UL)                     /*!< T2 GRB: GRB (Bit 0)                                         */
#define T2_GRB_GRB_Msk                        (0xffffUL)                /*!< T2 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T2_CNT  ----------------------------------- */
#define T2_CNT_CNT_Pos                        (0UL)                     /*!< T2 CNT: CNT (Bit 0)                                         */
#define T2_CNT_CNT_Msk                        (0xffffUL)                /*!< T2 CNT: CNT (Bitfield-Mask: 0xffff)                         */
#define T2_CNT_PRECLR_Pos                     (16UL)                    /*!< T2 CNT: PRECLR (Bit 16)                                     */
#define T2_CNT_PRECLR_Msk                     (0xffff0000UL)            /*!< T2 CNT: PRECLR (Bitfield-Mask: 0xffff)                      */

/* ------------------------------------  T2_SR  ----------------------------------- */
#define T2_SR_OVF_Pos                         (0UL)                     /*!< T2 SR: OVF (Bit 0)                                          */
#define T2_SR_OVF_Msk                         (0x1UL)                   /*!< T2 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T2_SR_MFB_Pos                         (1UL)                     /*!< T2 SR: MFB (Bit 1)                                          */
#define T2_SR_MFB_Msk                         (0x2UL)                   /*!< T2 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T2_SR_MFA_Pos                         (2UL)                     /*!< T2 SR: MFA (Bit 2)                                          */
#define T2_SR_MFA_Msk                         (0x4UL)                   /*!< T2 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T2_IER  ----------------------------------- */
#define T2_IER_OVIE_Pos                       (0UL)                     /*!< T2 IER: OVIE (Bit 0)                                        */
#define T2_IER_OVIE_Msk                       (0x1UL)                   /*!< T2 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_MBIE_Pos                       (1UL)                     /*!< T2 IER: MBIE (Bit 1)                                        */
#define T2_IER_MBIE_Msk                       (0x2UL)                   /*!< T2 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_MAIE_Pos                       (2UL)                     /*!< T2 IER: MAIE (Bit 2)                                        */
#define T2_IER_MAIE_Msk                       (0x4UL)                   /*!< T2 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T3_CR1  ----------------------------------- */
#define T3_CR1_MODE_Pos                       (0UL)                     /*!< T3 CR1: MODE (Bit 0)                                        */
#define T3_CR1_MODE_Msk                       (0x3UL)                   /*!< T3 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T3_CR1_CLRMD_Pos                      (2UL)                     /*!< T3 CR1: CLRMD (Bit 2)                                       */
#define T3_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T3 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T3_CR1_CKSEL_Pos                      (4UL)                     /*!< T3 CR1: CKSEL (Bit 4)                                       */
#define T3_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T3 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T3_CR1_STARTLVL_Pos                   (7UL)                     /*!< T3 CR1: STARTLVL (Bit 7)                                    */
#define T3_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T3 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T3_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T3 CR1: ADCTRGEN (Bit 8)                                    */
#define T3_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T3 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T3_CR1_OUTPOL_Pos                     (12UL)                    /*!< T3 CR1: OUTPOL (Bit 12)                                     */
#define T3_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T3 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T3_CR1_UAO_Pos                        (13UL)                    /*!< T3 CR1: UAO (Bit 13)                                        */
#define T3_CR1_UAO_Msk                        (0x2000UL)                /*!< T3 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T3_CR1_CSYNC_Pos                      (14UL)                    /*!< T3 CR1: CSYNC (Bit 14)                                      */
#define T3_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T3 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T3_CR1_SSYNC_Pos                      (15UL)                    /*!< T3 CR1: SSYNC (Bit 15)                                      */
#define T3_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T3 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T3_CR2  ----------------------------------- */
#define T3_CR2_TEN_Pos                        (0UL)                     /*!< T3 CR2: TEN (Bit 0)                                         */
#define T3_CR2_TEN_Msk                        (0x1UL)                   /*!< T3 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T3_CR2_TCLR_Pos                       (1UL)                     /*!< T3 CR2: TCLR (Bit 1)                                        */
#define T3_CR2_TCLR_Msk                       (0x2UL)                   /*!< T3 CR2: TCLR (Bitfield-Mask: 0x01)                          */
#define T3_CR2_PWMO_Pos                       (7UL)                     /*!< T3 CR2: PWMO (Bit 7)                                        */
#define T3_CR2_PWMO_Msk                       (0x80UL)                  /*!< T3 CR2: PWMO (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T3_PRS  ----------------------------------- */
#define T3_PRS_PRS_Pos                        (0UL)                     /*!< T3 PRS: PRS (Bit 0)                                         */
#define T3_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T3 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T3_GRA  ----------------------------------- */
#define T3_GRA_GRA_Pos                        (0UL)                     /*!< T3 GRA: GRA (Bit 0)                                         */
#define T3_GRA_GRA_Msk                        (0xffffUL)                /*!< T3 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T3_GRB  ----------------------------------- */
#define T3_GRB_GRB_Pos                        (0UL)                     /*!< T3 GRB: GRB (Bit 0)                                         */
#define T3_GRB_GRB_Msk                        (0xffffUL)                /*!< T3 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T3_CNT  ----------------------------------- */
#define T3_CNT_CNT_Pos                        (0UL)                     /*!< T3 CNT: CNT (Bit 0)                                         */
#define T3_CNT_CNT_Msk                        (0xffffUL)                /*!< T3 CNT: CNT (Bitfield-Mask: 0xffff)                         */
#define T3_CNT_PRECLR_Pos                     (16UL)                    /*!< T3 CNT: PRECLR (Bit 16)                                     */
#define T3_CNT_PRECLR_Msk                     (0xffff0000UL)            /*!< T3 CNT: PRECLR (Bitfield-Mask: 0xffff)                      */

/* ------------------------------------  T3_SR  ----------------------------------- */
#define T3_SR_OVF_Pos                         (0UL)                     /*!< T3 SR: OVF (Bit 0)                                          */
#define T3_SR_OVF_Msk                         (0x1UL)                   /*!< T3 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T3_SR_MFB_Pos                         (1UL)                     /*!< T3 SR: MFB (Bit 1)                                          */
#define T3_SR_MFB_Msk                         (0x2UL)                   /*!< T3 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T3_SR_MFA_Pos                         (2UL)                     /*!< T3 SR: MFA (Bit 2)                                          */
#define T3_SR_MFA_Msk                         (0x4UL)                   /*!< T3 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T3_IER  ----------------------------------- */
#define T3_IER_OVIE_Pos                       (0UL)                     /*!< T3 IER: OVIE (Bit 0)                                        */
#define T3_IER_OVIE_Msk                       (0x1UL)                   /*!< T3 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_MBIE_Pos                       (1UL)                     /*!< T3 IER: MBIE (Bit 1)                                        */
#define T3_IER_MBIE_Msk                       (0x2UL)                   /*!< T3 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_MAIE_Pos                       (2UL)                     /*!< T3 IER: MAIE (Bit 2)                                        */
#define T3_IER_MAIE_Msk                       (0x4UL)                   /*!< T3 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================          struct 'FRT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  FRT_MR  ----------------------------------- */
#define FRT_MR_MIE_Pos                        (0UL)                     /*!< FRT MR: MIE (Bit 0)                                         */
#define FRT_MR_MIE_Msk                        (0x1UL)                   /*!< FRT MR: MIE (Bitfield-Mask: 0x01)                           */
#define FRT_MR_OVIE_Pos                       (1UL)                     /*!< FRT MR: OVIE (Bit 1)                                        */
#define FRT_MR_OVIE_Msk                       (0x2UL)                   /*!< FRT MR: OVIE (Bitfield-Mask: 0x01)                          */
#define FRT_MR_MCD_Pos                        (2UL)                     /*!< FRT MR: MCD (Bit 2)                                         */
#define FRT_MR_MCD_Msk                        (0x4UL)                   /*!< FRT MR: MCD (Bitfield-Mask: 0x01)                           */
#define FRT_MR_CLKSEL_Pos                     (4UL)                     /*!< FRT MR: CLKSEL (Bit 4)                                      */
#define FRT_MR_CLKSEL_Msk                     (0x30UL)                  /*!< FRT MR: CLKSEL (Bitfield-Mask: 0x03)                        */

/* -----------------------------------  FRT_CR  ----------------------------------- */
#define FRT_CR_EN_Pos                         (0UL)                     /*!< FRT CR: EN (Bit 0)                                          */
#define FRT_CR_EN_Msk                         (0x1UL)                   /*!< FRT CR: EN (Bitfield-Mask: 0x01)                            */
#define FRT_CR_HOLD_Pos                       (1UL)                     /*!< FRT CR: HOLD (Bit 1)                                        */
#define FRT_CR_HOLD_Msk                       (0x2UL)                   /*!< FRT CR: HOLD (Bitfield-Mask: 0x01)                          */
#define FRT_CR_CLR_Pos                        (2UL)                     /*!< FRT CR: CLR (Bit 2)                                         */
#define FRT_CR_CLR_Msk                        (0x4UL)                   /*!< FRT CR: CLR (Bitfield-Mask: 0x01)                           */
#define FRT_CR_RREQ_Pos                       (3UL)                     /*!< FRT CR: RREQ (Bit 3)                                        */
#define FRT_CR_RREQ_Msk                       (0x8UL)                   /*!< FRT CR: RREQ (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  FRT_SR  ----------------------------------- */
#define FRT_SR_MF_Pos                         (0UL)                     /*!< FRT SR: MF (Bit 0)                                          */
#define FRT_SR_MF_Msk                         (0x1UL)                   /*!< FRT SR: MF (Bitfield-Mask: 0x01)                            */
#define FRT_SR_OVF_Pos                        (1UL)                     /*!< FRT SR: OVF (Bit 1)                                         */
#define FRT_SR_OVF_Msk                        (0x2UL)                   /*!< FRT SR: OVF (Bitfield-Mask: 0x01)                           */
#define FRT_SR_RACK_Pos                       (2UL)                     /*!< FRT SR: RACK (Bit 2)                                        */
#define FRT_SR_RACK_Msk                       (0x4UL)                   /*!< FRT SR: RACK (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'U0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U0_RBR  ----------------------------------- */
#define U0_RBR_RBR_Pos                        (0UL)                     /*!< U0 RBR: RBR (Bit 0)                                         */
#define U0_RBR_RBR_Msk                        (0xffUL)                  /*!< U0 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_THR  ----------------------------------- */
#define U0_THR_THR_Pos                        (0UL)                     /*!< U0 THR: THR (Bit 0)                                         */
#define U0_THR_THR_Msk                        (0xffUL)                  /*!< U0 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_IER  ----------------------------------- */
#define U0_IER_DRIE_Pos                       (0UL)                     /*!< U0 IER: DRIE (Bit 0)                                        */
#define U0_IER_DRIE_Msk                       (0x1UL)                   /*!< U0 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U0_IER_THREIE_Pos                     (1UL)                     /*!< U0 IER: THREIE (Bit 1)                                      */
#define U0_IER_THREIE_Msk                     (0x2UL)                   /*!< U0 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U0_IER_RLSIE_Pos                      (2UL)                     /*!< U0 IER: RLSIE (Bit 2)                                       */
#define U0_IER_RLSIE_Msk                      (0x4UL)                   /*!< U0 IER: RLSIE (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U0_IIR  ----------------------------------- */
#define U0_IIR_IPEN_Pos                       (0UL)                     /*!< U0 IIR: IPEN (Bit 0)                                        */
#define U0_IIR_IPEN_Msk                       (0x1UL)                   /*!< U0 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U0_IIR_IID_Pos                        (1UL)                     /*!< U0 IIR: IID (Bit 1)                                         */
#define U0_IIR_IID_Msk                        (0xeUL)                   /*!< U0 IIR: IID (Bitfield-Mask: 0x07)                           */
#define U0_IIR_TXE_Pos                        (4UL)                     /*!< U0 IIR: TXE (Bit 4)                                         */
#define U0_IIR_TXE_Msk                        (0x10UL)                  /*!< U0 IIR: TXE (Bitfield-Mask: 0x01)                           */
#define U0_IIR_DR_Pos                         (16UL)                    /*!< U0 IIR: DR (Bit 16)                                         */
#define U0_IIR_DR_Msk                         (0x10000UL)               /*!< U0 IIR: DR (Bitfield-Mask: 0x01)                            */
#define U0_IIR_THRE_Pos                       (17UL)                    /*!< U0 IIR: THRE (Bit 17)                                       */
#define U0_IIR_THRE_Msk                       (0x20000UL)               /*!< U0 IIR: THRE (Bitfield-Mask: 0x01)                          */
#define U0_IIR_RLS_Pos                        (18UL)                    /*!< U0 IIR: RLS (Bit 18)                                        */
#define U0_IIR_RLS_Msk                        (0x40000UL)               /*!< U0 IIR: RLS (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  U0_LCR  ----------------------------------- */
#define U0_LCR_DLEN_Pos                       (0UL)                     /*!< U0 LCR: DLEN (Bit 0)                                        */
#define U0_LCR_DLEN_Msk                       (0x3UL)                   /*!< U0 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U0_LCR_STOPBIT_Pos                    (2UL)                     /*!< U0 LCR: STOPBIT (Bit 2)                                     */
#define U0_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U0 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U0_LCR_PEN_Pos                        (3UL)                     /*!< U0 LCR: PEN (Bit 3)                                         */
#define U0_LCR_PEN_Msk                        (0x8UL)                   /*!< U0 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U0_LCR_PARITY_Pos                     (4UL)                     /*!< U0 LCR: PARITY (Bit 4)                                      */
#define U0_LCR_PARITY_Msk                     (0x10UL)                  /*!< U0 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U0_LCR_STICKP_Pos                     (5UL)                     /*!< U0 LCR: STICKP (Bit 5)                                      */
#define U0_LCR_STICKP_Msk                     (0x20UL)                  /*!< U0 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U0_LCR_BREAK_Pos                      (6UL)                     /*!< U0 LCR: BREAK (Bit 6)                                       */
#define U0_LCR_BREAK_Msk                      (0x40UL)                  /*!< U0 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U0_DCR  ----------------------------------- */
#define U0_DCR_TXINV_Pos                      (2UL)                     /*!< U0 DCR: TXINV (Bit 2)                                       */
#define U0_DCR_TXINV_Msk                      (0x4UL)                   /*!< U0 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U0_DCR_RXINV_Pos                      (3UL)                     /*!< U0 DCR: RXINV (Bit 3)                                       */
#define U0_DCR_RXINV_Msk                      (0x8UL)                   /*!< U0 DCR: RXINV (Bitfield-Mask: 0x01)                         */
#define U0_DCR_LBON_Pos                       (4UL)                     /*!< U0 DCR: LBON (Bit 4)                                        */
#define U0_DCR_LBON_Msk                       (0x10UL)                  /*!< U0 DCR: LBON (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U0_LSR  ----------------------------------- */
#define U0_LSR_DR_Pos                         (0UL)                     /*!< U0 LSR: DR (Bit 0)                                          */
#define U0_LSR_DR_Msk                         (0x1UL)                   /*!< U0 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U0_LSR_OE_Pos                         (1UL)                     /*!< U0 LSR: OE (Bit 1)                                          */
#define U0_LSR_OE_Msk                         (0x2UL)                   /*!< U0 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_PE_Pos                         (2UL)                     /*!< U0 LSR: PE (Bit 2)                                          */
#define U0_LSR_PE_Msk                         (0x4UL)                   /*!< U0 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_FE_Pos                         (3UL)                     /*!< U0 LSR: FE (Bit 3)                                          */
#define U0_LSR_FE_Msk                         (0x8UL)                   /*!< U0 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_BI_Pos                         (4UL)                     /*!< U0 LSR: BI (Bit 4)                                          */
#define U0_LSR_BI_Msk                         (0x10UL)                  /*!< U0 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U0_LSR_THRE_Pos                       (5UL)                     /*!< U0 LSR: THRE (Bit 5)                                        */
#define U0_LSR_THRE_Msk                       (0x20UL)                  /*!< U0 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U0_LSR_TEMT_Pos                       (6UL)                     /*!< U0 LSR: TEMT (Bit 6)                                        */
#define U0_LSR_TEMT_Msk                       (0x40UL)                  /*!< U0 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U0_BDR  ----------------------------------- */
#define U0_BDR_BDR_Pos                        (0UL)                     /*!< U0 BDR: BDR (Bit 0)                                         */
#define U0_BDR_BDR_Msk                        (0xffffUL)                /*!< U0 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U0_BFR  ----------------------------------- */
#define U0_BFR_BFR_Pos                        (0UL)                     /*!< U0 BFR: BFR (Bit 0)                                         */
#define U0_BFR_BFR_Msk                        (0xffUL)                  /*!< U0 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_IDTR  ---------------------------------- */
#define U0_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U0 IDTR: WAITVAL (Bit 0)                                    */
#define U0_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U0 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */
#define U0_IDTR_DMS_Pos                       (6UL)                     /*!< U0 IDTR: DMS (Bit 6)                                        */
#define U0_IDTR_DMS_Msk                       (0x40UL)                  /*!< U0 IDTR: DMS (Bitfield-Mask: 0x01)                          */
#define U0_IDTR_SMS_Pos                       (7UL)                     /*!< U0 IDTR: SMS (Bit 7)                                        */
#define U0_IDTR_SMS_Msk                       (0x80UL)                  /*!< U0 IDTR: SMS (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'U1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U1_THR  ----------------------------------- */
#define U1_THR_THR_Pos                        (0UL)                     /*!< U1 THR: THR (Bit 0)                                         */
#define U1_THR_THR_Msk                        (0xffUL)                  /*!< U1 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_RBR  ----------------------------------- */
#define U1_RBR_RBR_Pos                        (0UL)                     /*!< U1 RBR: RBR (Bit 0)                                         */
#define U1_RBR_RBR_Msk                        (0xffUL)                  /*!< U1 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_IER  ----------------------------------- */
#define U1_IER_DRIE_Pos                       (0UL)                     /*!< U1 IER: DRIE (Bit 0)                                        */
#define U1_IER_DRIE_Msk                       (0x1UL)                   /*!< U1 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U1_IER_THREIE_Pos                     (1UL)                     /*!< U1 IER: THREIE (Bit 1)                                      */
#define U1_IER_THREIE_Msk                     (0x2UL)                   /*!< U1 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U1_IER_RLSIE_Pos                      (2UL)                     /*!< U1 IER: RLSIE (Bit 2)                                       */
#define U1_IER_RLSIE_Msk                      (0x4UL)                   /*!< U1 IER: RLSIE (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U1_IIR  ----------------------------------- */
#define U1_IIR_IPEN_Pos                       (0UL)                     /*!< U1 IIR: IPEN (Bit 0)                                        */
#define U1_IIR_IPEN_Msk                       (0x1UL)                   /*!< U1 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U1_IIR_IID_Pos                        (1UL)                     /*!< U1 IIR: IID (Bit 1)                                         */
#define U1_IIR_IID_Msk                        (0xeUL)                   /*!< U1 IIR: IID (Bitfield-Mask: 0x07)                           */
#define U1_IIR_TXE_Pos                        (4UL)                     /*!< U1 IIR: TXE (Bit 4)                                         */
#define U1_IIR_TXE_Msk                        (0x10UL)                  /*!< U1 IIR: TXE (Bitfield-Mask: 0x01)                           */
#define U1_IIR_DR_Pos                         (16UL)                    /*!< U1 IIR: DR (Bit 16)                                         */
#define U1_IIR_DR_Msk                         (0x10000UL)               /*!< U1 IIR: DR (Bitfield-Mask: 0x01)                            */
#define U1_IIR_THRE_Pos                       (17UL)                    /*!< U1 IIR: THRE (Bit 17)                                       */
#define U1_IIR_THRE_Msk                       (0x20000UL)               /*!< U1 IIR: THRE (Bitfield-Mask: 0x01)                          */
#define U1_IIR_RLS_Pos                        (18UL)                    /*!< U1 IIR: RLS (Bit 18)                                        */
#define U1_IIR_RLS_Msk                        (0x40000UL)               /*!< U1 IIR: RLS (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  U1_LCR  ----------------------------------- */
#define U1_LCR_DLEN_Pos                       (0UL)                     /*!< U1 LCR: DLEN (Bit 0)                                        */
#define U1_LCR_DLEN_Msk                       (0x3UL)                   /*!< U1 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U1_LCR_STOPBIT_Pos                    (2UL)                     /*!< U1 LCR: STOPBIT (Bit 2)                                     */
#define U1_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U1 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U1_LCR_PEN_Pos                        (3UL)                     /*!< U1 LCR: PEN (Bit 3)                                         */
#define U1_LCR_PEN_Msk                        (0x8UL)                   /*!< U1 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U1_LCR_PARITY_Pos                     (4UL)                     /*!< U1 LCR: PARITY (Bit 4)                                      */
#define U1_LCR_PARITY_Msk                     (0x10UL)                  /*!< U1 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U1_LCR_STICKP_Pos                     (5UL)                     /*!< U1 LCR: STICKP (Bit 5)                                      */
#define U1_LCR_STICKP_Msk                     (0x20UL)                  /*!< U1 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U1_LCR_BREAK_Pos                      (6UL)                     /*!< U1 LCR: BREAK (Bit 6)                                       */
#define U1_LCR_BREAK_Msk                      (0x40UL)                  /*!< U1 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U1_DCR  ----------------------------------- */
#define U1_DCR_TXINV_Pos                      (2UL)                     /*!< U1 DCR: TXINV (Bit 2)                                       */
#define U1_DCR_TXINV_Msk                      (0x4UL)                   /*!< U1 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U1_DCR_RXINV_Pos                      (3UL)                     /*!< U1 DCR: RXINV (Bit 3)                                       */
#define U1_DCR_RXINV_Msk                      (0x8UL)                   /*!< U1 DCR: RXINV (Bitfield-Mask: 0x01)                         */
#define U1_DCR_LBON_Pos                       (4UL)                     /*!< U1 DCR: LBON (Bit 4)                                        */
#define U1_DCR_LBON_Msk                       (0x10UL)                  /*!< U1 DCR: LBON (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U1_LSR  ----------------------------------- */
#define U1_LSR_DR_Pos                         (0UL)                     /*!< U1 LSR: DR (Bit 0)                                          */
#define U1_LSR_DR_Msk                         (0x1UL)                   /*!< U1 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U1_LSR_OE_Pos                         (1UL)                     /*!< U1 LSR: OE (Bit 1)                                          */
#define U1_LSR_OE_Msk                         (0x2UL)                   /*!< U1 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_PE_Pos                         (2UL)                     /*!< U1 LSR: PE (Bit 2)                                          */
#define U1_LSR_PE_Msk                         (0x4UL)                   /*!< U1 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_FE_Pos                         (3UL)                     /*!< U1 LSR: FE (Bit 3)                                          */
#define U1_LSR_FE_Msk                         (0x8UL)                   /*!< U1 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_BI_Pos                         (4UL)                     /*!< U1 LSR: BI (Bit 4)                                          */
#define U1_LSR_BI_Msk                         (0x10UL)                  /*!< U1 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U1_LSR_THRE_Pos                       (5UL)                     /*!< U1 LSR: THRE (Bit 5)                                        */
#define U1_LSR_THRE_Msk                       (0x20UL)                  /*!< U1 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U1_LSR_TEMT_Pos                       (6UL)                     /*!< U1 LSR: TEMT (Bit 6)                                        */
#define U1_LSR_TEMT_Msk                       (0x40UL)                  /*!< U1 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U1_BDR  ----------------------------------- */
#define U1_BDR_BDR_Pos                        (0UL)                     /*!< U1 BDR: BDR (Bit 0)                                         */
#define U1_BDR_BDR_Msk                        (0xffffUL)                /*!< U1 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U1_BFR  ----------------------------------- */
#define U1_BFR_BFR_Pos                        (0UL)                     /*!< U1 BFR: BFR (Bit 0)                                         */
#define U1_BFR_BFR_Msk                        (0xffUL)                  /*!< U1 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_IDTR  ---------------------------------- */
#define U1_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U1 IDTR: WAITVAL (Bit 0)                                    */
#define U1_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U1 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */
#define U1_IDTR_DMS_Pos                       (6UL)                     /*!< U1 IDTR: DMS (Bit 6)                                        */
#define U1_IDTR_DMS_Msk                       (0x40UL)                  /*!< U1 IDTR: DMS (Bitfield-Mask: 0x01)                          */
#define U1_IDTR_SMS_Pos                       (7UL)                     /*!< U1 IDTR: SMS (Bit 7)                                        */
#define U1_IDTR_SMS_Msk                       (0x80UL)                  /*!< U1 IDTR: SMS (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'SP' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SP_RDR  ----------------------------------- */
#define SP_RDR_RDR_Pos                        (0UL)                     /*!< SP RDR: RDR (Bit 0)                                         */
#define SP_RDR_RDR_Msk                        (0x1ffffUL)               /*!< SP RDR: RDR (Bitfield-Mask: 0x1ffff)                        */

/* -----------------------------------  SP_TDR  ----------------------------------- */
#define SP_TDR_TDR_Pos                        (0UL)                     /*!< SP TDR: TDR (Bit 0)                                         */
#define SP_TDR_TDR_Msk                        (0x1ffffUL)               /*!< SP TDR: TDR (Bitfield-Mask: 0x1ffff)                        */

/* ------------------------------------  SP_CR  ----------------------------------- */
#define SP_CR_BITSZ_Pos                       (0UL)                     /*!< SP CR: BITSZ (Bit 0)                                        */
#define SP_CR_BITSZ_Msk                       (0x3UL)                   /*!< SP CR: BITSZ (Bitfield-Mask: 0x03)                          */
#define SP_CR_CPOL_Pos                        (2UL)                     /*!< SP CR: CPOL (Bit 2)                                         */
#define SP_CR_CPOL_Msk                        (0x4UL)                   /*!< SP CR: CPOL (Bitfield-Mask: 0x01)                           */
#define SP_CR_CPHA_Pos                        (3UL)                     /*!< SP CR: CPHA (Bit 3)                                         */
#define SP_CR_CPHA_Msk                        (0x8UL)                   /*!< SP CR: CPHA (Bitfield-Mask: 0x01)                           */
#define SP_CR_MSBF_Pos                        (4UL)                     /*!< SP CR: MSBF (Bit 4)                                         */
#define SP_CR_MSBF_Msk                        (0x10UL)                  /*!< SP CR: MSBF (Bitfield-Mask: 0x01)                           */
#define SP_CR_MS_Pos                          (5UL)                     /*!< SP CR: MS (Bit 5)                                           */
#define SP_CR_MS_Msk                          (0x20UL)                  /*!< SP CR: MS (Bitfield-Mask: 0x01)                             */
#define SP_CR_SSPOL_Pos                       (8UL)                     /*!< SP CR: SSPOL (Bit 8)                                        */
#define SP_CR_SSPOL_Msk                       (0x100UL)                 /*!< SP CR: SSPOL (Bitfield-Mask: 0x01)                          */
#define SP_CR_SSMO_Pos                        (9UL)                     /*!< SP CR: SSMO (Bit 9)                                         */
#define SP_CR_SSMO_Msk                        (0x200UL)                 /*!< SP CR: SSMO (Bitfield-Mask: 0x01)                           */
#define SP_CR_SSMASK_Pos                      (10UL)                    /*!< SP CR: SSMASK (Bit 10)                                      */
#define SP_CR_SSMASK_Msk                      (0x400UL)                 /*!< SP CR: SSMASK (Bitfield-Mask: 0x01)                         */
#define SP_CR_LBE_Pos                         (11UL)                    /*!< SP CR: LBE (Bit 11)                                         */
#define SP_CR_LBE_Msk                         (0x800UL)                 /*!< SP CR: LBE (Bitfield-Mask: 0x01)                            */
#define SP_CR_SSOUT_Pos                       (12UL)                    /*!< SP CR: SSOUT (Bit 12)                                       */
#define SP_CR_SSOUT_Msk                       (0x1000UL)                /*!< SP CR: SSOUT (Bitfield-Mask: 0x01)                          */
#define SP_CR_SSMOD_Pos                       (13UL)                    /*!< SP CR: SSMOD (Bit 13)                                       */
#define SP_CR_SSMOD_Msk                       (0x2000UL)                /*!< SP CR: SSMOD (Bitfield-Mask: 0x01)                          */
#define SP_CR_RXIE_Pos                        (14UL)                    /*!< SP CR: RXIE (Bit 14)                                        */
#define SP_CR_RXIE_Msk                        (0x4000UL)                /*!< SP CR: RXIE (Bitfield-Mask: 0x01)                           */
#define SP_CR_TXIE_Pos                        (15UL)                    /*!< SP CR: TXIE (Bit 15)                                        */
#define SP_CR_TXIE_Msk                        (0x8000UL)                /*!< SP CR: TXIE (Bitfield-Mask: 0x01)                           */
#define SP_CR_SSCIE_Pos                       (16UL)                    /*!< SP CR: SSCIE (Bit 16)                                       */
#define SP_CR_SSCIE_Msk                       (0x10000UL)               /*!< SP CR: SSCIE (Bitfield-Mask: 0x01)                          */
#define SP_CR_RXBC_Pos                        (19UL)                    /*!< SP CR: RXBC (Bit 19)                                        */
#define SP_CR_RXBC_Msk                        (0x80000UL)               /*!< SP CR: RXBC (Bitfield-Mask: 0x01)                           */
#define SP_CR_TXBC_Pos                        (20UL)                    /*!< SP CR: TXBC (Bit 20)                                        */
#define SP_CR_TXBC_Msk                        (0x100000UL)              /*!< SP CR: TXBC (Bitfield-Mask: 0x01)                           */

/* ------------------------------------  SP_SR  ----------------------------------- */
#define SP_SR_RRDY_Pos                        (0UL)                     /*!< SP SR: RRDY (Bit 0)                                         */
#define SP_SR_RRDY_Msk                        (0x1UL)                   /*!< SP SR: RRDY (Bitfield-Mask: 0x01)                           */
#define SP_SR_TRDY_Pos                        (1UL)                     /*!< SP SR: TRDY (Bit 1)                                         */
#define SP_SR_TRDY_Msk                        (0x2UL)                   /*!< SP SR: TRDY (Bitfield-Mask: 0x01)                           */
#define SP_SR_TXIDLE_Pos                      (2UL)                     /*!< SP SR: TXIDLE (Bit 2)                                       */
#define SP_SR_TXIDLE_Msk                      (0x4UL)                   /*!< SP SR: TXIDLE (Bitfield-Mask: 0x01)                         */
#define SP_SR_UDRF_Pos                        (3UL)                     /*!< SP SR: UDRF (Bit 3)                                         */
#define SP_SR_UDRF_Msk                        (0x8UL)                   /*!< SP SR: UDRF (Bitfield-Mask: 0x01)                           */
#define SP_SR_OVRF_Pos                        (4UL)                     /*!< SP SR: OVRF (Bit 4)                                         */
#define SP_SR_OVRF_Msk                        (0x10UL)                  /*!< SP SR: OVRF (Bitfield-Mask: 0x01)                           */
#define SP_SR_SSON_Pos                        (5UL)                     /*!< SP SR: SSON (Bit 5)                                         */
#define SP_SR_SSON_Msk                        (0x20UL)                  /*!< SP SR: SSON (Bitfield-Mask: 0x01)                           */
#define SP_SR_SSDET_Pos                       (6UL)                     /*!< SP SR: SSDET (Bit 6)                                        */
#define SP_SR_SSDET_Msk                       (0x40UL)                  /*!< SP SR: SSDET (Bitfield-Mask: 0x01)                          */

/* ------------------------------------  SP_BR  ----------------------------------- */
#define SP_BR_BR_Pos                          (0UL)                     /*!< SP BR: BR (Bit 0)                                           */
#define SP_BR_BR_Msk                          (0xffffUL)                /*!< SP BR: BR (Bitfield-Mask: 0xffff)                           */

/* ------------------------------------  SP_EN  ----------------------------------- */
#define SP_EN_ENABLE_Pos                      (0UL)                     /*!< SP EN: ENABLE (Bit 0)                                       */
#define SP_EN_ENABLE_Msk                      (0x1UL)                   /*!< SP EN: ENABLE (Bitfield-Mask: 0x01)                         */

/* ------------------------------------  SP_LR  ----------------------------------- */
#define SP_LR_STL_Pos                         (0UL)                     /*!< SP LR: STL (Bit 0)                                          */
#define SP_LR_STL_Msk                         (0xffUL)                  /*!< SP LR: STL (Bitfield-Mask: 0xff)                            */
#define SP_LR_BTL_Pos                         (8UL)                     /*!< SP LR: BTL (Bit 8)                                          */
#define SP_LR_BTL_Msk                         (0xff00UL)                /*!< SP LR: BTL (Bitfield-Mask: 0xff)                            */
#define SP_LR_SPL_Pos                         (16UL)                    /*!< SP LR: SPL (Bit 16)                                         */
#define SP_LR_SPL_Msk                         (0xff0000UL)              /*!< SP LR: SPL (Bitfield-Mask: 0xff)                            */


/* ================================================================================ */
/* ================           struct 'IC' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  IC_DR  ----------------------------------- */
#define IC_DR_DR_Pos                          (0UL)                     /*!< IC DR: DR (Bit 0)                                           */
#define IC_DR_DR_Msk                          (0xffUL)                  /*!< IC DR: DR (Bitfield-Mask: 0xff)                             */

/* ------------------------------------  IC_SR  ----------------------------------- */
#define IC_SR_RXACK_Pos                       (0UL)                     /*!< IC SR: RXACK (Bit 0)                                        */
#define IC_SR_RXACK_Msk                       (0x1UL)                   /*!< IC SR: RXACK (Bitfield-Mask: 0x01)                          */
#define IC_SR_TMODE_Pos                       (1UL)                     /*!< IC SR: TMODE (Bit 1)                                        */
#define IC_SR_TMODE_Msk                       (0x2UL)                   /*!< IC SR: TMODE (Bitfield-Mask: 0x01)                          */
#define IC_SR_BUSY_Pos                        (2UL)                     /*!< IC SR: BUSY (Bit 2)                                         */
#define IC_SR_BUSY_Msk                        (0x4UL)                   /*!< IC SR: BUSY (Bitfield-Mask: 0x01)                           */
#define IC_SR_MLOST_Pos                       (3UL)                     /*!< IC SR: MLOST (Bit 3)                                        */
#define IC_SR_MLOST_Msk                       (0x8UL)                   /*!< IC SR: MLOST (Bitfield-Mask: 0x01)                          */
#define IC_SR_SSEL_Pos                        (4UL)                     /*!< IC SR: SSEL (Bit 4)                                         */
#define IC_SR_SSEL_Msk                        (0x10UL)                  /*!< IC SR: SSEL (Bitfield-Mask: 0x01)                           */
#define IC_SR_STOP_Pos                        (5UL)                     /*!< IC SR: STOP (Bit 5)                                         */
#define IC_SR_STOP_Msk                        (0x20UL)                  /*!< IC SR: STOP (Bitfield-Mask: 0x01)                           */
#define IC_SR_TEND_Pos                        (6UL)                     /*!< IC SR: TEND (Bit 6)                                         */
#define IC_SR_TEND_Msk                        (0x40UL)                  /*!< IC SR: TEND (Bitfield-Mask: 0x01)                           */
#define IC_SR_GCALL_Pos                       (7UL)                     /*!< IC SR: GCALL (Bit 7)                                        */
#define IC_SR_GCALL_Msk                       (0x80UL)                  /*!< IC SR: GCALL (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  IC_SAR  ----------------------------------- */
#define IC_SAR_GCEN_Pos                       (0UL)                     /*!< IC SAR: GCEN (Bit 0)                                        */
#define IC_SAR_GCEN_Msk                       (0x1UL)                   /*!< IC SAR: GCEN (Bitfield-Mask: 0x01)                          */
#define IC_SAR_SVAD_Pos                       (1UL)                     /*!< IC SAR: SVAD (Bit 1)                                        */
#define IC_SAR_SVAD_Msk                       (0xfeUL)                  /*!< IC SAR: SVAD (Bitfield-Mask: 0x7f)                          */

/* ------------------------------------  IC_CR  ----------------------------------- */
#define IC_CR_START_Pos                       (0UL)                     /*!< IC CR: START (Bit 0)                                        */
#define IC_CR_START_Msk                       (0x1UL)                   /*!< IC CR: START (Bitfield-Mask: 0x01)                          */
#define IC_CR_STOP_Pos                        (1UL)                     /*!< IC CR: STOP (Bit 1)                                         */
#define IC_CR_STOP_Msk                        (0x2UL)                   /*!< IC CR: STOP (Bitfield-Mask: 0x01)                           */
#define IC_CR_ACKEN_Pos                       (3UL)                     /*!< IC CR: ACKEN (Bit 3)                                        */
#define IC_CR_ACKEN_Msk                       (0x8UL)                   /*!< IC CR: ACKEN (Bitfield-Mask: 0x01)                          */
#define IC_CR_INTEN_Pos                       (4UL)                     /*!< IC CR: INTEN (Bit 4)                                        */
#define IC_CR_INTEN_Msk                       (0x10UL)                  /*!< IC CR: INTEN (Bitfield-Mask: 0x01)                          */
#define IC_CR_SOFTRST_Pos                     (5UL)                     /*!< IC CR: SOFTRST (Bit 5)                                      */
#define IC_CR_SOFTRST_Msk                     (0x20UL)                  /*!< IC CR: SOFTRST (Bitfield-Mask: 0x01)                        */
#define IC_CR_IIF_Pos                         (7UL)                     /*!< IC CR: IIF (Bit 7)                                          */
#define IC_CR_IIF_Msk                         (0x80UL)                  /*!< IC CR: IIF (Bitfield-Mask: 0x01)                            */
#define IC_CR_INTDEL_Pos                      (8UL)                     /*!< IC CR: INTDEL (Bit 8)                                       */
#define IC_CR_INTDEL_Msk                      (0x300UL)                 /*!< IC CR: INTDEL (Bitfield-Mask: 0x03)                         */

/* -----------------------------------  IC_SCLL  ---------------------------------- */
#define IC_SCLL_SCLL_Pos                      (0UL)                     /*!< IC SCLL: SCLL (Bit 0)                                       */
#define IC_SCLL_SCLL_Msk                      (0xffffUL)                /*!< IC SCLL: SCLL (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  IC_SCLH  ---------------------------------- */
#define IC_SCLH_SCLH_Pos                      (0UL)                     /*!< IC SCLH: SCLH (Bit 0)                                       */
#define IC_SCLH_SCLH_Msk                      (0xffffUL)                /*!< IC SCLH: SCLH (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  IC_SDH  ----------------------------------- */
#define IC_SDH_SDH_Pos                        (0UL)                     /*!< IC SDH: SDH (Bit 0)                                         */
#define IC_SDH_SDH_Msk                        (0x7fffUL)                /*!< IC SDH: SDH (Bitfield-Mask: 0x7fff)                         */


/* ================================================================================ */
/* ================           struct 'MP' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  MP_MR  ----------------------------------- */
#define MP_MR_UPDOWN_Pos                      (0UL)                     /*!< MP MR: UPDOWN (Bit 0)                                       */
#define MP_MR_UPDOWN_Msk                      (0x1UL)                   /*!< MP MR: UPDOWN (Bitfield-Mask: 0x01)                         */
#define MP_MR_MCHMOD_Pos                      (1UL)                     /*!< MP MR: MCHMOD (Bit 1)                                       */
#define MP_MR_MCHMOD_Msk                      (0x6UL)                   /*!< MP MR: MCHMOD (Bitfield-Mask: 0x03)                         */
#define MP_MR_BUP_Pos                         (4UL)                     /*!< MP MR: BUP (Bit 4)                                          */
#define MP_MR_BUP_Msk                         (0x10UL)                  /*!< MP MR: BUP (Bitfield-Mask: 0x01)                            */
#define MP_MR_TUP_Pos                         (5UL)                     /*!< MP MR: TUP (Bit 5)                                          */
#define MP_MR_TUP_Msk                         (0x20UL)                  /*!< MP MR: TUP (Bitfield-Mask: 0x01)                            */
#define MP_MR_UAO_Pos                         (7UL)                     /*!< MP MR: UAO (Bit 7)                                          */
#define MP_MR_UAO_Msk                         (0x80UL)                  /*!< MP MR: UAO (Bitfield-Mask: 0x01)                            */
#define MP_MR_MOTORB_Pos                      (15UL)                    /*!< MP MR: MOTORB (Bit 15)                                      */
#define MP_MR_MOTORB_Msk                      (0x8000UL)                /*!< MP MR: MOTORB (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP_OLR  ----------------------------------- */
#define MP_OLR_ULL_Pos                        (0UL)                     /*!< MP OLR: ULL (Bit 0)                                         */
#define MP_OLR_ULL_Msk                        (0x1UL)                   /*!< MP OLR: ULL (Bitfield-Mask: 0x01)                           */
#define MP_OLR_VLL_Pos                        (1UL)                     /*!< MP OLR: VLL (Bit 1)                                         */
#define MP_OLR_VLL_Msk                        (0x2UL)                   /*!< MP OLR: VLL (Bitfield-Mask: 0x01)                           */
#define MP_OLR_WLL_Pos                        (2UL)                     /*!< MP OLR: WLL (Bit 2)                                         */
#define MP_OLR_WLL_Msk                        (0x4UL)                   /*!< MP OLR: WLL (Bitfield-Mask: 0x01)                           */
#define MP_OLR_UHL_Pos                        (3UL)                     /*!< MP OLR: UHL (Bit 3)                                         */
#define MP_OLR_UHL_Msk                        (0x8UL)                   /*!< MP OLR: UHL (Bitfield-Mask: 0x01)                           */
#define MP_OLR_VHL_Pos                        (4UL)                     /*!< MP OLR: VHL (Bit 4)                                         */
#define MP_OLR_VHL_Msk                        (0x10UL)                  /*!< MP OLR: VHL (Bitfield-Mask: 0x01)                           */
#define MP_OLR_WHL_Pos                        (5UL)                     /*!< MP OLR: WHL (Bit 5)                                         */
#define MP_OLR_WHL_Msk                        (0x20UL)                  /*!< MP OLR: WHL (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  MP_FOR  ----------------------------------- */
#define MP_FOR_ULFL_Pos                       (0UL)                     /*!< MP FOR: ULFL (Bit 0)                                        */
#define MP_FOR_ULFL_Msk                       (0x1UL)                   /*!< MP FOR: ULFL (Bitfield-Mask: 0x01)                          */
#define MP_FOR_VLFL_Pos                       (1UL)                     /*!< MP FOR: VLFL (Bit 1)                                        */
#define MP_FOR_VLFL_Msk                       (0x2UL)                   /*!< MP FOR: VLFL (Bitfield-Mask: 0x01)                          */
#define MP_FOR_WLFL_Pos                       (2UL)                     /*!< MP FOR: WLFL (Bit 2)                                        */
#define MP_FOR_WLFL_Msk                       (0x4UL)                   /*!< MP FOR: WLFL (Bitfield-Mask: 0x01)                          */
#define MP_FOR_UHFL_Pos                       (3UL)                     /*!< MP FOR: UHFL (Bit 3)                                        */
#define MP_FOR_UHFL_Msk                       (0x8UL)                   /*!< MP FOR: UHFL (Bitfield-Mask: 0x01)                          */
#define MP_FOR_VHFL_Pos                       (4UL)                     /*!< MP FOR: VHFL (Bit 4)                                        */
#define MP_FOR_VHFL_Msk                       (0x10UL)                  /*!< MP FOR: VHFL (Bitfield-Mask: 0x01)                          */
#define MP_FOR_WHFL_Pos                       (5UL)                     /*!< MP FOR: WHFL (Bit 5)                                        */
#define MP_FOR_WHFL_Msk                       (0x20UL)                  /*!< MP FOR: WHFL (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP_PRD  ----------------------------------- */
#define MP_PRD_PERIOD_Pos                     (0UL)                     /*!< MP PRD: PERIOD (Bit 0)                                      */
#define MP_PRD_PERIOD_Msk                     (0xffffUL)                /*!< MP PRD: PERIOD (Bitfield-Mask: 0xffff)                      */

/* -----------------------------------  MP_DUH  ----------------------------------- */
#define MP_DUH_DUTY_Pos                       (0UL)                     /*!< MP DUH: DUTY (Bit 0)                                        */
#define MP_DUH_DUTY_Msk                       (0xffffUL)                /*!< MP DUH: DUTY (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP_DVH  ----------------------------------- */
#define MP_DVH_DUTY_Pos                       (0UL)                     /*!< MP DVH: DUTY (Bit 0)                                        */
#define MP_DVH_DUTY_Msk                       (0xffffUL)                /*!< MP DVH: DUTY (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP_DWH  ----------------------------------- */
#define MP_DWH_DUTY_Pos                       (0UL)                     /*!< MP DWH: DUTY (Bit 0)                                        */
#define MP_DWH_DUTY_Msk                       (0xffffUL)                /*!< MP DWH: DUTY (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP_DUL  ----------------------------------- */
#define MP_DUL_DUTY_Pos                       (0UL)                     /*!< MP DUL: DUTY (Bit 0)                                        */
#define MP_DUL_DUTY_Msk                       (0xffffUL)                /*!< MP DUL: DUTY (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP_DVL  ----------------------------------- */
#define MP_DVL_DUTY_Pos                       (0UL)                     /*!< MP DVL: DUTY (Bit 0)                                        */
#define MP_DVL_DUTY_Msk                       (0xffffUL)                /*!< MP DVL: DUTY (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP_DWL  ----------------------------------- */
#define MP_DWL_DUTY_Pos                       (0UL)                     /*!< MP DWL: DUTY (Bit 0)                                        */
#define MP_DWL_DUTY_Msk                       (0xffffUL)                /*!< MP DWL: DUTY (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP_CR1  ----------------------------------- */
#define MP_CR1_PWMEN_Pos                      (0UL)                     /*!< MP CR1: PWMEN (Bit 0)                                       */
#define MP_CR1_PWMEN_Msk                      (0x1UL)                   /*!< MP CR1: PWMEN (Bitfield-Mask: 0x01)                         */
#define MP_CR1_IRQN_Pos                       (8UL)                     /*!< MP CR1: IRQN (Bit 8)                                        */
#define MP_CR1_IRQN_Msk                       (0x700UL)                 /*!< MP CR1: IRQN (Bitfield-Mask: 0x07)                          */

/* -----------------------------------  MP_CR2  ----------------------------------- */
#define MP_CR2_PSTART_Pos                     (0UL)                     /*!< MP CR2: PSTART (Bit 0)                                      */
#define MP_CR2_PSTART_Msk                     (0x1UL)                   /*!< MP CR2: PSTART (Bitfield-Mask: 0x01)                        */
#define MP_CR2_HALT_Pos                       (7UL)                     /*!< MP CR2: HALT (Bit 7)                                        */
#define MP_CR2_HALT_Msk                       (0x80UL)                  /*!< MP CR2: HALT (Bitfield-Mask: 0x01)                          */

/* ------------------------------------  MP_SR  ----------------------------------- */
#define MP_SR_DULIF_Pos                       (0UL)                     /*!< MP SR: DULIF (Bit 0)                                        */
#define MP_SR_DULIF_Msk                       (0x1UL)                   /*!< MP SR: DULIF (Bitfield-Mask: 0x01)                          */
#define MP_SR_DVLIF_Pos                       (1UL)                     /*!< MP SR: DVLIF (Bit 1)                                        */
#define MP_SR_DVLIF_Msk                       (0x2UL)                   /*!< MP SR: DVLIF (Bitfield-Mask: 0x01)                          */
#define MP_SR_DWLIF_Pos                       (2UL)                     /*!< MP SR: DWLIF (Bit 2)                                        */
#define MP_SR_DWLIF_Msk                       (0x4UL)                   /*!< MP SR: DWLIF (Bitfield-Mask: 0x01)                          */
#define MP_SR_DUHIF_Pos                       (3UL)                     /*!< MP SR: DUHIF (Bit 3)                                        */
#define MP_SR_DUHIF_Msk                       (0x8UL)                   /*!< MP SR: DUHIF (Bitfield-Mask: 0x01)                          */
#define MP_SR_DVHIF_Pos                       (4UL)                     /*!< MP SR: DVHIF (Bit 4)                                        */
#define MP_SR_DVHIF_Msk                       (0x10UL)                  /*!< MP SR: DVHIF (Bitfield-Mask: 0x01)                          */
#define MP_SR_DWHIF_Pos                       (5UL)                     /*!< MP SR: DWHIF (Bit 5)                                        */
#define MP_SR_DWHIF_Msk                       (0x20UL)                  /*!< MP SR: DWHIF (Bitfield-Mask: 0x01)                          */
#define MP_SR_BOTIRQ_Pos                      (6UL)                     /*!< MP SR: BOTIRQ (Bit 6)                                       */
#define MP_SR_BOTIRQ_Msk                      (0x40UL)                  /*!< MP SR: BOTIRQ (Bitfield-Mask: 0x01)                         */
#define MP_SR_PRDIRQ_Pos                      (7UL)                     /*!< MP SR: PRDIRQ (Bit 7)                                       */
#define MP_SR_PRDIRQ_Msk                      (0x80UL)                  /*!< MP SR: PRDIRQ (Bitfield-Mask: 0x01)                         */
#define MP_SR_IRQCNT_Pos                      (12UL)                    /*!< MP SR: IRQCNT (Bit 12)                                      */
#define MP_SR_IRQCNT_Msk                      (0x7000UL)                /*!< MP SR: IRQCNT (Bitfield-Mask: 0x07)                         */
#define MP_SR_DOWN_Pos                        (15UL)                    /*!< MP SR: DOWN (Bit 15)                                        */
#define MP_SR_DOWN_Msk                        (0x8000UL)                /*!< MP SR: DOWN (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  MP_IER  ----------------------------------- */
#define MP_IER_ULIE_Pos                       (0UL)                     /*!< MP IER: ULIE (Bit 0)                                        */
#define MP_IER_ULIE_Msk                       (0x1UL)                   /*!< MP IER: ULIE (Bitfield-Mask: 0x01)                          */
#define MP_IER_VLIE_Pos                       (1UL)                     /*!< MP IER: VLIE (Bit 1)                                        */
#define MP_IER_VLIE_Msk                       (0x2UL)                   /*!< MP IER: VLIE (Bitfield-Mask: 0x01)                          */
#define MP_IER_WLIE_Pos                       (2UL)                     /*!< MP IER: WLIE (Bit 2)                                        */
#define MP_IER_WLIE_Msk                       (0x4UL)                   /*!< MP IER: WLIE (Bitfield-Mask: 0x01)                          */
#define MP_IER_UHIE_Pos                       (3UL)                     /*!< MP IER: UHIE (Bit 3)                                        */
#define MP_IER_UHIE_Msk                       (0x8UL)                   /*!< MP IER: UHIE (Bitfield-Mask: 0x01)                          */
#define MP_IER_VHIE_Pos                       (4UL)                     /*!< MP IER: VHIE (Bit 4)                                        */
#define MP_IER_VHIE_Msk                       (0x10UL)                  /*!< MP IER: VHIE (Bitfield-Mask: 0x01)                          */
#define MP_IER_WHIE_Pos                       (5UL)                     /*!< MP IER: WHIE (Bit 5)                                        */
#define MP_IER_WHIE_Msk                       (0x20UL)                  /*!< MP IER: WHIE (Bitfield-Mask: 0x01)                          */
#define MP_IER_BOTIE_Pos                      (6UL)                     /*!< MP IER: BOTIE (Bit 6)                                       */
#define MP_IER_BOTIE_Msk                      (0x40UL)                  /*!< MP IER: BOTIE (Bitfield-Mask: 0x01)                         */
#define MP_IER_PRDIEN_Pos                     (7UL)                     /*!< MP IER: PRDIEN (Bit 7)                                      */
#define MP_IER_PRDIEN_Msk                     (0x80UL)                  /*!< MP IER: PRDIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP_CNT  ----------------------------------- */
#define MP_CNT_CNT_Pos                        (0UL)                     /*!< MP CNT: CNT (Bit 0)                                         */
#define MP_CNT_CNT_Msk                        (0xffffUL)                /*!< MP CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  MP_DTR  ----------------------------------- */
#define MP_DTR_DT_Pos                         (0UL)                     /*!< MP DTR: DT (Bit 0)                                          */
#define MP_DTR_DT_Msk                         (0xffUL)                  /*!< MP DTR: DT (Bitfield-Mask: 0xff)                            */
#define MP_DTR_DTCLK_Pos                      (8UL)                     /*!< MP DTR: DTCLK (Bit 8)                                       */
#define MP_DTR_DTCLK_Msk                      (0x100UL)                 /*!< MP DTR: DTCLK (Bitfield-Mask: 0x01)                         */
#define MP_DTR_PSHRT_Pos                      (14UL)                    /*!< MP DTR: PSHRT (Bit 14)                                      */
#define MP_DTR_PSHRT_Msk                      (0x4000UL)                /*!< MP DTR: PSHRT (Bitfield-Mask: 0x01)                         */
#define MP_DTR_DTEN_Pos                       (15UL)                    /*!< MP DTR: DTEN (Bit 15)                                       */
#define MP_DTR_DTEN_Msk                       (0x8000UL)                /*!< MP DTR: DTEN (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP_PCR0  ---------------------------------- */
#define MP_PCR0_ULPROTM_Pos                   (0UL)                     /*!< MP PCR0: ULPROTM (Bit 0)                                    */
#define MP_PCR0_ULPROTM_Msk                   (0x1UL)                   /*!< MP PCR0: ULPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_VLPROTM_Pos                   (1UL)                     /*!< MP PCR0: VLPROTM (Bit 1)                                    */
#define MP_PCR0_VLPROTM_Msk                   (0x2UL)                   /*!< MP PCR0: VLPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_WLPROTM_Pos                   (2UL)                     /*!< MP PCR0: WLPROTM (Bit 2)                                    */
#define MP_PCR0_WLPROTM_Msk                   (0x4UL)                   /*!< MP PCR0: WLPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_UHPROTM_Pos                   (3UL)                     /*!< MP PCR0: UHPROTM (Bit 3)                                    */
#define MP_PCR0_UHPROTM_Msk                   (0x8UL)                   /*!< MP PCR0: UHPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_VHPROTM_Pos                   (4UL)                     /*!< MP PCR0: VHPROTM (Bit 4)                                    */
#define MP_PCR0_VHPROTM_Msk                   (0x10UL)                  /*!< MP PCR0: VHPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_WHPROTM_Pos                   (5UL)                     /*!< MP PCR0: WHPROTM (Bit 5)                                    */
#define MP_PCR0_WHPROTM_Msk                   (0x20UL)                  /*!< MP PCR0: WHPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_PROTIE_Pos                    (7UL)                     /*!< MP PCR0: PROTIE (Bit 7)                                     */
#define MP_PCR0_PROTIE_Msk                    (0x80UL)                  /*!< MP PCR0: PROTIE (Bitfield-Mask: 0x01)                       */
#define MP_PCR0_PROTD_Pos                     (8UL)                     /*!< MP PCR0: PROTD (Bit 8)                                      */
#define MP_PCR0_PROTD_Msk                     (0x700UL)                 /*!< MP PCR0: PROTD (Bitfield-Mask: 0x07)                        */
#define MP_PCR0_PROTPOL_Pos                   (14UL)                    /*!< MP PCR0: PROTPOL (Bit 14)                                   */
#define MP_PCR0_PROTPOL_Msk                   (0x4000UL)                /*!< MP PCR0: PROTPOL (Bitfield-Mask: 0x01)                      */
#define MP_PCR0_PROTEN_Pos                    (15UL)                    /*!< MP PCR0: PROTEN (Bit 15)                                    */
#define MP_PCR0_PROTEN_Msk                    (0x8000UL)                /*!< MP PCR0: PROTEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP_PSR0  ---------------------------------- */
#define MP_PSR0_ULPROTF_Pos                   (0UL)                     /*!< MP PSR0: ULPROTF (Bit 0)                                    */
#define MP_PSR0_ULPROTF_Msk                   (0x1UL)                   /*!< MP PSR0: ULPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR0_VLPROTF_Pos                   (1UL)                     /*!< MP PSR0: VLPROTF (Bit 1)                                    */
#define MP_PSR0_VLPROTF_Msk                   (0x2UL)                   /*!< MP PSR0: VLPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR0_WLPROTF_Pos                   (2UL)                     /*!< MP PSR0: WLPROTF (Bit 2)                                    */
#define MP_PSR0_WLPROTF_Msk                   (0x4UL)                   /*!< MP PSR0: WLPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR0_UHPROTF_Pos                   (3UL)                     /*!< MP PSR0: UHPROTF (Bit 3)                                    */
#define MP_PSR0_UHPROTF_Msk                   (0x8UL)                   /*!< MP PSR0: UHPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR0_VHPROTF_Pos                   (4UL)                     /*!< MP PSR0: VHPROTF (Bit 4)                                    */
#define MP_PSR0_VHPROTF_Msk                   (0x10UL)                  /*!< MP PSR0: VHPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR0_WHPROTF_Pos                   (5UL)                     /*!< MP PSR0: WHPROTF (Bit 5)                                    */
#define MP_PSR0_WHPROTF_Msk                   (0x20UL)                  /*!< MP PSR0: WHPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR0_PROTIF_Pos                    (7UL)                     /*!< MP PSR0: PROTIF (Bit 7)                                     */
#define MP_PSR0_PROTIF_Msk                    (0x80UL)                  /*!< MP PSR0: PROTIF (Bitfield-Mask: 0x01)                       */
#define MP_PSR0_PROTKEY_Pos                   (8UL)                     /*!< MP PSR0: PROTKEY (Bit 8)                                    */
#define MP_PSR0_PROTKEY_Msk                   (0xff00UL)                /*!< MP PSR0: PROTKEY (Bitfield-Mask: 0xff)                      */

/* -----------------------------------  MP_PCR1  ---------------------------------- */
#define MP_PCR1_ULPROTM_Pos                   (0UL)                     /*!< MP PCR1: ULPROTM (Bit 0)                                    */
#define MP_PCR1_ULPROTM_Msk                   (0x1UL)                   /*!< MP PCR1: ULPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_VLPROTM_Pos                   (1UL)                     /*!< MP PCR1: VLPROTM (Bit 1)                                    */
#define MP_PCR1_VLPROTM_Msk                   (0x2UL)                   /*!< MP PCR1: VLPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_WLPROTM_Pos                   (2UL)                     /*!< MP PCR1: WLPROTM (Bit 2)                                    */
#define MP_PCR1_WLPROTM_Msk                   (0x4UL)                   /*!< MP PCR1: WLPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_UHPROTM_Pos                   (3UL)                     /*!< MP PCR1: UHPROTM (Bit 3)                                    */
#define MP_PCR1_UHPROTM_Msk                   (0x8UL)                   /*!< MP PCR1: UHPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_VHPROTM_Pos                   (4UL)                     /*!< MP PCR1: VHPROTM (Bit 4)                                    */
#define MP_PCR1_VHPROTM_Msk                   (0x10UL)                  /*!< MP PCR1: VHPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_WHPROTM_Pos                   (5UL)                     /*!< MP PCR1: WHPROTM (Bit 5)                                    */
#define MP_PCR1_WHPROTM_Msk                   (0x20UL)                  /*!< MP PCR1: WHPROTM (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_PROTIE_Pos                    (7UL)                     /*!< MP PCR1: PROTIE (Bit 7)                                     */
#define MP_PCR1_PROTIE_Msk                    (0x80UL)                  /*!< MP PCR1: PROTIE (Bitfield-Mask: 0x01)                       */
#define MP_PCR1_PROTD_Pos                     (8UL)                     /*!< MP PCR1: PROTD (Bit 8)                                      */
#define MP_PCR1_PROTD_Msk                     (0x700UL)                 /*!< MP PCR1: PROTD (Bitfield-Mask: 0x07)                        */
#define MP_PCR1_PROTPOL_Pos                   (14UL)                    /*!< MP PCR1: PROTPOL (Bit 14)                                   */
#define MP_PCR1_PROTPOL_Msk                   (0x4000UL)                /*!< MP PCR1: PROTPOL (Bitfield-Mask: 0x01)                      */
#define MP_PCR1_PROTEN_Pos                    (15UL)                    /*!< MP PCR1: PROTEN (Bit 15)                                    */
#define MP_PCR1_PROTEN_Msk                    (0x8000UL)                /*!< MP PCR1: PROTEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP_PSR1  ---------------------------------- */
#define MP_PSR1_ULPROTF_Pos                   (0UL)                     /*!< MP PSR1: ULPROTF (Bit 0)                                    */
#define MP_PSR1_ULPROTF_Msk                   (0x1UL)                   /*!< MP PSR1: ULPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR1_VLPROTF_Pos                   (1UL)                     /*!< MP PSR1: VLPROTF (Bit 1)                                    */
#define MP_PSR1_VLPROTF_Msk                   (0x2UL)                   /*!< MP PSR1: VLPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR1_WLPROTF_Pos                   (2UL)                     /*!< MP PSR1: WLPROTF (Bit 2)                                    */
#define MP_PSR1_WLPROTF_Msk                   (0x4UL)                   /*!< MP PSR1: WLPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR1_UHPROTF_Pos                   (3UL)                     /*!< MP PSR1: UHPROTF (Bit 3)                                    */
#define MP_PSR1_UHPROTF_Msk                   (0x8UL)                   /*!< MP PSR1: UHPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR1_VHPROTF_Pos                   (4UL)                     /*!< MP PSR1: VHPROTF (Bit 4)                                    */
#define MP_PSR1_VHPROTF_Msk                   (0x10UL)                  /*!< MP PSR1: VHPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR1_WHPROTF_Pos                   (5UL)                     /*!< MP PSR1: WHPROTF (Bit 5)                                    */
#define MP_PSR1_WHPROTF_Msk                   (0x20UL)                  /*!< MP PSR1: WHPROTF (Bitfield-Mask: 0x01)                      */
#define MP_PSR1_PROTIF_Pos                    (7UL)                     /*!< MP PSR1: PROTIF (Bit 7)                                     */
#define MP_PSR1_PROTIF_Msk                    (0x80UL)                  /*!< MP PSR1: PROTIF (Bitfield-Mask: 0x01)                       */
#define MP_PSR1_PROTKEY_Pos                   (8UL)                     /*!< MP PSR1: PROTKEY (Bit 8)                                    */
#define MP_PSR1_PROTKEY_Msk                   (0xff00UL)                /*!< MP PSR1: PROTKEY (Bitfield-Mask: 0xff)                      */

/* -----------------------------------  MP_ATR1  ---------------------------------- */
#define MP_ATR1_ATCNT_Pos                     (0UL)                     /*!< MP ATR1: ATCNT (Bit 0)                                      */
#define MP_ATR1_ATCNT_Msk                     (0xffffUL)                /*!< MP ATR1: ATCNT (Bitfield-Mask: 0xffff)                      */
#define MP_ATR1_ATMOD_Pos                     (16UL)                    /*!< MP ATR1: ATMOD (Bit 16)                                     */
#define MP_ATR1_ATMOD_Msk                     (0x30000UL)               /*!< MP ATR1: ATMOD (Bitfield-Mask: 0x03)                        */
#define MP_ATR1_ATUDT_Pos                     (19UL)                    /*!< MP ATR1: ATUDT (Bit 19)                                     */
#define MP_ATR1_ATUDT_Msk                     (0x80000UL)               /*!< MP ATR1: ATUDT (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP_ATR2  ---------------------------------- */
#define MP_ATR2_ATCNT_Pos                     (0UL)                     /*!< MP ATR2: ATCNT (Bit 0)                                      */
#define MP_ATR2_ATCNT_Msk                     (0xffffUL)                /*!< MP ATR2: ATCNT (Bitfield-Mask: 0xffff)                      */
#define MP_ATR2_ATMOD_Pos                     (16UL)                    /*!< MP ATR2: ATMOD (Bit 16)                                     */
#define MP_ATR2_ATMOD_Msk                     (0x30000UL)               /*!< MP ATR2: ATMOD (Bitfield-Mask: 0x03)                        */
#define MP_ATR2_ATUDT_Pos                     (19UL)                    /*!< MP ATR2: ATUDT (Bit 19)                                     */
#define MP_ATR2_ATUDT_Msk                     (0x80000UL)               /*!< MP ATR2: ATUDT (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP_ATR3  ---------------------------------- */
#define MP_ATR3_ATCNT_Pos                     (0UL)                     /*!< MP ATR3: ATCNT (Bit 0)                                      */
#define MP_ATR3_ATCNT_Msk                     (0xffffUL)                /*!< MP ATR3: ATCNT (Bitfield-Mask: 0xffff)                      */
#define MP_ATR3_ATMOD_Pos                     (16UL)                    /*!< MP ATR3: ATMOD (Bit 16)                                     */
#define MP_ATR3_ATMOD_Msk                     (0x30000UL)               /*!< MP ATR3: ATMOD (Bitfield-Mask: 0x03)                        */
#define MP_ATR3_ATUDT_Pos                     (19UL)                    /*!< MP ATR3: ATUDT (Bit 19)                                     */
#define MP_ATR3_ATUDT_Msk                     (0x80000UL)               /*!< MP ATR3: ATUDT (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP_ATR4  ---------------------------------- */
#define MP_ATR4_ATCNT_Pos                     (0UL)                     /*!< MP ATR4: ATCNT (Bit 0)                                      */
#define MP_ATR4_ATCNT_Msk                     (0xffffUL)                /*!< MP ATR4: ATCNT (Bitfield-Mask: 0xffff)                      */
#define MP_ATR4_ATMOD_Pos                     (16UL)                    /*!< MP ATR4: ATMOD (Bit 16)                                     */
#define MP_ATR4_ATMOD_Msk                     (0x30000UL)               /*!< MP ATR4: ATMOD (Bitfield-Mask: 0x03)                        */
#define MP_ATR4_ATUDT_Pos                     (19UL)                    /*!< MP ATR4: ATUDT (Bit 19)                                     */
#define MP_ATR4_ATUDT_Msk                     (0x80000UL)               /*!< MP ATR4: ATUDT (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP_ATR5  ---------------------------------- */
#define MP_ATR5_ATCNT_Pos                     (0UL)                     /*!< MP ATR5: ATCNT (Bit 0)                                      */
#define MP_ATR5_ATCNT_Msk                     (0xffffUL)                /*!< MP ATR5: ATCNT (Bitfield-Mask: 0xffff)                      */
#define MP_ATR5_ATMOD_Pos                     (16UL)                    /*!< MP ATR5: ATMOD (Bit 16)                                     */
#define MP_ATR5_ATMOD_Msk                     (0x30000UL)               /*!< MP ATR5: ATMOD (Bitfield-Mask: 0x03)                        */
#define MP_ATR5_ATUDT_Pos                     (19UL)                    /*!< MP ATR5: ATUDT (Bit 19)                                     */
#define MP_ATR5_ATUDT_Msk                     (0x80000UL)               /*!< MP ATR5: ATUDT (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP_ATR6  ---------------------------------- */
#define MP_ATR6_ATCNT_Pos                     (0UL)                     /*!< MP ATR6: ATCNT (Bit 0)                                      */
#define MP_ATR6_ATCNT_Msk                     (0xffffUL)                /*!< MP ATR6: ATCNT (Bitfield-Mask: 0xffff)                      */
#define MP_ATR6_ATMOD_Pos                     (16UL)                    /*!< MP ATR6: ATMOD (Bit 16)                                     */
#define MP_ATR6_ATMOD_Msk                     (0x30000UL)               /*!< MP ATR6: ATMOD (Bitfield-Mask: 0x03)                        */
#define MP_ATR6_ATUDT_Pos                     (19UL)                    /*!< MP ATR6: ATUDT (Bit 19)                                     */
#define MP_ATR6_ATUDT_Msk                     (0x80000UL)               /*!< MP ATR6: ATUDT (Bitfield-Mask: 0x01)                        */


/* ================================================================================ */
/* ================         struct 'DIV64' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  DIV64_CR  ---------------------------------- */
#define DIV64_CR_START_Pos                    (0UL)                     /*!< DIV64 CR: START (Bit 0)                                     */
#define DIV64_CR_START_Msk                    (0x1UL)                   /*!< DIV64 CR: START (Bitfield-Mask: 0x01)                       */
#define DIV64_CR_MODE_Pos                     (4UL)                     /*!< DIV64 CR: MODE (Bit 4)                                      */
#define DIV64_CR_MODE_Msk                     (0x10UL)                  /*!< DIV64 CR: MODE (Bitfield-Mask: 0x01)                        */
#define DIV64_CR_DONE_Pos                     (8UL)                     /*!< DIV64 CR: DONE (Bit 8)                                      */
#define DIV64_CR_DONE_Msk                     (0x100UL)                 /*!< DIV64 CR: DONE (Bitfield-Mask: 0x01)                        */
#define DIV64_CR_BUSY_Pos                     (9UL)                     /*!< DIV64 CR: BUSY (Bit 9)                                      */
#define DIV64_CR_BUSY_Msk                     (0x200UL)                 /*!< DIV64 CR: BUSY (Bitfield-Mask: 0x01)                        */
#define DIV64_CR_I_ERROR_Pos                  (10UL)                    /*!< DIV64 CR: I_ERROR (Bit 10)                                  */
#define DIV64_CR_I_ERROR_Msk                  (0x400UL)                 /*!< DIV64 CR: I_ERROR (Bitfield-Mask: 0x01)                     */


/* ================================================================================ */
/* ================           struct 'AD' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  AD_MR  ----------------------------------- */
#define AD_MR_TRGSEL_Pos                      (0UL)                     /*!< AD MR: TRGSEL (Bit 0)                                       */
#define AD_MR_TRGSEL_Msk                      (0x3UL)                   /*!< AD MR: TRGSEL (Bitfield-Mask: 0x03)                         */
#define AD_MR_ADMOD_Pos                       (4UL)                     /*!< AD MR: ADMOD (Bit 4)                                        */
#define AD_MR_ADMOD_Msk                       (0x30UL)                  /*!< AD MR: ADMOD (Bitfield-Mask: 0x03)                          */
#define AD_MR_ARST_Pos                        (6UL)                     /*!< AD MR: ARST (Bit 6)                                         */
#define AD_MR_ARST_Msk                        (0x40UL)                  /*!< AD MR: ARST (Bitfield-Mask: 0x01)                           */
#define AD_MR_ADEN_Pos                        (7UL)                     /*!< AD MR: ADEN (Bit 7)                                         */
#define AD_MR_ADEN_Msk                        (0x80UL)                  /*!< AD MR: ADEN (Bitfield-Mask: 0x01)                           */
#define AD_MR_SEQCNT_Pos                      (8UL)                     /*!< AD MR: SEQCNT (Bit 8)                                       */
#define AD_MR_SEQCNT_Msk                      (0x700UL)                 /*!< AD MR: SEQCNT (Bitfield-Mask: 0x07)                         */
#define AD_MR_STSEL_Pos                       (12UL)                    /*!< AD MR: STSEL (Bit 12)                                       */
#define AD_MR_STSEL_Msk                       (0x1f000UL)               /*!< AD MR: STSEL (Bitfield-Mask: 0x1f)                          */

/* -----------------------------------  AD_CSCR  ---------------------------------- */
#define AD_CSCR_CACH_Pos                      (0UL)                     /*!< AD CSCR: CACH (Bit 0)                                       */
#define AD_CSCR_CACH_Msk                      (0xfUL)                   /*!< AD CSCR: CACH (Bitfield-Mask: 0x0f)                         */
#define AD_CSCR_CSEQN_Pos                     (4UL)                     /*!< AD CSCR: CSEQN (Bit 4)                                      */
#define AD_CSCR_CSEQN_Msk                     (0x70UL)                  /*!< AD CSCR: CSEQN (Bitfield-Mask: 0x07)                        */

/* -----------------------------------  AD_CCR  ----------------------------------- */
#define AD_CCR_CLKINVT_Pos                    (5UL)                     /*!< AD CCR: CLKINVT (Bit 5)                                     */
#define AD_CCR_CLKINVT_Msk                    (0x20UL)                  /*!< AD CCR: CLKINVT (Bitfield-Mask: 0x01)                       */
#define AD_CCR_EXTCLK_Pos                     (6UL)                     /*!< AD CCR: EXTCLK (Bit 6)                                      */
#define AD_CCR_EXTCLK_Msk                     (0x40UL)                  /*!< AD CCR: EXTCLK (Bitfield-Mask: 0x01)                        */
#define AD_CCR_ADCPD_Pos                      (7UL)                     /*!< AD CCR: ADCPD (Bit 7)                                       */
#define AD_CCR_ADCPD_Msk                      (0x80UL)                  /*!< AD CCR: ADCPD (Bitfield-Mask: 0x01)                         */
#define AD_CCR_CLKDIV_Pos                     (8UL)                     /*!< AD CCR: CLKDIV (Bit 8)                                      */
#define AD_CCR_CLKDIV_Msk                     (0x7f00UL)                /*!< AD CCR: CLKDIV (Bitfield-Mask: 0x7f)                        */
#define AD_CCR_ADCPDA_Pos                     (15UL)                    /*!< AD CCR: ADCPDA (Bit 15)                                     */
#define AD_CCR_ADCPDA_Msk                     (0x8000UL)                /*!< AD CCR: ADCPDA (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  AD_TRG  ----------------------------------- */
#define AD_TRG_SEQTRG0_Pos                    (0UL)                     /*!< AD TRG: SEQTRG0 (Bit 0)                                     */
#define AD_TRG_SEQTRG0_Msk                    (0xfUL)                   /*!< AD TRG: SEQTRG0 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG1_Pos                    (4UL)                     /*!< AD TRG: SEQTRG1 (Bit 4)                                     */
#define AD_TRG_SEQTRG1_Msk                    (0xf0UL)                  /*!< AD TRG: SEQTRG1 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG2_Pos                    (8UL)                     /*!< AD TRG: SEQTRG2 (Bit 8)                                     */
#define AD_TRG_SEQTRG2_Msk                    (0xf00UL)                 /*!< AD TRG: SEQTRG2 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG3_Pos                    (12UL)                    /*!< AD TRG: SEQTRG3 (Bit 12)                                    */
#define AD_TRG_SEQTRG3_Msk                    (0xf000UL)                /*!< AD TRG: SEQTRG3 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG4_Pos                    (16UL)                    /*!< AD TRG: SEQTRG4 (Bit 16)                                    */
#define AD_TRG_SEQTRG4_Msk                    (0xf0000UL)               /*!< AD TRG: SEQTRG4 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG5_Pos                    (20UL)                    /*!< AD TRG: SEQTRG5 (Bit 20)                                    */
#define AD_TRG_SEQTRG5_Msk                    (0xf00000UL)              /*!< AD TRG: SEQTRG5 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG6_Pos                    (24UL)                    /*!< AD TRG: SEQTRG6 (Bit 24)                                    */
#define AD_TRG_SEQTRG6_Msk                    (0xf000000UL)             /*!< AD TRG: SEQTRG6 (Bitfield-Mask: 0x0f)                       */
#define AD_TRG_SEQTRG7_Pos                    (28UL)                    /*!< AD TRG: SEQTRG7 (Bit 28)                                    */
#define AD_TRG_SEQTRG7_Msk                    (0xf0000000UL)            /*!< AD TRG: SEQTRG7 (Bitfield-Mask: 0x0f)                       */

/* -----------------------------------  AD_SCSR  ---------------------------------- */
#define AD_SCSR_SEQ0CH_Pos                    (0UL)                     /*!< AD SCSR: SEQ0CH (Bit 0)                                     */
#define AD_SCSR_SEQ0CH_Msk                    (0xfUL)                   /*!< AD SCSR: SEQ0CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ1CH_Pos                    (4UL)                     /*!< AD SCSR: SEQ1CH (Bit 4)                                     */
#define AD_SCSR_SEQ1CH_Msk                    (0xf0UL)                  /*!< AD SCSR: SEQ1CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ2CH_Pos                    (8UL)                     /*!< AD SCSR: SEQ2CH (Bit 8)                                     */
#define AD_SCSR_SEQ2CH_Msk                    (0xf00UL)                 /*!< AD SCSR: SEQ2CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ3CH_Pos                    (12UL)                    /*!< AD SCSR: SEQ3CH (Bit 12)                                    */
#define AD_SCSR_SEQ3CH_Msk                    (0xf000UL)                /*!< AD SCSR: SEQ3CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ4CH_Pos                    (16UL)                    /*!< AD SCSR: SEQ4CH (Bit 16)                                    */
#define AD_SCSR_SEQ4CH_Msk                    (0xf0000UL)               /*!< AD SCSR: SEQ4CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ5CH_Pos                    (20UL)                    /*!< AD SCSR: SEQ5CH (Bit 20)                                    */
#define AD_SCSR_SEQ5CH_Msk                    (0xf00000UL)              /*!< AD SCSR: SEQ5CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ6CH_Pos                    (24UL)                    /*!< AD SCSR: SEQ6CH (Bit 24)                                    */
#define AD_SCSR_SEQ6CH_Msk                    (0xf000000UL)             /*!< AD SCSR: SEQ6CH (Bitfield-Mask: 0x0f)                       */
#define AD_SCSR_SEQ7CH_Pos                    (28UL)                    /*!< AD SCSR: SEQ7CH (Bit 28)                                    */
#define AD_SCSR_SEQ7CH_Msk                    (0xf0000000UL)            /*!< AD SCSR: SEQ7CH (Bitfield-Mask: 0x0f)                       */

/* ------------------------------------  AD_CR  ----------------------------------- */
#define AD_CR_ASTART_Pos                      (0UL)                     /*!< AD CR: ASTART (Bit 0)                                       */
#define AD_CR_ASTART_Msk                      (0x1UL)                   /*!< AD CR: ASTART (Bitfield-Mask: 0x01)                         */
#define AD_CR_ASTOP_Pos                       (7UL)                     /*!< AD CR: ASTOP (Bit 7)                                        */
#define AD_CR_ASTOP_Msk                       (0x80UL)                  /*!< AD CR: ASTOP (Bitfield-Mask: 0x01)                          */

/* ------------------------------------  AD_SR  ----------------------------------- */
#define AD_SR_EOCIRQ_Pos                      (0UL)                     /*!< AD SR: EOCIRQ (Bit 0)                                       */
#define AD_SR_EOCIRQ_Msk                      (0x1UL)                   /*!< AD SR: EOCIRQ (Bitfield-Mask: 0x01)                         */
#define AD_SR_EOSIRQ_Pos                      (2UL)                     /*!< AD SR: EOSIRQ (Bit 2)                                       */
#define AD_SR_EOSIRQ_Msk                      (0x4UL)                   /*!< AD SR: EOSIRQ (Bitfield-Mask: 0x01)                         */
#define AD_SR_TRGIRQ_Pos                      (3UL)                     /*!< AD SR: TRGIRQ (Bit 3)                                       */
#define AD_SR_TRGIRQ_Msk                      (0x8UL)                   /*!< AD SR: TRGIRQ (Bitfield-Mask: 0x01)                         */
#define AD_SR_ABUSY_Pos                       (6UL)                     /*!< AD SR: ABUSY (Bit 6)                                        */
#define AD_SR_ABUSY_Msk                       (0x40UL)                  /*!< AD SR: ABUSY (Bitfield-Mask: 0x01)                          */
#define AD_SR_EOC_Pos                         (7UL)                     /*!< AD SR: EOC (Bit 7)                                          */
#define AD_SR_EOC_Msk                         (0x80UL)                  /*!< AD SR: EOC (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  AD_IER  ----------------------------------- */
#define AD_IER_EOCIRQE_Pos                    (0UL)                     /*!< AD IER: EOCIRQE (Bit 0)                                     */
#define AD_IER_EOCIRQE_Msk                    (0x1UL)                   /*!< AD IER: EOCIRQE (Bitfield-Mask: 0x01)                       */
#define AD_IER_EOSIRQE_Pos                    (2UL)                     /*!< AD IER: EOSIRQE (Bit 2)                                     */
#define AD_IER_EOSIRQE_Msk                    (0x4UL)                   /*!< AD IER: EOSIRQE (Bitfield-Mask: 0x01)                       */
#define AD_IER_TRGIRQE_Pos                    (3UL)                     /*!< AD IER: TRGIRQE (Bit 3)                                     */
#define AD_IER_TRGIRQE_Msk                    (0x8UL)                   /*!< AD IER: TRGIRQE (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  AD_DR0  ----------------------------------- */
#define AD_DR0_ADCDATA_Pos                    (4UL)                     /*!< AD DR0: ADCDATA (Bit 4)                                     */
#define AD_DR0_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR0: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR1  ----------------------------------- */
#define AD_DR1_ADCDATA_Pos                    (4UL)                     /*!< AD DR1: ADCDATA (Bit 4)                                     */
#define AD_DR1_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR1: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR2  ----------------------------------- */
#define AD_DR2_ADCDATA_Pos                    (4UL)                     /*!< AD DR2: ADCDATA (Bit 4)                                     */
#define AD_DR2_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR2: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR3  ----------------------------------- */
#define AD_DR3_ADCDATA_Pos                    (4UL)                     /*!< AD DR3: ADCDATA (Bit 4)                                     */
#define AD_DR3_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR3: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR4  ----------------------------------- */
#define AD_DR4_ADCDATA_Pos                    (4UL)                     /*!< AD DR4: ADCDATA (Bit 4)                                     */
#define AD_DR4_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR4: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR5  ----------------------------------- */
#define AD_DR5_ADCDATA_Pos                    (4UL)                     /*!< AD DR5: ADCDATA (Bit 4)                                     */
#define AD_DR5_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR5: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR6  ----------------------------------- */
#define AD_DR6_ADCDATA_Pos                    (4UL)                     /*!< AD DR6: ADCDATA (Bit 4)                                     */
#define AD_DR6_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR6: ADCDATA (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD_DR7  ----------------------------------- */
#define AD_DR7_ADCDATA_Pos                    (4UL)                     /*!< AD DR7: ADCDATA (Bit 4)                                     */
#define AD_DR7_ADCDATA_Msk                    (0xfff0UL)                /*!< AD DR7: ADCDATA (Bitfield-Mask: 0xfff)                      */



/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define SCU_BASE                        0x40000000UL
#define PCA_BASE                        0x40001000UL
#define PCB_BASE                        0x40001100UL
#define PCC_BASE                        0x40001200UL
#define PCD_BASE                        0x40001300UL
#define PORTEN_BASE                     0x40001FF0UL
#define PA_BASE                         0x40002000UL
#define PB_BASE                         0x40002100UL
#define PC_BASE                         0x40002200UL
#define PD_BASE                         0x40002300UL
#define FM_BASE                         0x40000100UL
#define WDT_BASE                        0x40000200UL
#define T0_BASE                         0x40003000UL
#define T1_BASE                         0x40003020UL
#define T2_BASE                         0x40003040UL
#define T3_BASE                         0x40003060UL
#define FRT_BASE                        0x40000600UL
#define U0_BASE                         0x40008000UL
#define U1_BASE                         0x40008100UL
#define SP_BASE                         0x40009000UL
#define IC_BASE                         0x4000A000UL
#define MP_BASE                         0x40004000UL
#define DIV64_BASE                      0x40000500UL
#define AD_BASE                         0x4000B000UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define SCU                             ((SCU_Type                *) SCU_BASE)
#define PCA                             ((PCA_Type                *) PCA_BASE)
#define PCB                             ((PCA_Type                *) PCB_BASE)
#define PCC                             ((PCA_Type                *) PCC_BASE)
#define PCD                             ((PCA_Type                *) PCD_BASE)
#define PORTEN                          ((PORTEN_Type             *) PORTEN_BASE)
#define PA                              ((PA_Type                 *) PA_BASE)
#define PB                              ((PA_Type                 *) PB_BASE)
#define PC                              ((PA_Type                 *) PC_BASE)
#define PD                              ((PA_Type                 *) PD_BASE)
#define FM                              ((FM_Type                 *) FM_BASE)
#define WDT                             ((WDT_Type                *) WDT_BASE)
#define T0                              ((T0_Type                 *) T0_BASE)
#define T1                              ((T0_Type                 *) T1_BASE)
#define T2                              ((T0_Type                 *) T2_BASE)
#define T3                              ((T0_Type                 *) T3_BASE)
#define FRT                             ((FRT_Type                *) FRT_BASE)
#define U0                              ((U0_Type                 *) U0_BASE)
#define U1                              ((U0_Type                 *) U1_BASE)
#define SP                              ((SP_Type                 *) SP_BASE)
#define IC                              ((IC_Type                 *) IC_BASE)
#define MP                              ((MP_Type                 *) MP_BASE)
#define DIV64                           ((DIV64_Type              *) DIV64_BASE)
#define AD                              ((AD_Type                 *) AD_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group Z32F0642 */
/** @} */ /* End of group Zilog, Inc. */

#ifdef __cplusplus
}
#endif


#endif  /* Z32F0642_H */

